package com.deepclone.lw.beans.acm;


import java.util.List;

import org.springframework.transaction.TransactionStatus;
import org.springframework.transaction.support.TransactionCallback;
import org.springframework.transaction.support.TransactionTemplate;

import com.deepclone.lw.interfaces.acm.UsersDAO;
import com.deepclone.lw.interfaces.mailer.Mailer;
import com.deepclone.lw.sqld.accounts.QuittingAccount;



class QuitProcessorTask
		implements Runnable
{

	private TransactionTemplate tTemplate;
	private UsersDAO usersDao;
	private Mailer mailer;


	public QuitProcessorTask( TransactionTemplate tTemplate , UsersDAO usersDao , Mailer mailer )
	{
		this.tTemplate = tTemplate;
		this.usersDao = usersDao;
		this.mailer = mailer;
	}


	@Override
	public void run( )
	{
		List< QuittingAccount > quitters;
		quitters = this.tTemplate.execute( new TransactionCallback< List< QuittingAccount >>( ) {
			@Override
			public List< QuittingAccount > doInTransaction( TransactionStatus status )
			{
				return usersDao.processQuits( );
			}
		} );

		for ( QuittingAccount quitter : quitters ) {
			try {
				this.mailer.createMail( quitter.getLanguage( ) , "quitMail" , quitter.getAddress( ) ).queue( );
			} catch ( Exception e ) {
				continue;
			}
		}
	}
}
