package com.deepclone.lw.beans.admin;


import org.springframework.beans.factory.DisposableBean;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.PlatformTransactionManager;
import org.springframework.transaction.support.TransactionTemplate;

import com.deepclone.lw.interfaces.admin.AdminDAO;
import com.deepclone.lw.interfaces.eventlog.LogReader;
import com.deepclone.lw.interfaces.mailer.Mailer;
import com.deepclone.lw.interfaces.sys.Ticker;
import com.deepclone.lw.interfaces.sys.Ticker.Frequency;



public class AdminRecapBean
		implements InitializingBean , DisposableBean
{
	private AdminRecapTask task;
	private TransactionTemplate tTemplate;
	private Ticker ticker;
	private Mailer mailer;
	private AdminDAO adminDao;
	private LogReader logReader;


	@Autowired( required = true )
	public void setTransactionManager( PlatformTransactionManager tManager )
	{
		this.tTemplate = new TransactionTemplate( tManager );
	}


	@Autowired( required = true )
	public void setTicker( Ticker ticker )
	{
		this.ticker = ticker;
	}


	@Autowired( required = true )
	public void setMailer( Mailer mailer )
	{
		this.mailer = mailer;
	}


	@Autowired( required = true )
	public void setAdminDao( AdminDAO adminDao )
	{
		this.adminDao = adminDao;
	}


	@Autowired( required = true )
	public void setLogReader( LogReader logReader )
	{
		this.logReader = logReader;
	}


	@Override
	public void afterPropertiesSet( )
	{
		this.task = new AdminRecapTask( this.tTemplate , this.mailer , this.adminDao , this.logReader );
		this.ticker.registerTask( Frequency.LOW , "Admin recap task" , this.task );
	}


	@Override
	public void destroy( )
	{
		this.task = null;
	}

}
