package com.deepclone.lw.beans.prefs;


import java.util.LinkedHashMap;
import java.util.Map;
import java.util.SortedMap;
import java.util.TreeMap;



public class EnumPreferenceType< T >
		extends PreferenceTypeImpl< T >
{

	private SortedMap< T , String > choices = new TreeMap< T , String >( );


	public EnumPreferenceType( Class< T > type )
	{
		super( type );
		if ( !type.isEnum( ) ) {
			throw new IllegalArgumentException( "Enumerated type expected" );
		}
	}


	@Override
	public Map< String , String > getChoices( )
	{
		Map< String , String > r = new LinkedHashMap< String , String >( );
		for ( Map.Entry< T , String > entry : this.choices.entrySet( ) ) {
			r.put( this.convert( entry.getKey( ) ) , entry.getValue( ) );
		}
		return r;
	}


	public void setTranslation( T value , String textId )
	{
		this.choices.put( value , textId );
	}


	@Override
	@SuppressWarnings( "unchecked" )
	public String convert( Object value )
	{
		return ( (T) value ).toString( );
	}


	@SuppressWarnings( "unchecked" )
	@Override
	public T valueOf( String dbValue , Class< T > type )
	{
		try {
			return (T) type.getMethod( "valueOf" , String.class ).invoke( null , dbValue );
		} catch ( Exception e ) {
			throw new RuntimeException( e );
		}
	}

}
