package com.deepclone.lw.beans.bt.es.data;


import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;



@XStreamAlias( "debug" )
public class DebugInformation
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	@XStreamAsAttribute
	@XStreamAlias( "dump-version" )
	private int version = 2;

	private SystemInformation system = new SystemInformation( );

	private AccountInformation account = new AccountInformation( );

	private EmpireInformation empire = new EmpireInformation( );

	@XStreamAlias( "research" )
	private List< ResearchInformation > research = new ArrayList< ResearchInformation >( );

	@XStreamAlias( "planets" )
	private List< PlanetInformation > planets = new ArrayList< PlanetInformation >( );

	@XStreamAlias( "fleets" )
	private List< FleetInformation > fleets = new ArrayList< FleetInformation >( );


	public int getVersion( )
	{
		return version;
	}


	public SystemInformation getSystem( )
	{
		return system;
	}


	public AccountInformation getAccount( )
	{
		return account;
	}


	public EmpireInformation getEmpire( )
	{
		return empire;
	}


	public List< ResearchInformation > getResearch( )
	{
		return research;
	}


	public List< PlanetInformation > getPlanets( )
	{
		return planets;
	}


	public List< FleetInformation > getFleets( )
	{
		return fleets;
	}

}
