package com.deepclone.lw.beans.empire;


import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.RowMapper;

import com.deepclone.lw.cmd.player.gdata.PlanetListData;



final class PlanetListMapper
		implements RowMapper< PlanetListData >
{

	@Override
	public PlanetListData mapRow( ResultSet rs , int rowNum )
			throws SQLException
	{
		PlanetListData pl = new PlanetListData( );

		pl.setId( rs.getInt( "id" ) );
		pl.setName( rs.getString( "name" ) );

		pl.setX( rs.getInt( "x" ) );
		pl.setY( rs.getInt( "y" ) );
		pl.setOrbit( rs.getInt( "orbit" ) );

		pl.setPopulation( rs.getLong( "population" ) );
		pl.setHappiness( rs.getInt( "happiness" ) );

		pl.setIncome( rs.getLong( "income" ) );
		pl.setUpkeep( rs.getLong( "upkeep" ) );

		pl.setMilitaryProduction( rs.getLong( "military_production" ) );
		pl.setIndustrialProduction( rs.getLong( "industrial_production" ) );
		pl.setGrowthProduction( rs.getLong( "growth_production" ) );

		pl.setCivInvestment( rs.getLong( "civ_investment" ) );
		pl.setCivAmount( rs.getInt( "civ_amount" ) );
		pl.setCivDestroy( rs.getBoolean( "civ_destroy" ) );
		pl.setCivName( rs.getString( "civ_name" ) );

		pl.setMilInvestment( rs.getLong( "mil_investment" ) );
		pl.setMilAmount( rs.getInt( "mil_amount" ) );
		pl.setMilName( rs.getString( "mil_name" ) );

		pl.setFpStatic( rs.getLong( "static_defence" ) );
		pl.setFpOwn( rs.getLong( "own_fleet" ) );
		pl.setFpFriendly( rs.getLong( "friendly_fleet" ) );
		pl.setFpHostile( rs.getLong( "hostile_fleet" ) );

		pl.setBattle( (Long) rs.getObject( "battle" ) );

		return pl;
	}

}
