package com.deepclone.lw.beans.map;


import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.List;

import javax.sql.DataSource;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.RowMapper;

import com.deepclone.lw.interfaces.game.UniverseDAO;
import com.deepclone.lw.sqld.game.MapData;



public class UniverseDAOBean
		implements UniverseDAO
{
	private JdbcTemplate dTemplate;


	@Autowired( required = true )
	public void setDataSource( DataSource dataSource )
	{
		this.dTemplate = new JdbcTemplate( dataSource );
	}


	@Override
	public void generate( )
	{
		this.dTemplate.execute( "SELECT verse.generate( )" );
	}


	@Override
	public List< MapData > getMap( int empireId , int minX , int minY , int maxX , int maxY )
	{
		String sql = "SELECT * FROM verse.get_map( ? , ? , ? , ? , ? )";

		RowMapper< MapData > mapper = new RowMapper< MapData >( ) {
			@Override
			public MapData mapRow( ResultSet rs , int rowNum )
					throws SQLException
			{
				MapData entry = new MapData( );

				entry.setX( rs.getInt( "x" ) );
				entry.setY( rs.getInt( "y" ) );
				entry.setOrbit( rs.getInt( "orbit" ) );
				entry.setId( rs.getInt( "id" ) );
				entry.setPicture( rs.getInt( "picture" ) );
				entry.setName( rs.getString( "name" ) );
				entry.setTag( rs.getString( "tag" ) );
				entry.setDisplay( rs.getString( "display" ) );

				return entry;
			}
		};

		return this.dTemplate.query( sql , mapper , empireId , minX , minY , maxX , maxY );
	}

}
