package com.deepclone.lw.beans.map;


import org.springframework.beans.factory.DisposableBean;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.PlatformTransactionManager;
import org.springframework.transaction.support.TransactionTemplate;

import com.deepclone.lw.interfaces.game.UniverseDAO;
import com.deepclone.lw.interfaces.sys.Ticker;
import com.deepclone.lw.interfaces.sys.Ticker.Frequency;



public class UniverseGeneratorBean
		implements InitializingBean , DisposableBean
{

	private TransactionTemplate tTemplate;

	private Ticker ticker;

	private UniverseDAO universeDao;

	private UniverseGeneratorTask generator;


	@Autowired( required = true )
	public void setTransactionManager( PlatformTransactionManager tManager )
	{
		this.tTemplate = new TransactionTemplate( tManager );
	}


	@Autowired( required = true )
	public void setTicker( Ticker ticker )
	{
		this.ticker = ticker;
	}


	@Autowired( required = true )
	public void setUniverseDAO( UniverseDAO universeDao )
	{
		this.universeDao = universeDao;
	}


	@Override
	public void afterPropertiesSet( )
	{
		// Create ticker task
		this.generator = new UniverseGeneratorTask( this.tTemplate , this.universeDao );
		this.ticker.registerTask( Frequency.HIGH , "Universe generator" , this.generator );
	}


	@Override
	public void destroy( )
	{
		this.generator = null;
	}

}
