package com.deepclone.lw.beans.map;


import org.springframework.transaction.TransactionStatus;
import org.springframework.transaction.support.TransactionCallbackWithoutResult;
import org.springframework.transaction.support.TransactionTemplate;

import com.deepclone.lw.interfaces.game.UniverseDAO;



class UniverseGeneratorTask
		implements Runnable
{
	private final TransactionTemplate tTemplate;
	private final UniverseDAO universeDao;


	UniverseGeneratorTask( TransactionTemplate tTemplate , UniverseDAO universeDao )
	{
		this.tTemplate = tTemplate;
		this.universeDao = universeDao;
	}


	@Override
	public void run( )
	{
		this.tTemplate.execute( new TransactionCallbackWithoutResult( ) {
			@Override
			protected void doInTransactionWithoutResult( TransactionStatus status )
			{
				universeDao.generate( );
			}
		} );
	}

}
