package com.deepclone.lw.beans.msgs;


import java.util.HashMap;
import java.util.Map;

import com.deepclone.lw.interfaces.msg.MessageFormatRegistry;
import com.deepclone.lw.interfaces.msg.MessageFormatter;
import com.deepclone.lw.sqld.msgs.EventRecord;
import com.deepclone.lw.sqld.msgs.FormatType;
import com.deepclone.lw.sqld.msgs.MessageDataRecord;



public class MessageFormatRegistryBean
		implements MessageFormatRegistry
{

	private final Map< FormatType , MessageFormatter > formatters = new HashMap< FormatType , MessageFormatter >( );


	@Override
	public void addFormatter( MessageFormatter formatter )
	{
		for ( FormatType fmt : formatter.getFormats( ) ) {
			if ( this.formatters.containsKey( fmt ) ) {
				throw new IllegalArgumentException( "message formatter " + formatter.getClass( ) + " redefines format "
						+ fmt.toString( ) );
			}
			this.formatters.put( fmt , formatter );
		}
	}


	@Override
	public MessageFormatter getFormatter( MessageDataRecord contents )
	{
		FormatType fmt;
		if ( contents.isInternal( ) ) {
			EventRecord evt = (EventRecord) contents;
			fmt = new FormatType( evt.getType( ) , evt.getSubType( ) );
		} else {
			fmt = new FormatType( );
		}
		return this.formatters.get( fmt );
	}
}
