package com.deepclone.lw.beans.msgs;


import org.springframework.beans.factory.DisposableBean;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.PlatformTransactionManager;

import com.deepclone.lw.interfaces.eventlog.Logger;
import com.deepclone.lw.interfaces.i18n.Translator;
import com.deepclone.lw.interfaces.mailer.Mailer;
import com.deepclone.lw.interfaces.msg.MessageBoxDAO;
import com.deepclone.lw.interfaces.msg.MessageContentCache;
import com.deepclone.lw.interfaces.msg.MessageFormatRegistry;
import com.deepclone.lw.interfaces.msg.NotificationsDAO;
import com.deepclone.lw.interfaces.sys.Ticker;
import com.deepclone.lw.interfaces.sys.Ticker.Frequency;



public class MessageTasksBean
		implements InitializingBean , DisposableBean
{

	private Ticker ticker;
	private Logger logger;
	private PlatformTransactionManager tManager;
	private NotificationsDAO notificationsDao;
	private MessageContentCache contents;
	private MessageFormatRegistry formats;
	private Translator translator;
	private Mailer mailer;
	private MessageCleanerBean cleaner;
	private MessageBoxDAO mboxDao;

	private Runnable notificationsTask;
	private Runnable recapsTask;


	@Autowired( required = true )
	public void setTicker( Ticker ticker )
	{
		this.ticker = ticker;
	}


	@Autowired( required = true )
	public void setLogger( Logger logger )
	{
		this.logger = logger;
	}


	@Autowired( required = true )
	public void setTransactionManager( PlatformTransactionManager tManager )
	{
		this.tManager = tManager;
	}


	@Autowired( required = true )
	public void setNotificationsDao( NotificationsDAO notificationsDao )
	{
		this.notificationsDao = notificationsDao;
	}


	@Autowired( required = true )
	public void setContents( MessageContentCache contents )
	{
		this.contents = contents;
	}


	@Autowired( required = true )
	public void setFormats( MessageFormatRegistry formats )
	{
		this.formats = formats;
	}


	@Autowired( required = true )
	public void setTranslator( Translator translator )
	{
		this.translator = translator;
	}


	@Autowired( required = true )
	public void setMailer( Mailer mailer )
	{
		this.mailer = mailer;
	}


	@Autowired( required = true )
	public void setCleaner( MessageCleanerBean cleaner )
	{
		this.cleaner = cleaner;
	}


	@Autowired( required = true )
	public void setMboxDao( MessageBoxDAO mboxDao )
	{
		this.mboxDao = mboxDao;
	}


	@Override
	public void afterPropertiesSet( )
	{
		this.notificationsTask = new NotificationsTask( this.logger , this.tManager , this.notificationsDao ,
				this.contents , this.formats , this.translator , this.mailer , this.cleaner );
		this.ticker.registerTask( Frequency.MEDIUM , "Instant notifications" , this.notificationsTask );

		this.recapsTask = new RecapitulationTask( this.logger , this.tManager , this.notificationsDao , this.contents ,
				this.formats , this.translator , this.mailer , this.cleaner , this.mboxDao );
		this.ticker.registerTask( Frequency.LOW , "Message recaps/clean-up" , this.recapsTask );
	}


	@Override
	public void destroy( )
	{
		this.notificationsTask = null;
		this.recapsTask = null;
	}

}
