package com.deepclone.lw.beans.msgs.fmt;


import java.util.HashSet;
import java.util.Set;

import org.springframework.stereotype.Component;

import com.deepclone.lw.interfaces.msg.MessageExtractor;
import com.deepclone.lw.interfaces.msg.MessageFormatter;
import com.deepclone.lw.sqld.msgs.FormatType;
import com.deepclone.lw.sqld.msgs.InboxRecord;
import com.deepclone.lw.sqld.msgs.MessageDataRecord;
import com.deepclone.lw.sqld.msgs.TextMessageRecord;



@Component
public class ExternalMessageFormatBean
		implements MessageFormatter
{

	static private class ExternalMessageExtractor
			implements MessageExtractor
	{
		private InboxRecord inbox;
		private TextMessageRecord message;


		public ExternalMessageExtractor( InboxRecord inbox , TextMessageRecord message )
		{
			this.inbox = inbox;
			this.message = message;
		}


		@Override
		public String getContents( )
		{
			return message.getText( );
		}


		@Override
		public String getSender( )
		{
			return inbox.getSenderName( );
		}


		@Override
		public String getSubject( )
		{
			return message.getSubject( );
		}

	}


	@Override
	public Set< FormatType > getFormats( )
	{
		Set< FormatType > fmts = new HashSet< FormatType >( );
		fmts.add( new FormatType( ) );
		return fmts;
	}


	@Override
	public MessageExtractor getExtractor( InboxRecord envelope , MessageDataRecord contents , String language )
	{
		return new ExternalMessageExtractor( envelope , (TextMessageRecord) contents );
	}

}
