package com.deepclone.lw.beans.msgs.fmt;


import java.util.HashSet;
import java.util.Set;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.deepclone.lw.interfaces.i18n.Translator;
import com.deepclone.lw.interfaces.msg.MessageExtractor;
import com.deepclone.lw.interfaces.msg.MessageFormatter;
import com.deepclone.lw.sqld.msgs.EventType;
import com.deepclone.lw.sqld.msgs.FleetEventRecord;
import com.deepclone.lw.sqld.msgs.FormatType;
import com.deepclone.lw.sqld.msgs.InboxRecord;
import com.deepclone.lw.sqld.msgs.MessageDataRecord;



@Component
public class FleetMessageFormatterBean
		implements MessageFormatter
{

	private Translator translator;


	@Autowired( required = true )
	public void setTranslator( Translator translator )
	{
		this.translator = translator;
	}


	@Override
	public Set< FormatType > getFormats( )
	{
		Set< FormatType > fmts = new HashSet< FormatType >( );
		fmts.add( new FormatType( EventType.FLEETS , 0 ) );
		fmts.add( new FormatType( EventType.FLEETS , 1 ) );
		fmts.add( new FormatType( EventType.FLEETS , 2 ) );
		fmts.add( new FormatType( EventType.FLEETS , 3 ) );
		return fmts;
	}


	@Override
	public MessageExtractor getExtractor( InboxRecord envelope , MessageDataRecord contents , String language )
	{
		FleetEventRecord event = (FleetEventRecord) contents;
		return new FleetMessageExtractor( envelope.getReceiverId( ) , event , this.translator , language );
	}

}
