package com.deepclone.lw.beans.updates;


/**
 * Unsupported update exception
 * 
 * <p>
 * This exception is thrown by the {@link GameUpdateTransaction} when there is no server-side
 * processor for some update type.
 * 
 * @author <a href="mailto:tseeker@legacyworlds.com">E. Benoît</a>
 */
@SuppressWarnings( "serial" )
public class UnsupportedUpdateException
		extends RuntimeException
{

	/**
	 * Initialise the exception
	 * 
	 * @param name
	 *            the name of the update type for which no processor is registered.
	 */
	UnsupportedUpdateException( String name )
	{
		super( "No processor found for update type " + name );
	}

}
