package com.deepclone.lw.beans.user.abst;


import java.util.HashMap;
import java.util.Map;

import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;
import com.deepclone.lw.session.SessionCommandException;



public abstract class SessionCommandHandler
{

	private Map< Class< ? extends Command > , SessionCommandDelegate > commands = new HashMap< Class< ? extends Command > , SessionCommandDelegate >( );


	public final void registerCommandDelegate( SessionCommandDelegate delegate )
	{
		synchronized ( this.commands ) {
			this.commands.put( delegate.getType( ) , delegate );
		}
	}


	protected final CommandResponse executeDelegate( ServerSession session , Command command )
			throws SessionCommandException
	{
		SessionCommandDelegate delegate;
		synchronized ( this.commands ) {
			delegate = this.commands.get( command.getClass( ) );
		}
		if ( delegate == null ) {
			throw new SessionCommandException( command.getClass( ).getCanonicalName( ) );
		}
		return delegate.execute( session , command );
	}
}
