package com.deepclone.lw.beans.user.abst;


import java.util.Collection;

import org.apache.log4j.Logger;
import org.springframework.beans.BeansException;
import org.springframework.beans.factory.config.BeanPostProcessor;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;



public class SessionCommandWiringBean
		implements BeanPostProcessor , ApplicationContextAware
{
	private final Logger logger = Logger.getLogger( SessionCommandWiringBean.class );
	private ApplicationContext context;


	@Override
	public void setApplicationContext( ApplicationContext applicationContext )
			throws BeansException
	{
		this.context = applicationContext;
	}


	@Override
	public Object postProcessAfterInitialization( Object bean , String beanName )
			throws BeansException
	{
		return bean;
	}


	@Override
	public Object postProcessBeforeInitialization( Object bean , String beanName )
			throws BeansException
	{
		if ( bean instanceof SessionCommandHandler ) {
			this.logger.debug( "Wiring command handler " + beanName );
			this.autowire( (SessionCommandHandler) bean );
		}
		return bean;
	}


	private void autowire( SessionCommandHandler bean )
	{
		Class< ? extends SessionCommandHandler > beanType = bean.getClass( );

		Collection< AutowiredCommandDelegate > delegates;
		delegates = this.context.getBeansOfType( AutowiredCommandDelegate.class ).values( );

		for ( AutowiredCommandDelegate delegate : delegates ) {
			if ( delegate.getCommandHandler( ) != beanType ) {
				continue;
			}
			this.logger.debug( "Adding delegate from " + delegate.getClass( ) );
			bean.registerCommandDelegate( delegate );
		}
	}
}
