package com.deepclone.lw.beans.user.admin.common;


import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.cmd.admin.AdminResponse;
import com.deepclone.lw.cmd.admin.NoOperationCommand;
import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.admin.adata.Privileges;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class NoOperationCommandDelegateBean
		extends AdminOperation
		implements AutowiredCommandDelegate
{

	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return CommonCommandsBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return NoOperationCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		NoOperationCommand command = (NoOperationCommand) cParam;
		Administrator admin = this.getAdministrator( session );

		Privileges priv = command.getRequirePrivilege( );
		AdminResponse response;
		if ( priv == null ) {
			response = new AdminResponse( admin );
		} else {
			response = new AdminResponse( admin , admin.hasPrivilege( priv ) );
		}

		return response;
	}
}
