package com.deepclone.lw.beans.user.admin.main.bans;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.admin.common.AdminOperation;
import com.deepclone.lw.beans.user.admin.main.AdminCommandsBean;
import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.admin.adata.Privileges;
import com.deepclone.lw.cmd.admin.bans.RejectBanCommand;
import com.deepclone.lw.cmd.admin.bans.RejectBanResponse;
import com.deepclone.lw.interfaces.admin.Administration;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class RejectBanCommandDelegateBean
		extends AdminOperation
		implements AutowiredCommandDelegate
{

	private Administration administration;


	@Autowired( required = true )
	public void setAdministration( Administration administration )
	{
		this.administration = administration;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return AdminCommandsBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return RejectBanCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		Administrator admin = this.getAdministrator( session );
		if ( !admin.hasPrivilege( Privileges.BANH ) ) {
			return new RejectBanResponse( admin , true );
		}

		RejectBanCommand command = (RejectBanCommand) cParam;
		int id = command.getId( );
		String reason = command.getReason( ).trim( );

		if ( "".equals( reason ) ) {
			return new RejectBanResponse( admin , id );
		}

		this.administration.rejectBan( admin , id , reason );
		return new RejectBanResponse( admin , false );
	}

}
