package com.deepclone.lw.beans.user.admin.main.bans;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.admin.common.AdminOperation;
import com.deepclone.lw.beans.user.admin.main.AdminCommandsBean;
import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.admin.adata.Privileges;
import com.deepclone.lw.cmd.admin.bans.RequestBanCommand;
import com.deepclone.lw.cmd.admin.bans.RequestBanResponse;
import com.deepclone.lw.interfaces.admin.Administration;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class RequestBanCommandDelegateBean
		extends AdminOperation
		implements AutowiredCommandDelegate
{

	private Administration administration;


	@Autowired( required = true )
	public void setAdministration( Administration administration )
	{
		this.administration = administration;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return AdminCommandsBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return RequestBanCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		Administrator admin = this.getAdministrator( session );
		if ( !admin.hasPrivilege( Privileges.BANH ) ) {
			return new RequestBanResponse( admin , true );
		}

		RequestBanCommand command = (RequestBanCommand) cParam;
		String user = command.getUser( ).trim( );
		boolean empire = command.isEmpire( );
		String reason = command.getReason( ).trim( );

		if ( "".equals( reason ) ) {
			return new RequestBanResponse( admin , RequestBanResponse.Error.NO_REASON , user , empire , reason );
		} else if ( "".equals( user ) ) {
			return new RequestBanResponse( admin , RequestBanResponse.Error.NOT_FOUND , user , empire , reason );
		}

		return this.administration.requestBan( admin , user , empire , reason );
	}

}
