package com.deepclone.lw.beans.user.admin.main.bt;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.admin.common.AdminOperation;
import com.deepclone.lw.beans.user.admin.main.AdminCommandsBean;
import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.admin.adata.Privileges;
import com.deepclone.lw.cmd.admin.bt.MergeReportsCommand;
import com.deepclone.lw.cmd.admin.bt.MergeReportsResponse;
import com.deepclone.lw.interfaces.bt.AdminBugs;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class MergeReportsCommandDelegateBean
		extends AdminOperation
		implements AutowiredCommandDelegate
{
	private AdminBugs bugs;


	@Autowired( required = true )
	public void setBugs( AdminBugs bugs )
	{
		this.bugs = bugs;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return AdminCommandsBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return MergeReportsCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command command )
	{
		Administrator admin = this.getAdministrator( session );
		if ( !admin.hasPrivilege( Privileges.BUGT ) ) {
			return new MergeReportsResponse( admin , true );
		}

		long id = ( (MergeReportsCommand) command ).getId1( );
		long mergeId = ( (MergeReportsCommand) command ).getId2( );

		return this.bugs.mergeReports( admin , id , mergeId );
	}

}
