package com.deepclone.lw.beans.user.admin.main.bt;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.admin.common.AdminOperation;
import com.deepclone.lw.beans.user.admin.main.AdminCommandsBean;
import com.deepclone.lw.cmd.ObjectNameError;
import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.admin.adata.Privileges;
import com.deepclone.lw.cmd.bt.PostCommentCommand;
import com.deepclone.lw.cmd.admin.bt.PostCommentResponse;
import com.deepclone.lw.cmd.admin.bt.ViewBugResponse;
import com.deepclone.lw.interfaces.bt.AdminBugs;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class PostCommentCommandDelegateBean
		extends AdminOperation
		implements AutowiredCommandDelegate
{
	private AdminBugs bugs;


	@Autowired( required = true )
	public void setBugs( AdminBugs bugs )
	{
		this.bugs = bugs;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return AdminCommandsBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return PostCommentCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command command )
	{
		Administrator admin = this.getAdministrator( session );
		if ( !admin.hasPrivilege( Privileges.BUGT ) ) {
			return new PostCommentResponse( admin , true );
		}

		long id = ( (PostCommentCommand) command ).getId( );
		String comment = ( (PostCommentCommand) command ).getComment( ).trim( );
		boolean pComment = ( (PostCommentCommand) command ).isPublicComment( );

		ObjectNameError error;
		if ( "".equals( comment ) ) {
			error = ObjectNameError.EMPTY;
		} else if ( comment.length( ) < 30 ) {
			error = ObjectNameError.INVALID;
		} else {
			error = null;
		}

		if ( error != null ) {
			ViewBugResponse response = this.bugs.getReport( admin , id );
			if ( response.getReport( ) == null ) {
				return new PostCommentResponse( admin , false );
			}
			return new PostCommentResponse( admin , response.getReport( ) , response.getEvents( ) , error , comment ,
					pComment );
		}

		PostCommentResponse response = this.bugs.postComment( admin , id , comment , pComment );
		return response;
	}

}
