package com.deepclone.lw.beans.user.admin.main.bt;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.admin.common.AdminOperation;
import com.deepclone.lw.beans.user.admin.main.AdminCommandsBean;
import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.admin.adata.Privileges;
import com.deepclone.lw.cmd.admin.bt.ValidateReportCommand;
import com.deepclone.lw.interfaces.bt.AdminBugs;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;
import com.deepclone.lw.session.NullResponse;



public class ValidateReportCommandDelegateBean
		extends AdminOperation
		implements AutowiredCommandDelegate
{

	private AdminBugs bugs;


	@Autowired( required = true )
	public void setBugs( AdminBugs bugs )
	{
		this.bugs = bugs;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return AdminCommandsBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return ValidateReportCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command command )
	{
		Administrator admin = this.getAdministrator( session );
		if ( admin.hasPrivilege( Privileges.BUGT ) ) {
			ValidateReportCommand vr = (ValidateReportCommand) command;
			int creds = vr.getGrantCredits( );
			if ( creds < 0 ) {
				creds = 0;
			} else if ( creds > 3 ) {
				creds = 3;
			}
			this.bugs.validateReport( admin , vr.getId( ) , vr.getStatus( ) , vr.isPublicReport( ) , creds , vr
					.isSnapshot( ) );
		}
		return new NullResponse( );
	}
}
