package com.deepclone.lw.beans.user.admin.main.msgs;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.admin.common.AdminOperation;
import com.deepclone.lw.beans.user.admin.main.AdminCommandsBean;
import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.admin.msg.MessageBoxCommand;
import com.deepclone.lw.interfaces.msg.AdminMessages;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;
import com.deepclone.lw.session.NullResponse;



public class MessageBoxCommandDelegateBean
		extends AdminOperation
		implements AutowiredCommandDelegate
{
	private AdminMessages messages;


	@Autowired( required = true )
	public void setMessages( AdminMessages messages )
	{
		this.messages = messages;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return AdminCommandsBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return MessageBoxCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		MessageBoxCommand command = (MessageBoxCommand) cParam;
		Administrator admin = this.getAdministrator( session );

		long[] selection = command.getSelection( );
		if ( selection != null && selection.length == 0 ) {
			return new NullResponse( );
		}

		switch ( command.getAction( ) ) {
			case DELETE:
				this.messages.deleteMessages( admin , command.isInbox( ) , selection );
				break;
			case MARK_READ:
				this.messages.markRead( admin , selection );
				break;
			case MARK_UNREAD:
				this.messages.markUnread( admin , selection );
				break;
		}

		return new NullResponse( );
	}

}
