package com.deepclone.lw.beans.user.admin.main.su;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.admin.su.ResetAdminPasswordCommand;
import com.deepclone.lw.cmd.admin.su.ViewAdministratorResponse;
import com.deepclone.lw.interfaces.admin.Administration;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;
import com.deepclone.lw.sqld.admin.AdminRecord;



public class ResetAdminPasswordCommandDelegateBean
		extends SUExistingOperation
{
	private Administration administration;


	@Autowired( required = true )
	public void setAdministration( Administration administration )
	{
		this.administration = administration;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return ResetAdminPasswordCommand.class;
	}


	@Override
	protected CommandResponse handleCommand( Administrator admin , Command cParam )
	{
		ResetAdminPasswordCommand command = (ResetAdminPasswordCommand) cParam;
		if ( admin.getId( ) == command.getIdentifier( ) ) {
			return new ViewAdministratorResponse( admin , admin );
		}

		AdminRecord record = this.administration.resetPassword( admin , command.getIdentifier( ) );
		if ( record == null ) {
			return this.adminNotFound( admin );
		}
		return new ViewAdministratorResponse( admin , this.convertAdministrator( record ) );
	}

}
