package com.deepclone.lw.beans.user.admin.main.su;


import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.admin.common.AdminOperation;
import com.deepclone.lw.beans.user.admin.main.AdminCommandsBean;
import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.admin.adata.Privileges;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



abstract class SuperUserOperation
		extends AdminOperation
		implements AutowiredCommandDelegate
{

	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return AdminCommandsBean.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command command )
	{
		Administrator admin = this.getAdministrator( session );
		if ( !admin.hasPrivilege( Privileges.SUPER ) ) {
			return this.insufficientPrivileges( admin );
		}
		return this.handleCommand( admin , command );
	}


	protected abstract CommandResponse handleCommand( Administrator admin , Command command );


	protected abstract CommandResponse insufficientPrivileges( Administrator admin );

}
