package com.deepclone.lw.beans.user.admin.main.tick;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.admin.common.AdminOperation;
import com.deepclone.lw.beans.user.admin.main.AdminCommandsBean;
import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.admin.adata.Privileges;
import com.deepclone.lw.cmd.admin.tick.SetTaskStatusCommand;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.interfaces.sys.TickerManager;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;
import com.deepclone.lw.session.NullResponse;



public class SetTaskStatusCommandDelegateBean
		extends AdminOperation
		implements AutowiredCommandDelegate
{
	private TickerManager manager;


	@Autowired( required = true )
	public void setManager( TickerManager manager )
	{
		this.manager = manager;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return AdminCommandsBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return SetTaskStatusCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		Administrator admin = this.getAdministrator( session );
		if ( !admin.hasPrivilege( Privileges.TICK ) ) {
			return new NullResponse( );
		}

		SetTaskStatusCommand command = (SetTaskStatusCommand) cParam;
		switch ( command.getNewStatus( ) ) {
			case RUNNING:
				this.manager.startTask( admin.getId( ) , command.getTask( ) );
				break;
			case STOPPED:
				this.manager.stopTask( admin.getId( ) , command.getTask( ) );
				break;
			case AUTO:
				this.manager.setTaskStart( admin.getId( ) , command.getTask( ) , command.getDelay( ) );
				break;
		}

		return new NullResponse( );
	}

}
