package com.deepclone.lw.beans.user.admin.main.users;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.admin.common.AdminOperation;
import com.deepclone.lw.beans.user.admin.main.AdminCommandsBean;
import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.admin.adata.Privileges;
import com.deepclone.lw.cmd.admin.users.GiveCreditsCommand;
import com.deepclone.lw.interfaces.acm.AccountManagement;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;
import com.deepclone.lw.session.NullResponse;



public class GiveCreditsCommandDelegateBean
		extends AdminOperation
		implements AutowiredCommandDelegate
{

	private AccountManagement accounts;


	@Autowired( required = true )
	public void setAccounts( AccountManagement accounts )
	{
		this.accounts = accounts;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return AdminCommandsBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return GiveCreditsCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command command )
	{
		Administrator admin = this.getAdministrator( session );
		if ( !admin.hasPrivilege( Privileges.USER ) ) {
			return new NullResponse( );
		}

		int credits = ( (GiveCreditsCommand) command ).getCredits( );
		if ( credits > 0 ) {
			int id = ( (GiveCreditsCommand) command ).getId( );
			this.accounts.giveCredits( admin , id , credits );
		}
		return new NullResponse( );
	}

}
