package com.deepclone.lw.beans.user.ext;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.cmd.ext.ListLanguagesCommand;
import com.deepclone.lw.cmd.ext.ListLanguagesResponse;
import com.deepclone.lw.interfaces.i18n.Translator;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class ListLanguagesCommandDelegateBean
		extends LanguageListRequired
		implements AutowiredCommandDelegate
{

	@Autowired( required = true )
	public void setTranslator( Translator translator )
	{
		this.translator = translator;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return ExternalSessionDefinerBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return ListLanguagesCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command command )
	{
		return new ListLanguagesResponse( this.getSupportedLanguages( ) );
	}

}
