package com.deepclone.lw.beans.user.player;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.cmd.player.account.BanDetailsCommand;
import com.deepclone.lw.interfaces.acm.AccountManagement;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;
import com.deepclone.lw.utils.EmailAddress;



public class BanDetailsCommandDelegateBean
		implements AutowiredCommandDelegate
{
	private AccountManagement manager;


	@Autowired( required = true )
	public void setAccountManager( AccountManagement manager )
	{
		this.manager = manager;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return BannedSubTypeBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return BanDetailsCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command command )
	{
		EmailAddress address = new EmailAddress( session.get( "authenticationToken" , String.class ) );
		return this.manager.getBanDetails( address );
	}

}
