package com.deepclone.lw.beans.user.player.account;


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.player.GameSubTypeBean;
import com.deepclone.lw.cmd.CreateAuthChallengeCommand;
import com.deepclone.lw.cmd.CreateAuthChallengeResponse;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;
import com.deepclone.lw.utils.RandomStringGenerator;



public class CreateAuthChallengeCommandDelegateBean
		implements AutowiredCommandDelegate
{

	private RandomStringGenerator challengeGenerator;


	@Autowired( required = true )
	@Qualifier( "authChallenges" )
	public void setChallangeGenerator( RandomStringGenerator rsg )
	{
		this.challengeGenerator = rsg;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return GameSubTypeBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return CreateAuthChallengeCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		String challenge = this.challengeGenerator.generate( );
		session.put( "tempChallenge" , challenge );
		return new CreateAuthChallengeResponse( challenge );
	}

}
