package com.deepclone.lw.beans.user.player.bt;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.player.GameSubTypeBean;
import com.deepclone.lw.cmd.bt.ListBugsCommand;
import com.deepclone.lw.cmd.bt.data.BugStatus;
import com.deepclone.lw.interfaces.bt.PlayerBugs;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class ListBugsCommandDelegateBean
		implements AutowiredCommandDelegate
{

	private PlayerBugs bugs;


	@Autowired( required = true )
	public void setBugs( PlayerBugs bugs )
	{
		this.bugs = bugs;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return GameSubTypeBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return ListBugsCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		int empireId = session.get( "empireId" , Integer.class );

		ListBugsCommand command = (ListBugsCommand) cParam;
		long first = command.getFirst( );
		int count = command.getCount( );
		BugStatus status = command.getStatus( );
		boolean own = command.isOwnOnly( );

		return this.bugs.getBugs( empireId , status , own , first , count );
	}

}
