package com.deepclone.lw.beans.user.player.bt;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.player.GameSubTypeBean;
import com.deepclone.lw.cmd.ObjectNameError;
import com.deepclone.lw.cmd.bt.PostCommentCommand;
import com.deepclone.lw.cmd.player.bt.PostCommentResponse;
import com.deepclone.lw.cmd.player.bt.ViewBugResponse;
import com.deepclone.lw.interfaces.bt.PlayerBugs;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class PostCommentCommandDelegateBean
		implements AutowiredCommandDelegate
{
	private PlayerBugs bugs;


	@Autowired( required = true )
	public void setBugs( PlayerBugs bugs )
	{
		this.bugs = bugs;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return GameSubTypeBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return PostCommentCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command command )
	{
		int empireId = session.get( "empireId" , Integer.class );
		long id = ( (PostCommentCommand) command ).getId( );
		String comment = ( (PostCommentCommand) command ).getComment( ).trim( );

		ObjectNameError error;
		if ( "".equals( comment ) ) {
			error = ObjectNameError.EMPTY;
		} else if ( comment.length( ) < 30 ) {
			error = ObjectNameError.INVALID;
		} else {
			error = null;
		}

		if ( error != null ) {
			ViewBugResponse response = this.bugs.getReport( empireId , id );
			if ( response.getReport( ) == null ) {
				return new PostCommentResponse( response.getPage( ) , false );
			}
			return new PostCommentResponse( response.getPage( ) , response.getReport( ) , response.getEvents( ) ,
					error , comment );
		}

		PostCommentResponse response = this.bugs.postComment( empireId , id , comment );
		return response;
	}

}
