package com.deepclone.lw.beans.user.player.bt;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.player.GameSubTypeBean;
import com.deepclone.lw.cmd.bt.ViewBugCommand;
import com.deepclone.lw.interfaces.bt.PlayerBugs;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class ViewBugCommandDelegateBean
		implements AutowiredCommandDelegate
{
	private PlayerBugs bugs;


	@Autowired( required = true )
	public void setBugs( PlayerBugs bugs )
	{
		this.bugs = bugs;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return GameSubTypeBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return ViewBugCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command command )
	{
		int empireId = session.get( "empireId" , Integer.class );
		long id = ( (ViewBugCommand) command ).getId( );
		return this.bugs.getReport( empireId , id );
	}

}
