package com.deepclone.lw.beans.user.player.game;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.player.GameSubTypeBean;
import com.deepclone.lw.cmd.ObjectNameError;
import com.deepclone.lw.cmd.player.GetNewPlanetCommand;
import com.deepclone.lw.cmd.player.GetNewPlanetResponse;
import com.deepclone.lw.interfaces.game.EmpireManagement;
import com.deepclone.lw.interfaces.naming.ObjectNameValidator;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class GetNewPlanetCommandDelegateBean
		implements AutowiredCommandDelegate

{

	private EmpireManagement empireManagement;
	private ObjectNameValidator validator;


	@Autowired( required = true )
	public void setEmpireManager( EmpireManagement manager )
	{
		this.empireManagement = manager;
	}


	@Autowired( required = true )
	public void setObjectNameValidator( ObjectNameValidator validator )
	{
		this.validator = validator;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return GetNewPlanetCommand.class;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return GameSubTypeBean.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		GetNewPlanetCommand command = (GetNewPlanetCommand) cParam;
		int empireId = session.get( "empireId" , Integer.class );
		if ( session.get( "vacation" , Boolean.class ) ) {
			return new GetNewPlanetResponse( this.empireManagement.getGeneralInformation( empireId ) , null , null );
		}

		String name = command.getName( );
		ObjectNameError one = this.validator.validate( name );
		if ( one != null ) {
			return new GetNewPlanetResponse( this.empireManagement.getGeneralInformation( empireId ) , name , one );
		}

		return this.empireManagement.getNewPlanet( empireId , name );
	}
}
