package com.deepclone.lw.beans.user.player.game;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.player.GameSubTypeBean;
import com.deepclone.lw.cmd.player.battles.ListBattlesCommand;
import com.deepclone.lw.interfaces.game.BattleViewer;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class ListBattlesCommandDelegateBean
		implements AutowiredCommandDelegate

{

	private BattleViewer battleViewer;


	@Autowired( required = true )
	public void setBattleViewer( BattleViewer battleViewer )
	{
		this.battleViewer = battleViewer;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return ListBattlesCommand.class;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return GameSubTypeBean.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		ListBattlesCommand command = (ListBattlesCommand) cParam;
		int empireId = session.get( "empireId" , Integer.class );
		return this.battleViewer.getBattles( empireId , command.getPage( ) );
	}
}
