package com.deepclone.lw.beans.user.player.game.alliances;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.player.GameSubTypeBean;
import com.deepclone.lw.cmd.player.alliances.ViewAllianceCommand;
import com.deepclone.lw.interfaces.game.AllianceManagement;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class ViewAllianceCommandDelegateBean
		implements AutowiredCommandDelegate
{

	private AllianceManagement allianceManagement;


	@Autowired( required = true )
	public void setAllianceManagement( AllianceManagement allianceManagement )
	{
		this.allianceManagement = allianceManagement;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return ViewAllianceCommand.class;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return GameSubTypeBean.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		ViewAllianceCommand command = (ViewAllianceCommand) cParam;
		Integer empireId = session.get( "empireId" , Integer.class );
		return this.allianceManagement.getInformation( empireId , command.getTag( ).trim( ) );
	}
}
