package com.deepclone.lw.beans.user.player.game.fleets;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.player.GameSubTypeBean;
import com.deepclone.lw.cmd.player.fleets.MergeFleetsCommand;
import com.deepclone.lw.interfaces.game.FleetManagement;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class MergeFleetsCommandDelegateBean
		implements AutowiredCommandDelegate
{
	private FleetManagement fleetManager;


	@Autowired( required = true )
	public void setFleetManager( FleetManagement fleetManager )
	{
		this.fleetManager = fleetManager;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return MergeFleetsCommand.class;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return GameSubTypeBean.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		MergeFleetsCommand command = (MergeFleetsCommand) cParam;
		int empireId = session.get( "empireId" , Integer.class );
		if ( session.get( "vacation" , Boolean.class ) ) {
			return this.fleetManager.disband( empireId , new long[] { } , false );
		}
		return this.fleetManager.merge( empireId , command.getFleets( ) );
	}
}
