package com.deepclone.lw.beans.user.player.game.fleets;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.player.GameSubTypeBean;
import com.deepclone.lw.cmd.player.fleets.MoveFleetsCommand;
import com.deepclone.lw.interfaces.game.FleetManagement;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class MoveFleetsCommandDelegateBean
		implements AutowiredCommandDelegate
{
	private FleetManagement fleetManager;


	@Autowired( required = true )
	public void setFleetManager( FleetManagement fleetManager )
	{
		this.fleetManager = fleetManager;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return MoveFleetsCommand.class;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return GameSubTypeBean.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		MoveFleetsCommand command = (MoveFleetsCommand) cParam;
		int empireId = session.get( "empireId" , Integer.class );
		if ( session.get( "vacation" , Boolean.class ) ) {
			return this.fleetManager.disband( empireId , new long[] { } , false );
		}

		String destination = command.getDestination( );
		if ( destination != null ) {
			destination = destination.trim( );
			if ( "".equals( destination ) ) {
				destination = null;
			}
		}
		boolean attack = ( destination == null ) ? false : command.getMode( );

		return this.fleetManager.move( empireId , command.getFleets( ) , destination , attack );
	}
}
