package com.deepclone.lw.beans.user.player.game.fleets;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.player.GameSubTypeBean;
import com.deepclone.lw.cmd.player.fleets.RenameFleetsCommand;
import com.deepclone.lw.cmd.player.fleets.RenameFleetsResponse;
import com.deepclone.lw.interfaces.game.FleetManagement;
import com.deepclone.lw.interfaces.naming.ObjectNameValidator;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class RenameFleetsCommandDelegateBean
		implements AutowiredCommandDelegate
{
	private FleetManagement fleetManager;
	private ObjectNameValidator validator;


	@Autowired( required = true )
	public void setFleetManager( FleetManagement fleetManager )
	{
		this.fleetManager = fleetManager;
	}


	@Autowired( required = true )
	public void setObjectNameValidator( ObjectNameValidator validator )
	{
		this.validator = validator;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return RenameFleetsCommand.class;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return GameSubTypeBean.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		RenameFleetsCommand command = (RenameFleetsCommand) cParam;
		int empireId = session.get( "empireId" , Integer.class );
		if ( session.get( "vacation" , Boolean.class ) ) {
			return this.fleetManager.disband( empireId , new long[] { } , false );
		}

		String name;
		boolean error;
		if ( command.isRename( ) ) {
			name = command.getName( ).trim( );
			if ( !"".equals( name ) && this.validator.validate( name , 1 , 40 ) != null ) {
				error = true;
				name = null;
			} else {
				error = false;
			}
		} else {
			name = null;
			error = false;
		}

		RenameFleetsResponse response;
		response = (RenameFleetsResponse) this.fleetManager.rename( empireId , command.getFleets( ) , name );

		response.setError( error );
		if ( error ) {
			response.setName( command.getName( ).trim( ) );
		}

		return response;
	}
}
