package com.deepclone.lw.beans.user.player.game.planets;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.player.GameSubTypeBean;
import com.deepclone.lw.cmd.player.planets.AbandonPlanetCommand;
import com.deepclone.lw.interfaces.game.PlanetsManagement;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class AbandonPlanetCommandDelegateBean
		implements AutowiredCommandDelegate

{

	private PlanetsManagement planetsManagement;


	@Autowired( required = true )
	public void setPlanetsManagement( PlanetsManagement planetsManagement )
	{
		this.planetsManagement = planetsManagement;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return AbandonPlanetCommand.class;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return GameSubTypeBean.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		AbandonPlanetCommand command = (AbandonPlanetCommand) cParam;
		int empireId = session.get( "empireId" , Integer.class );
		int planetId = command.getId( );
		if ( session.get( "vacation" , Boolean.class ) ) {
			return this.planetsManagement.viewPlanet( empireId , planetId );
		}

		if ( command.isCancel( ) ) {
			return this.planetsManagement.cancelAbandon( empireId , planetId );
		}
		return this.planetsManagement.abandon( empireId , planetId );
	}
}
