package com.deepclone.lw.beans.user.player.game.planets;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.player.GameSubTypeBean;
import com.deepclone.lw.cmd.ObjectNameError;
import com.deepclone.lw.cmd.player.planets.RenamePlanetCommand;
import com.deepclone.lw.cmd.player.planets.RenamePlanetResponse;
import com.deepclone.lw.cmd.player.planets.ViewPlanetResponse;
import com.deepclone.lw.interfaces.game.PlanetsManagement;
import com.deepclone.lw.interfaces.naming.ObjectNameValidator;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class RenamePlanetCommandDelegateBean
		implements AutowiredCommandDelegate

{

	private PlanetsManagement planetsManagement;
	private ObjectNameValidator validator;


	@Autowired( required = true )
	public void setPlanetsManagement( PlanetsManagement planetsManagement )
	{
		this.planetsManagement = planetsManagement;
	}


	@Autowired( required = true )
	public void setObjectNameValidator( ObjectNameValidator validator )
	{
		this.validator = validator;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return RenamePlanetCommand.class;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return GameSubTypeBean.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		RenamePlanetCommand command = (RenamePlanetCommand) cParam;
		int empireId = session.get( "empireId" , Integer.class );
		int planetId = command.getId( );
		if ( session.get( "vacation" , Boolean.class ) ) {
			return this.planetsManagement.viewPlanet( empireId , planetId );
		}

		String name = command.getName( );
		ObjectNameError one = this.validator.validate( name );
		if ( one != null ) {
			ViewPlanetResponse r = this.planetsManagement.viewPlanet( empireId , planetId );
			return new RenamePlanetResponse( planetId , r.getPage( ) , r.getBasic( ) , r.getOrbit( ) , r.getOwn( ) ,
					name , one.toString( ) );
		}

		return this.planetsManagement.renamePlanet( empireId , planetId , name );
	}
}
