package com.deepclone.lw.beans.user.player.msgs;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.player.GameSubTypeBean;
import com.deepclone.lw.cmd.msgdata.MessageType;
import com.deepclone.lw.cmd.player.msgs.ComposeMessageCommand;
import com.deepclone.lw.cmd.player.msgs.ComposeMessageResponse;
import com.deepclone.lw.interfaces.msg.EmpireMessages;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;



public class ComposeMessageCommandDelegateBean
		implements AutowiredCommandDelegate
{
	private EmpireMessages messages;


	@Autowired( required = true )
	public void setMessages( EmpireMessages messages )
	{
		this.messages = messages;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return GameSubTypeBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return ComposeMessageCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		ComposeMessageCommand command = (ComposeMessageCommand) cParam;
		int empireId = session.get( "empireId" , Integer.class );

		MessageType type = command.getType( );
		if ( type == MessageType.INTERNAL ) {
			type = MessageType.EMPIRE;
		}
		String target = command.getTarget( );
		String title = command.getSubject( ).trim( );
		String contents = command.getContents( ).trim( );

		boolean titleError = ( title.length( ) < 2 || title.length( ) > 64 );
		boolean contentsError = ( contents.length( ) < 2 );

		ComposeMessageResponse response;
		if ( command.getReplyTo( ) != null && command.getInbox( ) != null ) {
			response = this.messages.sendReply( empireId , command.getInbox( ) , command.getReplyTo( ) , type ,
					target , title , contents , titleError || contentsError );
		} else {
			response = this.messages.sendMessage( empireId , type , target , title , contents , titleError
					|| contentsError );
		}
		response.setTitleError( titleError );
		response.setContentsError( contentsError );

		return response;
	}
}
