package com.deepclone.lw.beans.user.player.msgs;


import org.springframework.beans.factory.annotation.Autowired;

import com.deepclone.lw.beans.user.abst.AutowiredCommandDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.player.GameSubTypeBean;
import com.deepclone.lw.cmd.player.msgs.MessageBoxCommand;
import com.deepclone.lw.interfaces.msg.EmpireMessages;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;
import com.deepclone.lw.session.NullResponse;



public class MessageBoxCommandDelegateBean
		implements AutowiredCommandDelegate
{
	private EmpireMessages messages;


	@Autowired( required = true )
	public void setMessages( EmpireMessages messages )
	{
		this.messages = messages;
	}


	@Override
	public Class< ? extends SessionCommandHandler > getCommandHandler( )
	{
		return GameSubTypeBean.class;
	}


	@Override
	public Class< ? extends Command > getType( )
	{
		return MessageBoxCommand.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command cParam )
	{
		MessageBoxCommand command = (MessageBoxCommand) cParam;
		int empireId = session.get( "empireId" , Integer.class );

		long[] selection = command.getSelection( );
		if ( selection != null && selection.length == 0 ) {
			return new NullResponse( );
		}

		switch ( command.getAction( ) ) {
			case DELETE:
				this.messages.deleteMessages( empireId , command.isInbox( ) , selection );
				break;
			case MARK_READ:
				this.messages.markRead( empireId , selection );
				break;
			case MARK_UNREAD:
				this.messages.markUnread( empireId , selection );
				break;
		}

		return new NullResponse( );
	}

}
