/*
 * Test the defs.add_resource_records() function
 */
BEGIN;
	/* Remove foreign keys from empires and planets, then insert dummy records
	 * into both tables.
	 */
	ALTER TABLE emp.empires
		DROP CONSTRAINT fk_empires_name;
	INSERT INTO emp.empires ( name_id , cash )
		VALUES ( 1 , 0 );

	ALTER TABLE verse.planets
		DROP CONSTRAINT fk_planets_name ,
		DROP CONSTRAINT fk_planets_system;
	INSERT INTO verse.planets ( name_id , system_id , orbit , picture , population )
		VALUES ( 1 , 1 , 1 , 1 , 1 );

	/* Create a resource type and call the function */
	\i utils/strings.sql
	\i utils/resources.sql
	SELECT _create_resources( 1 , 'test' );
	SELECT defs.add_resource_records( _get_string( 'test1' ) );
	
	/***** TESTS BEGIN HERE *****/
	SELECT plan( 2 );

	SELECT diag_test_name( 'defs.add_resource_records() - Empire record created' );
	SELECT is( COUNT(*)::INT , 1 )
		FROM emp.resources
		WHERE empire_id = 1 AND resource_name_id = _get_string( 'test1' );

	SELECT diag_test_name( 'defs.add_resource_records() - Planet record created' );
	SELECT is( COUNT(*)::INT , 1 )
		FROM verse.planet_resources
		WHERE planet_id = 1 AND resource_name_id = _get_string( 'test1' );

	SELECT * FROM finish( );
ROLLBACK;
