/*
 * Test the verse.list_random_planets_in() function
 */
BEGIN;
	
	/* We need two systems with one planet each. Systems will be located at
	 * (0,0) and (1,1).
	 */
	\i utils/strings.sql
	\i utils/accounts.sql
	\i utils/naming.sql
	\i utils/universe.sql
	SELECT _create_raw_planets( 10 , 'test' );

	/***** TESTS BEGIN HERE *****/ 
	SELECT plan( 5 );

	SELECT diag_test_name( 'verse.list_random_planets_in() - Empty set if count = 0' );
	SELECT is_empty( $$
		SELECT * FROM verse.list_random_planets_in( ROW( 0 , 0 , 1 , 1 ) , 0 )
	$$ );

	SELECT diag_test_name( 'verse.list_random_planets_in() - Empty set if outside of existing universe' );
	SELECT is_empty( $$
		SELECT * FROM verse.list_random_planets_in( ROW( 2 , 2 , 3 , 3 ) , 2 )
	$$ );

	SELECT diag_test_name( 'verse.list_random_planets_in() - Requested count > actual count' );
	SELECT is( COUNT(*) , 5::BIGINT )
		FROM verse.list_random_planets_in( ROW( 1 , 1 , 2 , 2 ) , 7 );

	SELECT diag_test_name( 'verse.list_random_planets_in() - Requested count = actual count' );
	SELECT is( COUNT(*) , 5::BIGINT )
		FROM verse.list_random_planets_in( ROW( 1 , 1 , 2 , 2 ) , 5 );

	SELECT diag_test_name( 'verse.list_random_planets_in() - Requested count < actual count' );
	SELECT is( COUNT(*) , 4::BIGINT )
		FROM verse.list_random_planets_in( ROW( 1 , 1 , 2 , 2 ) , 4 );

	SELECT * FROM finish( );
ROLLBACK;