/*
 * Test privileges on sys.update_types
 */
BEGIN;
	SELECT plan( 4 );
	
	SELECT diag_test_name( 'sys.update_types - No INSERT privilege' );
	SELECT throws_ok(
		$$ INSERT INTO sys.update_types DEFAULT VALUES; $$ ,
		42501 );

	SELECT diag_test_name( 'sys.update_types - No UPDATE privilege' );
	SELECT throws_ok(
		$$ UPDATE sys.update_types SET updtgt_id = 42; $$ ,
		42501 );

	SELECT diag_test_name( 'sys.update_types - No SELECT privilege' );
	SELECT throws_ok(
		$$ SELECT * FROM sys.update_types; $$ ,
		42501 );

	SELECT diag_test_name( 'sys.update_types - No DELETE privilege' );
	SELECT throws_ok(
		$$ DELETE FROM sys.update_types; $$ ,
		42501 );

	SELECT * FROM finish( );
ROLLBACK;