package com.deepclone.lw.sqld.game;


public final class PlanetData
{
	public static enum AccessType {
		BASIC ,
		PRESENT ,
		OWNER
	}

	public static class Basic
	{
		private AccessType access;
		private int x;
		private int y;
		private int orbit;
		private int picture;
		private String name;
		private String tag;


		public AccessType getAccess( )
		{
			return this.access;
		}


		public void setAccess( AccessType access )
		{
			this.access = access;
		}


		public int getX( )
		{
			return this.x;
		}


		public void setX( int x )
		{
			this.x = x;
		}


		public int getY( )
		{
			return this.y;
		}


		public void setY( int y )
		{
			this.y = y;
		}


		public int getOrbit( )
		{
			return this.orbit;
		}


		public void setOrbit( int orbit )
		{
			this.orbit = orbit;
		}


		public int getPicture( )
		{
			return this.picture;
		}


		public void setPicture( int picture )
		{
			this.picture = picture;
		}


		public String getName( )
		{
			return this.name;
		}


		public void setName( String name )
		{
			this.name = name;
		}


		public String getTag( )
		{
			return this.tag;
		}


		public void setTag( String tag )
		{
			this.tag = tag;
		}

	}

	public static class Orbital
	{
		private long population;
		private long defence;
		private long ownPower;
		private long friendlyPower;
		private long hostilePower;
		private Long battle;


		public long getPopulation( )
		{
			return this.population;
		}


		public void setPopulation( long population )
		{
			this.population = population;
		}


		public long getDefence( )
		{
			return this.defence;
		}


		public void setDefence( long defence )
		{
			this.defence = defence;
		}


		public long getOwnPower( )
		{
			return this.ownPower;
		}


		public void setOwnPower( Long ownPower )
		{
			this.ownPower = ( ownPower == null ) ? 0 : ownPower.longValue( );
		}


		public long getFriendlyPower( )
		{
			return this.friendlyPower;
		}


		public void setFriendlyPower( Long friendlyPower )
		{
			this.friendlyPower = ( friendlyPower == null ) ? 0 : friendlyPower.longValue( );
		}


		public long getHostilePower( )
		{
			return this.hostilePower;
		}


		public void setHostilePower( Long hostilePower )
		{
			this.hostilePower = ( hostilePower == null ) ? 0 : hostilePower.longValue( );
		}


		public Long getBattle( )
		{
			return this.battle;
		}


		public void setBattle( Long battle )
		{
			this.battle = battle;
		}

	}

	public static class Owner
	{
		private int happiness;
		private int hChange;
		private long income;
		private long upkeep;
		private boolean renamePossible;
		private boolean abandonPossible;
		private Integer abandonTime;
		private boolean ownSettings;


		public int getHappiness( )
		{
			return this.happiness;
		}


		public void setHappiness( int happiness )
		{
			this.happiness = happiness;
		}


		public int gethChange( )
		{
			return this.hChange;
		}


		public void sethChange( int hChange )
		{
			this.hChange = hChange;
		}


		public long getIncome( )
		{
			return this.income;
		}


		public void setIncome( long income )
		{
			this.income = income;
		}


		public long getUpkeep( )
		{
			return this.upkeep;
		}


		public void setUpkeep( long upkeep )
		{
			this.upkeep = upkeep;
		}


		public boolean isRenamePossible( )
		{
			return this.renamePossible;
		}


		public void setRenamePossible( boolean renamePossible )
		{
			this.renamePossible = renamePossible;
		}


		public boolean isAbandonPossible( )
		{
			return this.abandonPossible;
		}


		public void setAbandonPossible( boolean abandonPossible )
		{
			this.abandonPossible = abandonPossible;
		}


		public Integer getAbandonTime( )
		{
			return this.abandonTime;
		}


		public void setAbandonTime( Integer abandonTime )
		{
			this.abandonTime = abandonTime;
		}


		public boolean isOwnSettings( )
		{
			return this.ownSettings;
		}


		public void setOwnSettings( boolean ownSettings )
		{
			this.ownSettings = ownSettings;
		}

	}


	private PlanetData( )
	{
		// EMPTY
	}

}
