package com.deepclone.lw.sqld.msgs;


public class FormatType
{
	private final boolean internal;
	private final EventType eType;
	private final int eSubType;


	public FormatType( )
	{
		this.internal = false;
		this.eType = null;
		this.eSubType = 0;
	}


	public FormatType( EventType eType , int eSubType )
	{
		this.internal = true;
		this.eType = eType;
		this.eSubType = eSubType;
	}


	public boolean isInternal( )
	{
		return internal;
	}


	public EventType getType( )
	{
		return eType;
	}


	public int getSubType( )
	{
		return eSubType;
	}


	@Override
	public int hashCode( )
	{
		final int prime = 31;
		int result = 1;
		result = prime * result + eSubType;
		result = prime * result + ( ( eType == null ) ? 0 : eType.hashCode( ) );
		result = prime * result + ( internal ? 1231 : 1237 );
		return result;
	}


	@Override
	public boolean equals( Object obj )
	{
		if ( this == obj )
			return true;
		if ( obj == null )
			return false;
		if ( getClass( ) != obj.getClass( ) )
			return false;
		FormatType other = (FormatType) obj;
		if ( eSubType != other.eSubType )
			return false;
		if ( eType == null ) {
			if ( other.eType != null )
				return false;
		} else if ( !eType.equals( other.eType ) )
			return false;
		if ( internal != other.internal )
			return false;
		return true;
	}


	@Override
	public String toString( )
	{
		return "[internal=" + internal + ", eType=" + eType + ", eSubType=" + eSubType + "]";
	}

}
