package com.deepclone.lw.sqld.sys;


import java.sql.Timestamp;
import java.util.LinkedList;
import java.util.List;

import com.deepclone.lw.cmd.admin.logs.LogLevel;



/**
 * This class represents entries in the system log.
 * 
 * @author tseeker
 */
public class SystemLogEntry
{

	private Long id;

	private Timestamp timestamp;

	private LogLevel level;

	private String component;

	private String message;

	private List< ExceptionLog > exception;


	public SystemLogEntry( LogLevel level , String component , String message )
	{
		this.level = level;
		this.component = component;
		this.message = message;
		this.exception = new LinkedList< ExceptionLog >( );
	}


	public SystemLogEntry( Long id , Timestamp timestamp , LogLevel level , String component , String message )
	{
		this.id = id;
		this.timestamp = timestamp;
		this.level = level;
		this.component = component;
		this.message = message;
	}


	public Long getId( )
	{
		return id;
	}


	public Timestamp getTimestamp( )
	{
		return timestamp;
	}


	public LogLevel getLevel( )
	{
		return level;
	}


	public String getComponent( )
	{
		return component;
	}


	public String getMessage( )
	{
		return message;
	}


	public List< ExceptionLog > getException( )
	{
		return exception;
	}


	public void addException( ExceptionLog exceptionLog )
	{
		this.exception.add( exceptionLog );
	}

}
