package com.deepclone.lw.interfaces.admin;


import java.net.InetAddress;
import java.sql.Timestamp;
import java.util.List;

import com.deepclone.lw.cmd.admin.adata.AdminOverview;
import com.deepclone.lw.sqld.admin.AdminConnection;
import com.deepclone.lw.sqld.admin.AdminRecord;
import com.deepclone.lw.utils.EmailAddress;



public interface AdminDAO
{

	public AdminRecord getAdmin( int id );


	public AdminRecord getAdmin( EmailAddress address );


	public AdminRecord getAdmin( String name );


	public int createAdmin( String address , String name , int privileges )
			throws AdminDAOException;


	public void logConnectionAttempt( int id , AdminConnection status , InetAddress address );


	public void logDisconnection( int id );


	public boolean setPassword( int id , String sha1 , String md5 );


	public List< AdminRecord > listAdministrators( );


	public boolean resetPassword( int identifier , int superuser );


	public boolean setPrivileges( int identifier , int superuser , int privileges );


	public AdminOverview getOverview( int id );


	public List< AdminOverview > getOverviews( );


	public Timestamp isRecapTime( );
}
