package com.deepclone.lw.interfaces.admin;


import java.net.InetAddress;



/**
 * This interface is used to check if an IP address is banned.
 * 
 * @author tseeker
 */
public interface IpBan
{

	/**
	 * Checks if the InetAddress provided is banned.
	 * 
	 * @param address
	 *            the IP Address to be checked
	 * @return a boolean saying whether or not the address is banned.
	 */
	public boolean isBanned( InetAddress address );


	/**
	 * Increases the ban counter associated with the given address.
	 * 
	 * @param address
	 *            the IP Address to be added to the counter.
	 */
	public void increaseBanCounter( InetAddress address );
}
