package com.deepclone.lw.interfaces.bt;


/**
 * Empire XML summary generator
 * 
 * <p>
 * This interface corresponds to the component which generates XML dumps of an empire's state to be
 * included in bug reports.
 * 
 * @author <a href="mailto:tseeker@legacyworlds.com">E. Benoît</a>
 */
public interface EmpireSummary
{

	/**
	 * Generate an empire's XML summary
	 * 
	 * <p>
	 * This method retrieves all necessary data from the database and converts it into an XML dump
	 * to be used in the bug report.
	 * 
	 * @param empireId
	 *            the empire's identifier
	 * 
	 * @return the XML summary of the empire's current state
	 */
	public String getSummary( int empireId );

}
