package com.deepclone.lw.interfaces.eventlog;


import com.deepclone.lw.cmd.admin.logs.LogLevel;



/**
 * A SystemLogger is capable of writing basic, system-related entries to the database.
 * 
 * @author tseeker
 */
public interface SystemLogger
{

	/**
	 * Writes a log entry.
	 * 
	 * @param level
	 *            the entry's log level
	 * @param message
	 *            the text of the log entry
	 * @return the logger
	 */
	public SystemLogger log( LogLevel level , String message );


	/**
	 * Writes a log entry and an associated exception
	 * 
	 * @param level
	 *            the entry's log level
	 * @param message
	 *            the text of the log entry
	 * @param exception
	 *            the exception to associate to the log entry
	 * @return the logger
	 */
	public SystemLogger log( LogLevel level , String message , Throwable exception );


	/**
	 * Flushes a logger's entries to the main logger bean.
	 * 
	 * @return the logger
	 */
	public SystemLogger flush( );

}
