package com.deepclone.lw.interfaces.game;


import java.util.List;

import com.deepclone.lw.cmd.player.gdata.planets.BuildableBuildingData;
import com.deepclone.lw.cmd.player.gdata.planets.BuildableShipData;
import com.deepclone.lw.cmd.player.gdata.planets.BuildingData;
import com.deepclone.lw.cmd.player.gdata.planets.QueueData;
import com.deepclone.lw.sqld.game.PlanetData;



public interface PlanetDAO
{

	public PlanetData.Basic getBasicInformation( int empireId , int planetId );


	public PlanetData.Orbital getOrbitalInformation( int empireId , int planetId );


	public PlanetData.Owner getOwnerInformation( int empireId , int planetId );


	public List< BuildingData > getBuildings( int empireId , int planetId , boolean isOwner );


	public QueueData getConstructionQueue( int planetId );


	public QueueData getMilitaryQueue( int planetId );


	public List< BuildableBuildingData > getAvailableBuildings( int planetId );


	public List< BuildableShipData > getAvailableShips( int planetId );


	public void flushQueue( int planetId , boolean military );


	public void addToMilitaryQueue( int planetId , int sType , int amount );


	public void constructBuildings( int planetId , int bType , int amount );


	public boolean destroyBuildings( int planetId , int bType , int amount );


	public Integer abandon( int planetId );


	public void cancelAbandon( int planetId );

}
