package com.deepclone.lw.interfaces.game.updates;


import com.deepclone.lw.sqld.sys.GameUpdateResult;



/**
 * Game updates data access
 * 
 * <p>
 * This interface allows access to the data and stored procedure which constitute the game update
 * sub-system.
 * 
 * @author <a href="mailto:tseeker@legacyworlds.com">E. Benoît</a>
 */
public interface UpdatesDAO
{

	/**
	 * Run a batch of game updates
	 * 
	 * <p>
	 * Execute a batch of game updates for the current game update cycle. The value returned by this
	 * method determines whether the caller should call the method again, and if so whether it needs
	 * to do some in-server processing.
	 * 
	 * @param tickId
	 *            the identifier of the current game update cycle
	 * 
	 * @return the results of the game update processor
	 */
	public GameUpdateResult processUpdates( long tickId );
}
