package com.deepclone.lw.interfaces.i18n;


import java.util.HashSet;
import java.util.Set;



/**
 * This exception is thrown by administration session objects when the creation of a new string
 * would make previously supported languages unsupported.
 * 
 * @author tseeker
 */
public class InvalidUpdateException
		extends I18NException
{

	private static final long serialVersionUID = 1L;
	private Set< String > downgradedLanguages;


	public InvalidUpdateException( Set< String > languages )
	{
		super( "would downgrade the following languages: " + languages.toString( ) );
		this.downgradedLanguages = new HashSet< String >( languages );
	}


	/**
	 * @return the set of identifiers for languages that would have become unsupported
	 */
	public Set< String > getDowngradedLanguages( )
	{
		return new HashSet< String >( this.downgradedLanguages );
	}
}
