package com.deepclone.lw.interfaces.i18n;


/**
 * This exception is thrown when a language does not exist in the database or, in the case of the
 * translator bean, if the language isn't fully supported.
 * 
 * @author tseeker
 */
public final class UnknownLanguageException
		extends TranslationException
{
	private static final long serialVersionUID = 1L;

	private String language;


	public UnknownLanguageException( String language )
	{
		super( "the requested language '" + language + "' could not be found" );
		this.language = language;
	}


	public String getLanguage( )
	{
		return this.language;
	}
}
