package com.deepclone.lw.interfaces.mailer;


import com.deepclone.lw.interfaces.i18n.TranslationException;



/**
 * Mailer bean interface
 * 
 * This interface is meant to be implemented by the server's mailer bean.
 * 
 * @author tseeker
 */
public interface Mailer
{

	/**
	 * This method generates a MailData instance from a template found in the internationalisation
	 * database.
	 * 
	 * @param language
	 *            the language identifier
	 * @param contentsDef
	 *            the string identifier for the mail's template
	 * @param target
	 *            the address to which the mail is to be sent
	 * @return the mail data instance
	 * @throws TranslationException
	 *             when retrieving the template from the database fails
	 */
	public MailData createMail( String language , String contentsDef , String target )
			throws TranslationException;

}
