package com.deepclone.lw.interfaces.naming;


/**
 * Empire/player name manager exception
 * 
 * This exception is used by {@link EmpireNamesDAO} to indicate that something went wrong in the
 * name creation or modification code.
 * 
 * @author tseeker
 */
public class EmpireNameException
		extends Exception
{

	private static final long serialVersionUID = 1L;

	/** Possible causes for this exception */
	public static enum Error {
		/** Attempting to use a banned name */
		BANNED ,
		/** Attempting to use a name which already exists in the DB */
		UNAVAILABLE ,
	}

	/** Actual error code */
	private Error error;;


	public EmpireNameException( Error error )
	{
		super( error.toString( ) );
		this.error = error;
	}


	/** @return the error code for the exception */
	public Error getError( )
	{
		return this.error;
	}
}
