package com.deepclone.lw.interfaces.prefs;


import java.util.Map;

import com.deepclone.lw.sqld.accounts.Account;



/**
 * Interface for the account preferences management bean.
 * 
 * @author tseeker
 */
public interface PreferencesDAO
{

	/**
	 * Reads all preferences from an account.
	 * 
	 * <p>
	 * This method reads all preferences associated to an account. The default value is used if a
	 * preference definition exists but no such preference is set for the account.
	 * 
	 * @param account
	 *            account whose preferences are to be read.
	 */
	public AccountPreferences getPreferences( Account account );


	public AccountPreferences getPreferences( int accountId );


	/**
	 * Resets an account's preferences.
	 * 
	 * @param account
	 *            account whose preferences are to be reset
	 */
	public void resetPreferences( Account account );


	void setPreferences( Account account , Map< String , String > values );
}
