package com.deepclone.lw.interfaces.session;


import com.deepclone.lw.session.SessionAccessor;



/**
 * Session manager interface.
 * 
 * <p>
 * This interface, implemented by the session management bean, extends the Legacy Worlds
 * {@link SessionAccessor} interface and adds a method allowing {@link SessionTypeDefiner} instances
 * to be registered.
 * 
 * @author tseeker
 */
public interface SessionManager
		extends SessionAccessor
{

	/**
	 * Registers a session type definer.
	 * 
	 * <p>
	 * This method adds support for a session type using the specified session type definer. If a
	 * session type with the same name already exists, it is replaced.
	 * 
	 * @param definer
	 *            the session type definer to register.
	 */
	public void registerSessionType( SessionTypeDefiner definer );

}
