package com.deepclone.lw.cli;


import org.springframework.context.support.AbstractApplicationContext;



public abstract class ToolBase
		implements Runnable
{

	private String dataSource;
	private int rmiPort;
	private int servPort;


	protected final String getDataSource( )
	{
		return this.dataSource;
	}


	protected final int getRmiPort( )
	{
		return this.rmiPort;
	}


	protected final int getServicePort( )
	{
		return this.servPort;
	}


	protected final int getTerminationPort( )
	{
		return this.servPort + 1;
	}


	protected static void destroyContext( AbstractApplicationContext aac )
	{
		while ( aac != null ) {
			AbstractApplicationContext p = (AbstractApplicationContext) aac.getParent( );
			aac.destroy( );
			aac = p;
		}
		System.gc( );
		try {
			Thread.sleep( 1000L );
		} catch ( InterruptedException e ) {
			e.printStackTrace( );
		}
	}


	public final void setMainSettings( String dataSource , int rmiPort , int servPort )
	{
		this.dataSource = dataSource;
		this.rmiPort = rmiPort;
		this.servPort = servPort;
	}


	public boolean setOptions( String... options )
	{
		return ( options == null || options.length == 0 );
	}

}
