package com.deepclone.lw.cli.xmlimport.data.evdef;


import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;



/**
 * A text event field definition
 * 
 * @author <a href="mailto:tseeker@legacyworlds.com">E. Benoît</a>
 */
@XStreamAlias( "text" )
@SuppressWarnings( "serial" )
public class TextEventField
		extends EventFieldBase
{

	/** The field's minimum length */
	@XStreamAsAttribute
	@XStreamAlias( "min-length" )
	private Integer minLength;

	/** The field's maximum length */
	@XStreamAsAttribute
	@XStreamAlias( "max-length" )
	private Integer maxLength;


	/**
	 * Gets the field's minimum length.
	 * 
	 * @return the field's minimum length
	 */
	public Integer getMinLength( )
	{
		return this.minLength;
	}


	/**
	 * Gets the field's maximum length.
	 * 
	 * @return the field's maximum length
	 */
	public Integer getMaxLength( )
	{
		return this.maxLength;
	}


	/** @return {@link EventFieldType#TEXT} */
	@Override
	public EventFieldType getType( )
	{
		return EventFieldType.TEXT;
	}

}
