package com.deepclone.lw.cli.xmlimport.data.techs;


/**
 * Return codes for technology definition manipulation stored procedures
 * 
 * <p>
 * This enumeration represents the various values which can be returned by the stored procedures
 * which manipulate technology definitions and technology dependencies.
 * 
 * @author <a href="mailto:tseeker@legacyworlds.com">E. Benoît</a>
 */
public enum TechnologyDefinitionResult {

	/** The technology definition or dependency was created */
	CREATED ,

	/** The technology definition was updated */
	UPDATED ,

	/** The dependency was deleted */
	DELETED ,

	/** The specified dependency does not exist */
	MISSING ,

	/** One (or more) of the numeric parameters is invalid */
	BAD_VALUE ,

	/**
	 * The name, description, discovery or category string identifiers were not valid string
	 * identifiers.
	 */
	BAD_STRINGS ,

	/**
	 * The specified description and/or discovery string was in use by another technology.
	 */
	DUP_STRING ,

	/** The dependency would cause a cycle */
	CYCLE ,

	/** The dependency would be redundant */
	REDUNDANT

}
