package com.deepclone.lw.beans.updates;


import java.util.HashMap;

import com.deepclone.lw.interfaces.game.updates.UpdateBatchProcessor;



/**
 * A mock processor registry
 * 
 * @author <a href="mailto:tseeker@legacyworlds.com">E. Benoît</a>
 */
class MockRegistry
		implements ServerProcessorRegistry
{

	/** The map of "processors" to return */
	private final HashMap< String , UpdateBatchProcessor > processors = new HashMap< String , UpdateBatchProcessor >( );


	/**
	 * Add a processor to the registry
	 * 
	 * @param processor
	 *            the processor to add
	 */
	public void put( UpdateBatchProcessor processor )
	{
		this.processors.put( processor.getUpdateType( ) , processor );
	}


	@Override
	public UpdateBatchProcessor getProcessorFor( String type )
	{
		return this.processors.get( type );
	}

}
