package com.deepclone.lw.beans.updates;


import com.deepclone.lw.interfaces.game.updates.UpdatesDAO;
import com.deepclone.lw.sqld.sys.GameUpdateResult;



/**
 * Mock updates DAO used in tests
 * 
 * @author <a href="mailto:tseeker@legacyworlds.com">E. Benoît</a>
 */
class MockUpdatesDAO
		implements UpdatesDAO
{
	/** The index to read at the next call to {@link #processUpdates(long)} */
	public int index = 0;

	/** The values to return as the update type to process */
	public String[] values = new String[] { };


	@Override
	public GameUpdateResult processUpdates( long tickId )
	{
		if ( this.index >= this.values.length ) {
			return new GameUpdateResult( );
		}
		return new GameUpdateResult( this.values[ this.index++ ] );
	}
}
