package com.deepclone.lw.testing;


import java.util.HashMap;

import com.deepclone.lw.interfaces.eventlog.Logger;
import com.deepclone.lw.interfaces.eventlog.SystemLogger;



/**
 * A mock Logger component
 * 
 * @author <a href="mailto:tseeker@legacyworlds.com">E. Benoît</a>
 * 
 */
public class MockLogger
		implements Logger
{
	/** Map of existing system loggers */
	private final HashMap< String , MockSystemLogger > loggers = new HashMap< String , MockSystemLogger >( );


	@Override
	public SystemLogger getSystemLogger( String component )
	{
		MockSystemLogger logger = this.loggers.get( component );
		if ( logger == null ) {
			this.loggers.put( component , logger = new MockSystemLogger( ) );
		}
		return logger;
	}

}
