package com.deepclone.lw.testing;


import com.deepclone.lw.cmd.admin.logs.LogLevel;
import com.deepclone.lw.interfaces.eventlog.SystemLogger;



/**
 * A mock logger for components
 * 
 * @author <a href="mailto:tseeker@legacyworlds.com">E. Benoît</a>
 */
public class MockSystemLogger
		implements SystemLogger
{
	/** How many messages were logged */
	private int counter = 0;


	/** @return the amount of messages that were logged */
	public int getCounter( )
	{
		return counter;
	}


	/**
	 * Set the message counter
	 * 
	 * @param counter
	 *            the counter's new value
	 */
	public void setCounter( int counter )
	{
		this.counter = counter;
	}


	@Override
	public SystemLogger log( LogLevel level , String message )
	{
		this.counter++;
		return this;
	}


	@Override
	public SystemLogger log( LogLevel level , String message , Throwable exception )
	{
		this.counter++;
		return this;
	}


	@Override
	public SystemLogger flush( )
	{
		return this;
	}

}
