package com.deepclone.lw.utils;


import java.sql.Types;
import java.util.Map;

import javax.sql.DataSource;

import org.springframework.jdbc.core.SqlOutParameter;
import org.springframework.jdbc.core.SqlParameter;
import org.springframework.jdbc.core.simple.SimpleJdbcCall;



public class StoredProc
{

	private SimpleJdbcCall storedProc;


	public StoredProc( DataSource dataSource , String schema , String function )
	{
		this.storedProc = new SimpleJdbcCall( dataSource );
		this.storedProc.withCatalogName( schema ).withFunctionName( function );
		this.storedProc.withoutProcedureColumnMetaDataAccess( );
	}


	public StoredProc addParameter( String name , int sqlType )
	{
		this.storedProc.addDeclaredParameter( new SqlParameter( name , sqlType ) );
		return this;
	}


	public StoredProc addParameter( String name , String typeName )
	{
		this.storedProc.addDeclaredParameter( new SqlParameter( name , Types.OTHER , typeName ) );
		return this;
	}


	public StoredProc addOutput( String name , int sqlType )
	{
		this.storedProc.addDeclaredParameter( new SqlOutParameter( name , sqlType ) );
		return this;
	}


	public Map< String , Object > execute( Object... args )
	{
		return this.storedProc.execute( args );
	}
}
