package com.deepclone.lw.cmd.admin;


import com.deepclone.lw.cmd.admin.adata.Administrator;



public class SetPasswordResponse
		extends AdminResponse
{

	private static final long serialVersionUID = 1L;

	public static enum PasswordChangeStatus {
		OK ,
		EMPTY ,
		TOO_WEAK ,
		MISMATCH ,
		PROHIBITED
	}

	private final boolean authError;
	private final PasswordChangeStatus passwordError;


	public SetPasswordResponse( )
	{
		super( null );
		this.authError = false;
		this.passwordError = PasswordChangeStatus.OK;
	}


	public SetPasswordResponse( Administrator admin , boolean authError , PasswordChangeStatus changeStatus )
	{
		super( admin );
		this.authError = authError;
		this.passwordError = changeStatus;
	}


	public boolean isAuthError( )
	{
		return authError;
	}


	public PasswordChangeStatus getPasswordError( )
	{
		return passwordError;
	}

}
