package com.deepclone.lw.cmd.admin.adata;


import java.util.LinkedList;
import java.util.List;



public class PrivEntry
{
	private final Privileges privilege;
	private final boolean present;


	private PrivEntry( Privileges priv , int uPriv )
	{
		this.privilege = priv;
		this.present = ( priv == Privileges.SUPER && priv.hasPrivilege( uPriv ) )
				|| ( !Privileges.SUPER.hasPrivilege( uPriv ) && priv.hasPrivilege( uPriv ) );
	}


	public Privileges getPrivilege( )
	{
		return privilege;
	}


	public boolean isPresent( )
	{
		return present;
	}


	public static List< PrivEntry > fromPrivileges( int privileges )
	{
		List< PrivEntry > privs = new LinkedList< PrivEntry >( );
		for ( Privileges p : Privileges.values( ) ) {
			privs.add( new PrivEntry( p , privileges ) );
		}
		return privs;

	}
}