package com.deepclone.lw.cmd.admin.bans;


import com.deepclone.lw.cmd.admin.AdminResponse;
import com.deepclone.lw.cmd.admin.adata.Administrator;



public class RequestBanResponse
		extends AdminResponse
{

	private static final long serialVersionUID = 1L;

	public static enum Error {
		NOT_FOUND ,
		BANNED ,
		NO_REASON
	}

	private final Error error;
	private final String user;
	private final boolean empire;
	private final String reason;


	public RequestBanResponse( Administrator admin , boolean privError )
	{
		super( admin , !privError );
		this.error = null;
		this.user = null;
		this.empire = false;
		this.reason = null;
	}


	public RequestBanResponse( Administrator admin , Error error , String user , boolean empire , String reason )
	{
		super( admin );
		this.error = error;
		this.user = user;
		this.empire = empire;
		this.reason = reason;
	}


	public Error getError( )
	{
		return error;
	}


	public String getUser( )
	{
		return user;
	}


	public boolean isEmpire( )
	{
		return empire;
	}


	public String getReason( )
	{
		return reason;
	}

}
