package com.deepclone.lw.cmd.admin.bt;


import java.util.List;

import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.bt.data.BugEvent;
import com.deepclone.lw.cmd.bt.data.BugReport;



public class MergeReportsResponse
		extends ViewBugResponse
{

	private static final long serialVersionUID = 1L;

	private final MergeError mergeError;
	private final long mergeId;


	public MergeReportsResponse( Administrator admin )
	{
		super( admin , false );
		this.mergeError = null;
		this.mergeId = 0;
	}


	public MergeReportsResponse( Administrator admin , boolean privError )
	{
		super( admin , privError );
		this.mergeError = MergeError.NOT_FOUND;
		this.mergeId = 0;
	}


	public MergeReportsResponse( Administrator admin , BugReport report , List< BugEvent > events ,
			MergeError mergeError , long mergeId )
	{
		super( admin , report , events );
		this.mergeError = mergeError;
		this.mergeId = mergeId;
	}


	public MergeReportsResponse( MergeReportsResponse response , Object query )
	{
		super( response , query );
		this.mergeError = response.mergeError;
		this.mergeId = response.mergeId;
	}


	public MergeError getMergeError( )
	{
		return mergeError;
	}


	public long getMergeId( )
	{
		return mergeId;
	}

}
