package com.deepclone.lw.cmd.admin.bt;


import com.deepclone.lw.cmd.ObjectNameError;
import com.deepclone.lw.cmd.admin.AdminResponse;
import com.deepclone.lw.cmd.admin.adata.Administrator;



public class ReportBugResponse
		extends AdminResponse
{

	private static final long serialVersionUID = 1L;

	private final long bugId;
	private final ObjectNameError titleError;
	private final String title;
	private final ObjectNameError descriptionError;
	private final String description;
	private final boolean publicReport;
	private final Object query;


	public ReportBugResponse( Administrator admin )
	{
		super( admin , false );
		this.bugId = 0;
		this.titleError = null;
		this.title = null;
		this.descriptionError = null;
		this.description = null;
		this.publicReport = false;
		this.query = null;
	}


	public ReportBugResponse( Administrator admin , long bugId )
	{
		super( admin );
		this.bugId = bugId;
		this.titleError = null;
		this.title = null;
		this.descriptionError = null;
		this.description = null;
		this.publicReport = false;
		this.query = null;
	}


	public ReportBugResponse( Administrator admin , ObjectNameError titleError , String title ,
			ObjectNameError descriptionError , String description , boolean publicReport )
	{
		super( admin );
		this.bugId = 0;
		this.titleError = titleError;
		this.title = title;
		this.descriptionError = descriptionError;
		this.description = description;
		this.publicReport = publicReport;
		this.query = null;
	}


	public ReportBugResponse( ReportBugResponse response , Object query )
	{
		super( response.getAdmin( ) , response.isPrivilegeOk( ) );
		this.bugId = 0;
		this.titleError = response.titleError;
		this.title = response.title;
		this.descriptionError = response.descriptionError;
		this.description = response.description;
		this.publicReport = response.publicReport;
		this.query = query;
	}


	public long getBugId( )
	{
		return bugId;
	}


	public ObjectNameError getTitleError( )
	{
		return titleError;
	}


	public String getTitle( )
	{
		return title;
	}


	public ObjectNameError getDescriptionError( )
	{
		return descriptionError;
	}


	public String getDescription( )
	{
		return description;
	}


	public boolean isPublicReport( )
	{
		return publicReport;
	}


	public Object getQuery( )
	{
		return query;
	}

}
