package com.deepclone.lw.cmd.admin.bt;


import java.util.List;

import com.deepclone.lw.cmd.admin.AdminResponse;
import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.bt.data.BugEvent;
import com.deepclone.lw.cmd.bt.data.BugReport;



public class ViewBugResponse
		extends AdminResponse
{

	private static final long serialVersionUID = 1L;

	private final BugReport report;
	private final List< BugEvent > events;
	private final Object query;


	public ViewBugResponse( Administrator admin , boolean privError )
	{
		super( admin , !privError );
		this.report = null;
		this.events = null;
		this.query = null;
	}


	public ViewBugResponse( Administrator admin , BugReport report , List< BugEvent > events )
	{
		super( admin );
		this.report = report;
		this.events = events;
		this.query = null;
	}


	public ViewBugResponse( ViewBugResponse response , Object query )
	{
		super( response.getAdmin( ) );
		this.report = response.report;
		this.events = response.events;
		this.query = query;
	}


	public BugReport getReport( )
	{
		return report;
	}


	public List< BugEvent > getEvents( )
	{
		return events;
	}


	public Object getQuery( )
	{
		return query;
	}

}
