package com.deepclone.lw.cmd.admin.i18n;


import java.util.Collections;
import java.util.List;

import com.deepclone.lw.cmd.admin.AdminResponse;
import com.deepclone.lw.cmd.admin.adata.Administrator;



public class GetLanguageResponse
		extends AdminResponse
{

	private static final long serialVersionUID = 1L;

	private final Language language;
	private final List< I18NString > strings;


	public GetLanguageResponse( Administrator admin )
	{
		super( admin , false );
		this.language = null;
		this.strings = null;
	}


	public GetLanguageResponse( Administrator admin , Language language , List< I18NString > strings )
	{
		super( admin , true );
		this.language = language;
		this.strings = strings;
		if ( strings != null ) {
			Collections.sort( this.strings );
		}
	}


	public Language getLanguage( )
	{
		return language;
	}


	public List< I18NString > getStrings( )
	{
		return strings;
	}

}
