package com.deepclone.lw.cmd.admin.logs;


/**
 * This enumeration defines the various levels which can be affected to system log entries.
 * 
 * @author tseeker
 */
public enum LogLevel {

	/** Trace mode entry */
	TRACE ,

	/** Entry that may be used for debugging purposes, but has no other actual use */
	DEBUG ,

	/** Entry that indicates that something important but mostly benign happened */
	INFO ,

	/**
	 * Entry that indicates that something went wrong, although it is unlikely to affect the whole
	 * system
	 */
	WARNING ,

	/** Entry that indicates that something went really wrong and might affect the whole system */
	ERROR
}
