package com.deepclone.lw.cmd.admin.naming;


import java.io.Serializable;
import java.util.List;

import com.deepclone.lw.cmd.admin.AdminResponse;
import com.deepclone.lw.cmd.admin.adata.Administrator;



public class NamesSummaryResponse
		extends AdminResponse
{

	private static final long serialVersionUID = 1L;

	@SuppressWarnings( "serial" )
	public static class Entry
			implements Serializable
	{
		private final NameType type;
		private final long count;


		public Entry( NameType type , long count )
		{
			this.type = type;
			this.count = count;
		}


		public NameType getType( )
		{
			return type;
		}


		public long getCount( )
		{
			return count;
		}

	}

	private final List< Entry > entries;


	public NamesSummaryResponse( Administrator admin , List< Entry > entries )
	{
		super( admin );
		this.entries = entries;
	}


	public NamesSummaryResponse( Administrator admin )
	{
		super( admin , false );
		this.entries = null;
	}


	public List< Entry > getEntries( )
	{
		return entries;
	}

}
