package com.deepclone.lw.cmd.admin.su;


import java.util.List;

import com.deepclone.lw.cmd.ObjectNameError;
import com.deepclone.lw.cmd.admin.AdminResponse;
import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.admin.adata.PrivEntry;



public class AddAdministratorResponse
		extends AdminResponse
{
	private static final long serialVersionUID = 1L;

	public static enum AddressError {
		EMPTY ,
		INVALID ,
		NOT_FOUND ,
		ALREADY_ADMIN ,
		STATUS
	}

	private final AddressError addressError;
	private final String address;
	private final ObjectNameError nameError;
	private final String name;
	private final boolean privError;
	private final int privileges;


	public AddAdministratorResponse( Administrator admin , boolean privError )
	{
		super( admin , !privError );
		this.addressError = null;
		this.address = null;
		this.nameError = null;
		this.name = null;
		this.privError = false;
		this.privileges = 0;
	}


	public AddAdministratorResponse( Administrator admin , AddressError aError , String address ,
			ObjectNameError nError , String name , boolean pError , int privileges )
	{
		super( admin , true );
		this.addressError = aError;
		this.address = address;
		this.nameError = nError;
		this.name = name;
		this.privError = pError;
		this.privileges = privileges;
	}


	public AddressError getAddressError( )
	{
		return addressError;
	}


	public String getAddress( )
	{
		return address;
	}


	public ObjectNameError getNameError( )
	{
		return nameError;
	}


	public String getName( )
	{
		return name;
	}


	public boolean isPrivError( )
	{
		return privError;
	}


	public List< PrivEntry > getPrivileges( )
	{
		return PrivEntry.fromPrivileges( this.privileges );
	}


	public boolean isError( )
	{
		return this.addressError != null || this.nameError != null || this.privError;
	}
}
