package com.deepclone.lw.cmd.admin.users;


import java.util.List;

import com.deepclone.lw.cmd.admin.AdminResponse;
import com.deepclone.lw.cmd.admin.adata.Administrator;



public class ListAccountsResponse
		extends AdminResponse
{

	private static final long serialVersionUID = 1L;

	private final AccountStatus status;
	private final boolean online;
	private final List< AccountListEntry > entries;


	public ListAccountsResponse( Administrator admin , AccountStatus status , boolean online ,
			List< AccountListEntry > entries )
	{
		super( admin );
		this.status = status;
		this.online = online;
		this.entries = entries;
	}


	public ListAccountsResponse( Administrator admin )
	{
		super( admin , false );
		this.status = null;
		this.online = false;
		this.entries = null;
	}


	public AccountStatus getStatus( )
	{
		return status;
	}


	public boolean isOnline( )
	{
		return online;
	}


	public List< AccountListEntry > getEntries( )
	{
		return entries;
	}


	public AccountStatus[] getAllStatuses( )
	{
		return AccountStatus.values( );
	}

}
