package com.deepclone.lw.cmd.ext;


import java.io.Serializable;
import java.util.Collections;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;

import com.deepclone.lw.session.CommandResponse;



public class ListLanguagesResponse
		extends CommandResponse
{

	private static final long serialVersionUID = 1L;

	public static class Language
			implements Serializable
	{
		private static final long serialVersionUID = 1L;

		private final String id;

		private final String name;


		private Language( String id , String name )
		{
			this.id = id;
			this.name = name;
		}


		public String getId( )
		{
			return this.id;
		}


		public String getName( )
		{
			return this.name;
		}
	}

	private final List< Language > languages;


	public ListLanguagesResponse( Map< String , String > languages )
	{
		List< Language > theList = new LinkedList< Language >( );
		for ( Map.Entry< String , String > lDef : languages.entrySet( ) ) {
			theList.add( new Language( lDef.getKey( ) , lDef.getValue( ) ) );
		}
		this.languages = Collections.unmodifiableList( theList );
	}


	public List< Language > getLanguages( )
	{
		return this.languages;
	}
}
