package com.deepclone.lw.cmd.player;


import java.util.Map;

import com.deepclone.lw.session.Command;



/**
 * Command that updates empire mining settings
 * 
 * @author <a href="mailto:tseeker@legacyworlds.com">E. Benoît</a>
 */
public class UpdateEmpireMiningSettingsCommand
		extends Command
{

	/**
	 * Serialisation version identifier
	 * 
	 * <ul>
	 * <li>Introduced in B6M2
	 * </ul>
	 */
	private static final long serialVersionUID = 1L;

	/** The new empire mining settings */
	private final Map< String , Integer > settings;


	/**
	 * Initialise the command using mining settings
	 * 
	 * @param settings
	 *            a map that associates resource identifiers to priorities
	 */
	public UpdateEmpireMiningSettingsCommand( Map< String , Integer > settings )
	{
		this.settings = settings;
	}


	/** @return the mining settings to apply */
	public Map< String , Integer > getSettings( )
	{
		return this.settings;
	}

}
