package com.deepclone.lw.cmd.player;


import java.util.Collections;
import java.util.List;

import com.deepclone.lw.cmd.player.gdata.GamePageData;
import com.deepclone.lw.cmd.player.gdata.GameResponseBase;
import com.deepclone.lw.cmd.player.gdata.MapSize;
import com.deepclone.lw.cmd.player.gdata.map.MapSystemData;



public class ViewMapResponse
		extends GameResponseBase
{

	private static final long serialVersionUID = 1L;

	private final int x;
	private final int y;
	private final MapSize size;
	private final List< String > sizes;
	private final MapSystemData[][] systems;


	public ViewMapResponse( GamePageData page , int x , int y , MapSize size , List< String > sizes ,
			MapSystemData[][] systems )
	{
		super( page );
		this.x = x;
		this.y = y;
		this.size = size;
		this.sizes = Collections.unmodifiableList( sizes );
		this.systems = systems;
	}


	public int getX( )
	{
		return x;
	}


	public int getY( )
	{
		return y;
	}


	public MapSize getSize( )
	{
		return size;
	}


	public int getSizeOrdinal( )
	{
		return size.ordinal( );
	}


	public List< String > getSizes( )
	{
		return sizes;
	}


	public MapSystemData[][] getSystems( )
	{
		return systems;
	}

}
