package com.deepclone.lw.cmd.player.account;


import java.util.Collections;
import java.util.List;

import com.deepclone.lw.cmd.ObjectNameError;
import com.deepclone.lw.session.CommandResponse;



public class AccountValidationResponse
		extends CommandResponse
{

	private static final long serialVersionUID = 1L;

	private final boolean validated;

	private final List< String > previousEmpires;

	private final String token;

	private final String empire;

	private final String planet;

	private final boolean wrongToken;

	private final ObjectNameError empireError;

	private final ObjectNameError planetError;


	public AccountValidationResponse( )
	{
		this.validated = true;
		this.previousEmpires = null;
		this.token = null;
		this.empire = null;
		this.planet = null;
		this.wrongToken = false;
		this.empireError = null;
		this.planetError = null;
	}


	public AccountValidationResponse( List< String > previous )
	{
		this.validated = false;
		this.previousEmpires = Collections.unmodifiableList( previous );
		this.token = null;
		this.empire = null;
		this.planet = null;
		this.wrongToken = false;
		this.empireError = null;
		this.planetError = null;
	}


	public AccountValidationResponse( List< String > previous , String token , String empire , String planet ,
			boolean wrongToken , ObjectNameError empireError , ObjectNameError planetError )
	{
		this.validated = false;
		this.previousEmpires = Collections.unmodifiableList( previous );
		this.token = token;
		this.empire = empire;
		this.planet = planet;
		this.wrongToken = wrongToken;
		this.empireError = empireError;
		this.planetError = planetError;
	}


	public boolean isValidated( )
	{
		return this.validated;
	}


	public List< String > getPreviousEmpires( )
	{
		return this.previousEmpires;
	}


	public String getToken( )
	{
		return this.token;
	}


	public String getEmpire( )
	{
		return this.empire;
	}


	public String getPlanet( )
	{
		return this.planet;
	}


	public boolean isWrongToken( )
	{
		return this.wrongToken;
	}


	public ObjectNameError getEmpireError( )
	{
		return this.empireError;
	}


	public ObjectNameError getPlanetError( )
	{
		return this.planetError;
	}
}
