package com.deepclone.lw.cmd.player.account;


import com.deepclone.lw.cmd.player.gdata.GamePageData;
import com.deepclone.lw.cmd.player.gdata.account.AccountData;



public class SetAddressResponse
		extends GetAccountResponse
{

	private static final long serialVersionUID = 1L;

	public static enum AddressChangeStatus {
		OK ,
		EMPTY ,
		INVALID ,
		MISMATCH ,
		IN_USE ,
		SEND_FAIL
	}

	private final boolean mailAuthError;
	private final AddressChangeStatus mailError;
	private final String mail;


	public SetAddressResponse( )
	{
		super( null , null );
		this.mailAuthError = false;
		this.mailError = AddressChangeStatus.OK;
		this.mail = null;
	}


	public SetAddressResponse( GamePageData page , AccountData account , boolean mailAuthError ,
			AddressChangeStatus changeStatus , String mail )
	{
		super( page , account );
		this.mailAuthError = mailAuthError;
		this.mailError = changeStatus;
		this.mail = mail;
	}


	public boolean isMailAuthError( )
	{
		return mailAuthError;
	}


	public AddressChangeStatus getMailError( )
	{
		return mailError;
	}


	public String getMail( )
	{
		return mail;
	}

}
