package com.deepclone.lw.cmd.player.account;


import com.deepclone.lw.cmd.player.gdata.GamePageData;
import com.deepclone.lw.cmd.player.gdata.account.AccountData;



public class SetPasswordResponse
		extends GetAccountResponse
{

	private static final long serialVersionUID = 1L;

	public static enum PasswordChangeStatus {
		OK ,
		EMPTY ,
		TOO_WEAK ,
		MISMATCH ,
		PROHIBITED
	}

	private final boolean authError;
	private final PasswordChangeStatus passwordError;


	public SetPasswordResponse( )
	{
		super( null , null );
		this.authError = false;
		this.passwordError = PasswordChangeStatus.OK;
	}


	public SetPasswordResponse( GamePageData page , AccountData account , boolean authError ,
			PasswordChangeStatus changeStatus )
	{
		super( page , account );
		this.authError = authError;
		this.passwordError = changeStatus;
	}


	public boolean isAuthError( )
	{
		return authError;
	}


	public PasswordChangeStatus getPasswordError( )
	{
		return passwordError;
	}

}
