package com.deepclone.lw.cmd.player.bt;


import com.deepclone.lw.cmd.ObjectNameError;
import com.deepclone.lw.cmd.player.gdata.GamePageData;
import com.deepclone.lw.cmd.player.gdata.GameResponseBase;



public class ReportBugResponse
		extends GameResponseBase
{

	private static final long serialVersionUID = 1L;

	private final long bugId;
	private final ObjectNameError titleError;
	private final String title;
	private final ObjectNameError descriptionError;
	private final String description;
	private final Object query;


	public ReportBugResponse( GamePageData page , long bugId )
	{
		super( page );
		this.bugId = bugId;
		this.titleError = null;
		this.title = null;
		this.descriptionError = null;
		this.description = null;
		this.query = null;
	}


	public ReportBugResponse( GamePageData page , ObjectNameError titleError , String title ,
			ObjectNameError descriptionError , String description )
	{
		super( page );
		this.bugId = 0;
		this.titleError = titleError;
		this.title = title;
		this.descriptionError = descriptionError;
		this.description = description;
		this.query = null;
	}


	public ReportBugResponse( ReportBugResponse response , Object query )
	{
		super( response.getPage( ) );
		this.bugId = 0;
		this.titleError = response.titleError;
		this.title = response.title;
		this.descriptionError = response.descriptionError;
		this.description = response.description;
		this.query = query;
	}


	public long getBugId( )
	{
		return bugId;
	}


	public ObjectNameError getTitleError( )
	{
		return titleError;
	}


	public String getTitle( )
	{
		return title;
	}


	public ObjectNameError getDescriptionError( )
	{
		return descriptionError;
	}


	public String getDescription( )
	{
		return description;
	}


	public Object getQuery( )
	{
		return query;
	}

}
