package com.deepclone.lw.cmd.player.gdata.empire;


import java.io.Serializable;
import java.util.List;



public class OverviewData
		implements Serializable
{

	/**
	 * Serialisation version identifier
	 * 
	 * <ul>
	 * <li>Introduced in B6M1 with ID 1
	 * <li>Modified in B6M2, ID set to 2
	 * </ul>
	 */
	private static final long serialVersionUID = 2L;

	/** Quantity of planets owned by the empire */
	private long planets;

	/** Amount of unread messages */
	private int newMessages;

	/** Total population in the empire */
	private long population;

	/** Average happiness of the population on the planets, as a percentage */
	private int avgHappiness;

	/** Total fleet power */
	private long fleetPower;

	/** Total monetary income from planets */
	private long planetIncome;

	/** Total monetary upkeep for planets */
	private long planetUpkeep;

	/** Total monetary fleet upkeep */
	private long fleetUpkeep;

	/** Total amount of money in the various queues */
	private long investment;

	/** Economic information */
	private List< EmpireResourceRecord > economy;


	/** @return the quantity of planets owned by the empire */
	public long getPlanets( )
	{
		return this.planets;
	}


	/**
	 * Set the quantity of planets owned by the empire
	 * 
	 * @param planets
	 *            the quantity of planets owned by the empire
	 */
	public void setPlanets( long planets )
	{
		this.planets = planets;
	}


	/** @return the quantity of unread messages */
	public int getNewMessages( )
	{
		return this.newMessages;
	}


	/**
	 * Set the quantity of unread messages
	 * 
	 * @param newMessages
	 *            the quantity of unread messages
	 */
	public void setNewMessages( int newMessages )
	{
		this.newMessages = newMessages;
	}


	/** @return the empire's total population */
	public long getPopulation( )
	{
		return this.population;
	}


	/**
	 * Set the empire's total population
	 * 
	 * @param population
	 *            the empire's total population
	 */
	public void setPopulation( long population )
	{
		this.population = population;
	}


	/** @return the average happiness on the empire's planets */
	public int getAvgHappiness( )
	{
		return this.avgHappiness;
	}


	/**
	 * Set the average happiness on the empire's planets
	 * 
	 * @param avgHappiness
	 *            the average happiness on the empire's planets
	 */
	public void setAvgHappiness( int avgHappiness )
	{
		this.avgHappiness = avgHappiness;
	}


	/** @return the total fleet power */
	public long getFleetPower( )
	{
		return this.fleetPower;
	}


	/**
	 * Set the total fleet power
	 * 
	 * @param fleetPower
	 *            the total fleet power
	 */
	public void setFleetPower( long fleetPower )
	{
		this.fleetPower = fleetPower;
	}


	/** @return the monetary income from the empire's planets */
	public long getPlanetIncome( )
	{
		return this.planetIncome;
	}


	/**
	 * Set the monetary income from the empire's planets
	 * 
	 * @param planetIncome
	 *            the monetary income from the empire's planets
	 */
	public void setPlanetIncome( long planetIncome )
	{
		this.planetIncome = planetIncome;
	}


	/** @return the monetary upkeep for the empire's planets */
	public long getPlanetUpkeep( )
	{
		return this.planetUpkeep;
	}


	/**
	 * Set the monetary upkeep for the empire's planets
	 * 
	 * @param planetUpkeep
	 *            the monetary upkeep for the empire's planets
	 */
	public void setPlanetUpkeep( long planetUpkeep )
	{
		this.planetUpkeep = planetUpkeep;
	}


	/** @return the monetary upkeep for the empire's fleets */
	public long getFleetUpkeep( )
	{
		return this.fleetUpkeep;
	}


	/**
	 * Set the monetary upkeep for the empire's fleets
	 * 
	 * @param fleetUpkeep
	 *            the monetary upkeep for the empire's fleets
	 */
	public void setFleetUpkeep( long fleetUpkeep )
	{
		this.fleetUpkeep = fleetUpkeep;
	}


	/** @return the total amount of money invested in civilian or military queues */
	public long getInvestment( )
	{
		return this.investment;
	}


	/**
	 * Set the total amount of money invested in civilian or military queues
	 * 
	 * @param investment
	 *            the total amount of money invested in civilian or military queues
	 */
	public void setInvestment( long investment )
	{
		this.investment = investment;
	}


	/** @return the list of economic information records */
	public List< EmpireResourceRecord > getEconomy( )
	{
		return this.economy;
	}


	/**
	 * Set the list of economic information records
	 * 
	 * @param economy
	 *            the list of economic information records
	 */
	public void setEconomy( List< EmpireResourceRecord > economy )
	{
		this.economy = economy;
	}

}
