package com.deepclone.lw.cmd.player.gdata.fleets;


import java.util.LinkedList;
import java.util.List;

import com.deepclone.lw.cmd.player.gdata.GameTime;
import com.deepclone.lw.cmd.player.gdata.NameIdPair;



public class StaticFleet
		extends NameIdPair
{

	private static final long serialVersionUID = 1L;

	private FleetStatus status;
	private long penalty;
	private long power;
	private int flightTime;
	private final List< FleetShips > ships = new LinkedList< FleetShips >( );


	public StaticFleet( long id , String name )
	{
		super( id , name );
	}


	public FleetStatus getStatus( )
	{
		return status;
	}


	public void setStatus( FleetStatus status )
	{
		this.status = status;
	}


	public long getPenalty( )
	{
		return penalty;
	}

	public GameTime getGamePenalty( )
	{
		return new GameTime( penalty);
	}


	public void setPenalty( int penalty )
	{
		this.penalty = penalty;
	}


	public long getPower( )
	{
		return power;
	}


	public void setPower( long power )
	{
		this.power = power;
	}


	public long getFlightTime( )
	{
		return flightTime;
	}


	public GameTime getGameFlightTime( )
	{
		return new GameTime( this.flightTime );
	}


	public void setFlightTime( int flightTime )
	{
		this.flightTime = flightTime;
	}


	public void addShips( FleetShips ships )
	{
		this.ships.add( ships );
	}


	public List< FleetShips > getShips( )
	{
		return ships;
	}

}
