package com.deepclone.lw.cmd.player.msgs;


import java.util.List;

import com.deepclone.lw.cmd.admin.adata.AdministratorBasics;
import com.deepclone.lw.cmd.player.gdata.GamePageData;
import com.deepclone.lw.cmd.player.gdata.GameResponseBase;
import com.deepclone.lw.cmd.player.gdata.NameIdPair;
import com.deepclone.lw.cmd.player.gdata.alliance.PublicAllianceInformation;



public class ListTargetsResponse
		extends GameResponseBase
{

	private static final long serialVersionUID = 1L;

	private final List< NameIdPair > empires;
	private final List< PublicAllianceInformation > alliances;
	private final List< AdministratorBasics > admins;


	public ListTargetsResponse( GamePageData page , List< NameIdPair > empires ,
			List< PublicAllianceInformation > alliances , List< AdministratorBasics > admins )
	{
		super( page );
		this.empires = empires;
		this.alliances = alliances;
		this.admins = admins;
	}


	public List< NameIdPair > getEmpires( )
	{
		return empires;
	}


	public List< PublicAllianceInformation > getAlliances( )
	{
		return alliances;
	}


	public List< AdministratorBasics > getAdmins( )
	{
		return admins;
	}

}
