package com.deepclone.lw.cmd.player.msgs;


import com.deepclone.lw.cmd.msgdata.MessageType;
import com.deepclone.lw.session.Command;



public class PrepareMessageCommand
		extends Command
{

	private static final long serialVersionUID = 1L;

	private final MessageType type;
	private final Long id;
	private final Boolean inbox;


	private PrepareMessageCommand( MessageType type , Long id )
	{
		this.type = type;
		this.id = id;
		this.inbox = null;
	}


	public PrepareMessageCommand( long id , boolean inbox )
	{
		this.type = MessageType.INTERNAL;
		this.id = id;
		this.inbox = inbox;
	}


	public MessageType getType( )
	{
		return type;
	}


	public Long getId( )
	{
		return id;
	}


	public Boolean getInbox( )
	{
		return inbox;
	}


	public static PrepareMessageCommand newMessage( )
	{
		return new PrepareMessageCommand( null , null );
	}


	public static PrepareMessageCommand newMessageTo( MessageType type , int id )
	{
		if ( type == MessageType.INTERNAL ) {
			throw new IllegalArgumentException( );
		}
		return new PrepareMessageCommand( type , (long) id );
	}

}
