package com.deepclone.lw.cmd.player.planets;


/**
 * Command sent to toggle between empire-wide and planet-specific mining settings
 * 
 * <p>
 * Sending this command to the server will try to switch between empire-wide and planet-specific
 * settings on a given planet. The planet must be owned by the empire sending the command.
 * 
 * @author <a href="mailto:tseeker@legacyworlds.com">E. Benoît</a>
 */
public class ToggleMiningSettingsCommand
		extends ViewPlanetCommand
{

	/**
	 * Serialisation version identifier
	 * 
	 * <ul>
	 * <li>Introduced in B6M2 with ID 1.
	 * </ul>
	 */
	private static final long serialVersionUID = 1L;


	/**
	 * Initialise the command
	 * 
	 * @param planet
	 *            the planet's identifier
	 */
	public ToggleMiningSettingsCommand( int planet )
	{
		super( planet );
	}

}
