package com.deepclone.lw.cmd.player.planets;


import com.deepclone.lw.cmd.player.gdata.GamePageData;
import com.deepclone.lw.cmd.player.gdata.GameResponseBase;
import com.deepclone.lw.cmd.player.gdata.planets.PlanetBasicView;
import com.deepclone.lw.cmd.player.gdata.planets.PlanetOrbitalView;
import com.deepclone.lw.cmd.player.gdata.planets.PlanetOwnView;



public class ViewPlanetResponse
		extends GameResponseBase
{

	private static final long serialVersionUID = 1L;

	private final Integer id;
	private final boolean ownershipError;
	private final PlanetBasicView basic;
	private final PlanetOrbitalView orbit;
	private final PlanetOwnView own;


	public ViewPlanetResponse( GamePageData page )
	{
		super( page );
		this.id = null;
		this.ownershipError = true;
		this.basic = null;
		this.orbit = null;
		this.own = null;
	}


	public ViewPlanetResponse( int id , GamePageData page , PlanetBasicView basic , PlanetOrbitalView orbital ,
			PlanetOwnView own )
	{
		super( page );
		this.id = id;
		this.ownershipError = false;
		this.basic = basic;
		this.orbit = orbital;
		this.own = own;
	}


	public ViewPlanetResponse( int id , GamePageData page , PlanetBasicView basic , PlanetOrbitalView orbital )
	{
		super( page );
		this.id = id;
		this.ownershipError = true;
		this.basic = basic;
		this.orbit = orbital;
		this.own = null;
	}


	public Integer getId( )
	{
		return id;
	}


	public boolean isOwnershipError( )
	{
		return ownershipError;
	}


	public PlanetBasicView getBasic( )
	{
		return basic;
	}


	public PlanetOrbitalView getOrbit( )
	{
		return orbit;
	}


	public PlanetOwnView getOwn( )
	{
		return own;
	}
}
