package com.deepclone.lw.cmd.player.tech;


import java.util.Map;

import com.deepclone.lw.session.Command;



/**
 * Command that updates research priorities
 * 
 * @author <a href="mailto:tseeker@legacyworlds.com">E. Benoît</a>
 */
public class UpdateResearchPrioritiesCommand
		extends Command
{

	/**
	 * Serialisation version identifier
	 * 
	 * <ul>
	 * <li>Introduced in B6M2
	 * </ul>
	 */
	private static final long serialVersionUID = 1L;

	/** The new research priorities */
	private final Map< String , Integer > priorities;


	/**
	 * Initialise the command using research priority values
	 * 
	 * @param priorities
	 *            a map that associates technology identifiers to priorities
	 */
	public UpdateResearchPrioritiesCommand( Map< String , Integer > priorities )
	{
		this.priorities = priorities;
	}


	/** @return the new research priorities */
	public Map< String , Integer > getPriorities( )
	{
		return this.priorities;
	}

}
