package com.deepclone.lw.cmd.player.gdata.empire;


import static org.junit.Assert.*;

import org.junit.Before;
import org.junit.Test;



/**
 * Tests for the {@link EmpireResourceRecord} class
 * 
 * @author <a href="mailto:tseeker@legacyworlds.com">E. Benoît</a>
 */
public class TestEmpireResourceRecord
{
	/** String used in tests */
	private static final String TEST_STRING = "Test";

	/** Long integer used in tests */
	private static final long TEST_LONG = 42L;

	private static final int TEST_INTEGER = 42;

	/** The "guinea pig" instance */
	private EmpireResourceRecord instance;


	/** Create the "guinea pig" instance */
	@Before
	public void setUp( )
	{
		this.instance = new EmpireResourceRecord( );
	}


	/** Check default values */
	@Test
	public void testDefaults( )
	{
		assertNull( this.instance.getIdentifier( ) );
		assertNull( this.instance.getDescription( ) );
		assertEquals( 0L , this.instance.getIncome( ) );
		assertEquals( 0L , this.instance.getPlanetUpkeep( ) );
		assertEquals( 0L , this.instance.getFleetUpkeep( ) );
		assertEquals( 0L , this.instance.getUpkeep( ) );
		assertEquals( 0L , this.instance.getStockpiled( ) );
		assertNull( this.instance.getMiningPriority( ) );
	}


	/** Setting and reading the identifier */
	@Test
	public void testIdentifier( )
	{
		this.instance.setIdentifier( TEST_STRING );
		assertEquals( TEST_STRING , this.instance.getIdentifier( ) );
	}


	/** Setting and reading the description */
	@Test
	public void testDescription( )
	{
		this.instance.setDescription( TEST_STRING );
		assertEquals( TEST_STRING , this.instance.getDescription( ) );
	}


	/** Setting and reading the income */
	@Test
	public void testIncome( )
	{
		this.instance.setIncome( TEST_LONG );
		assertEquals( TEST_LONG , this.instance.getIncome( ) );
	}


	/** Setting and reading the planet upkeep */
	@Test
	public void testPlanetUpkeep( )
	{
		this.instance.setPlanetUpkeep( TEST_LONG );
		assertEquals( TEST_LONG , this.instance.getPlanetUpkeep( ) );
	}


	/** Setting and reading the fleet upkeep */
	@Test
	public void testFleetUpkeep( )
	{
		this.instance.setFleetUpkeep( TEST_LONG );
		assertEquals( TEST_LONG , this.instance.getFleetUpkeep( ) );
	}


	/** Setting and reading the stockpiled quantity */
	@Test
	public void testStockpiled( )
	{
		this.instance.setStockpiled( TEST_LONG );
		assertEquals( TEST_LONG , this.instance.getStockpiled( ) );
	}


	/** Setting and reading the mining priority */
	@Test
	public void testMiningPriority( )
	{
		this.instance.setMiningPriority( TEST_INTEGER );
		assertEquals( (Integer) TEST_INTEGER , this.instance.getMiningPriority( ) );
	}


	/** Total upkeep = fleet upkeep + planet upkeep */
	@Test
	public void testTotalUpkeep( )
	{
		this.instance.setPlanetUpkeep( TEST_LONG );
		assertEquals( TEST_LONG , this.instance.getUpkeep( ) );
		this.instance.setFleetUpkeep( TEST_LONG + 1 );
		assertEquals( TEST_LONG * 2 + 1 , this.instance.getUpkeep( ) );
	}
}
