package com.deepclone.lw.cmd.player.gdata.planets;


import static org.junit.Assert.*;

import org.junit.Before;
import org.junit.Test;



/**
 * Tests for the {@link ResourceProviderRecord} class.
 * 
 * @author <a href="mailto:tseeker@legacyworlds.com">E. Benoît</a>
 * 
 */
public class TestResourceProviderRecord
{

	/** Long integer used in tests */
	private static final long TEST_LONG = 42L;

	/** Integer used in tests */
	private static final int TEST_INT = 42;

	/** Resource provider data instance to test on */
	private ResourceProviderRecord resProvData;


	/** Create the "guinea pig" instance */
	@Before
	public void setUp( )
	{
		this.resProvData = new ResourceProviderRecord( );
	}
	
	/** Check default values */
	@Test
	public void testDefaults( )
	{
		assertEquals( 0L , this.resProvData.getCapacity( ) );
		assertEquals( 0L , this.resProvData.getQuantity( ) );
		assertEquals( 0 , this.resProvData.getDifficulty( ) );
		assertEquals( 0 , this.resProvData.getPriority( ) );
	}


	/** Setting and reading the capacity */
	@Test
	public void testSetCapacity( )
	{
		this.resProvData.setCapacity( TEST_LONG );
		assertEquals( TEST_LONG , this.resProvData.getCapacity( ) );
	}


	/** Setting and reading the quantity */
	@Test
	public void testSetQuantity( )
	{
		this.resProvData.setQuantity( TEST_LONG );
		assertEquals( TEST_LONG , this.resProvData.getQuantity( ) );
	}


	/** Setting and reading the difficulty */
	@Test
	public void testSetDifficulty( )
	{
		this.resProvData.setDifficulty( TEST_INT );
		assertEquals( TEST_INT , this.resProvData.getDifficulty( ) );
	}


	/** Setting and reading the priority */
	@Test
	public void testSetPriority( )
	{
		this.resProvData.setPriority( TEST_INT );
		assertEquals( TEST_INT , this.resProvData.getPriority( ) );
	}

}
