<#if data.type = 'PENDING'>
	<#assign title = "Pending ban requests">
<#elseif data.type = 'ARCHIVED'>
	<#assign title = "Expired/rejected ban requests">
<#else>
	<#assign title = "Confirmed ban requests">
</#if>
<@page title=title>
	<#if data.bans?size = 0>
		<p>No ban requests in this category.</p>
	<#else>
		<@listview>
		
			<@lv_line headers=true>
				<@lv_column width="x">User address</@lv_column>
				<@lv_column width="x">Requested by</@lv_column>
				<@lv_column width="x">Requested on</@lv_column>
				<@lv_column width="x">Reason</@lv_column>
				<#if data.type = 'ARCHIVED'>
					<@lv_column width="x">Cancelled on</@lv_column>
					<@lv_column width="x">Rejected by</@lv_column>
					<@lv_column width="x">Rejection reason</@lv_column>
				<#elseif data.type = 'VALIDATED'>
					<@lv_column width="x">Validated on</@lv_column>
					<@lv_column width="x">Validated by</@lv_column>
					<@lv_column>&nbsp;</@lv_column>
				<#else>
					<@lv_column>&nbsp;</@lv_column>
				</#if>
			</@lv_line>
			
			<#list data.bans as ban>
				<@lv_line>
					<@lv_column>${ban.accountMail?xhtml}</@lv_column>
					<@lv_column>${ban.requestedByName?xhtml}</@lv_column>
					<@lv_column>${ban.timestamp?string("yyyy-MM-dd HH:mm:ss")}</@lv_column>
					<@lv_column>${ban.reason?xhtml}</@lv_column>
					<#if data.type = 'ARCHIVED'>
						<@lv_column>${ban.update?string("yyyy-MM-dd HH:mm:ss")}</@lv_column>
						<@lv_column>
							<#if ban.rejectedByName?has_content>
								${ban.rejectedByName?xhtml}
							<#else>
								<em>(expired)</em>
							</#if>
						</@lv_column>
						<@lv_column>
							<#if ban.rejectedByName?has_content>
								${ban.rejectionReason?xhtml}
							<#else>
								<em>(expired)</em>
							</#if>
						</@lv_column>
					<#elseif data.type = 'VALIDATED'>
						<@lv_column>${ban.update?string("yyyy-MM-dd HH:mm:ss")}</@lv_column>
						<@lv_column>
							${ban.validatedByName?xhtml}
						</@lv_column>
						<@lv_column>
							<a href="lift-ban-${ban.id}.action"><#if ban.redeemable>Redeem<#else>Lift ban</#if></a>
						</@lv_column>
					<#else>
						<@lv_column>
							<#if ban.requestedById != data.admin.id>
								<a href="confirm-ban-${ban.id}.action">Confirm ban</a> -
							</#if>
							<a href="reject-ban-${ban.id}">Reject ban</a>
						</@lv_column>
					</#if>
				</@lv_line>
			</#list>

		</@listview>
	</#if>
</@page>