<#include "bugsTabs.ftl" />
<#macro render_submitter s>
	<#if s.admin>
		<strong>
		<#if s.userId?has_content && s.userId = data.admin.id>
			<em>
		</#if>
	</#if>
	${s.name?xhtml}
	<#if s.admin>
		<#if s.userId?has_content && s.userId = data.admin.id>
			</em>
		</#if>
		</strong>
	</#if>
</#macro>
<#macro render_event e>
	<div style="text-align:center; padding:10px 10px">
		${e.timestamp?string("yyyy-MM-dd HH:mm:ss")} - <@render_submitter s=e.submitter />
		<#nested>
	</div>
</#macro>
<#macro render_report_event e>
	<@render_event e=e>
		posted bug report #<strong>${e.id?string(",##0")}</strong>
	</@render_event>
	<h3 style="margin:0;text-align:center;padding:0 0 10px 0">${e.title}</h3>
	<div style="margin: 0 40px 20px 40px">
		${e.contents}
	</div>
	<#if e.visible!false>
		<div style="text-align:center; padding:10px 10px">
			This report includes an XML snapshot of the empire's status
			(<a href="bug-${e.id}-xmlsnapshot">download</a>).
		</div>
	</#if>
</#macro>
<#macro render_status_event e>
	<@render_event e=e>
		set the report's status to <strong><@bugStatus status=e.status /></strong>
	</@render_event>
</#macro>
<#macro render_visibility_event e>
	<@render_event e=e>
		set the report's visibility to <strong><#if e.visible>public<#else>private</#if></strong>
	</@render_event>
</#macro>
<#macro render_merge_event e>
	<@render_event e=e>
		merged current bug report with bug report #<strong>${e.mergedId?string(",##0")}</strong>
	</@render_event>
</#macro>
<#macro render_comment_event e>
	<@render_event e=e>
		posted a comment
	</@render_event>
	<div style="margin: 0 40px 20px 40px">
		${e.contents}
	</div>
	<#if !e.visible>
		<@lineform action="bug-${data.report.reportId}-comment-moderation">
			<input type="hidden" name="status" value="${data.query.status!"x"}" />
			<input type="hidden" name="own" value="${ownOnly}" />
			<input type="hidden" name="first" value="${data.query.first}" />
			<input type="hidden" name="comment" value="${e.id}" />
			This comment is currently hidden.
			<@ff_select name="cAction" id="cAction-${e.id}">
				<@form_option value="1">Validate it</@form_option>
				<@form_option value="0">Delete it</@form_option>
			</@ff_select>
			<@ff_submit label="Go" />
		</@lineform>
	</#if>
</#macro>
<#macro render>
<#if data.query.ownOnly>
	<#assign ownOnly = "1">
<#else>
	<#assign ownOnly = "0">
</#if>
<#local qString = "status=${data.query.status!'x'}&amp;own=${ownOnly}" >
<@page title="Bug #${data.report.reportId?string(',##0')} - ${data.report.title}">
	<#-- Tabs -->
	<@bugTabs selected="" qString="${qString}&amp;first=${data.query.first}" />

	<#-- Bug info -->
	<@dt_main>
		<@dt_entry title="Status"><@bugStatus status=data.report.status /></@dt_entry>
		<@dt_entry title="Public"><#if data.report.visible>yes<#else>no</#if></@dt_entry>
		<@dt_entry title="Initially reported">
			${data.report.posted?string("yyyy-MM-dd HH:mm:ss")}
			by <@render_submitter s=data.report.initialSubmitter />
		</@dt_entry>
		<@dt_entry title="Latest update">
			${data.report.lastUpdate?string("yyyy-MM-dd HH:mm:ss")}
			by <@render_submitter s=data.report.latestSubmitter />
		</@dt_entry>
	</@dt_main>

	<#-- List events -->
	<#list data.events as event>
		<hr/>
		<#switch event.type>
			<#case 'INIT'>
				<@render_report_event e=event />
				<#break>
			<#case 'STATUS'>
				<@render_status_event e=event />
				<#break>
			<#case 'COMMENT'>
				<@render_comment_event e=event />
				<#break>
			<#case 'VISIBILITY'>
				<@render_visibility_event e=event />
				<#break>
			<#case 'MERGE'>
				<@render_merge_event e=event />
				<#break>
		</#switch>
	</#list>
	
	<#-- Controls -->
	<hr id="br-controls"/>
	<#if data.report.status = 'PENDING'>
		<@form action="bug-${data.report.reportId}-validation" hash="br-controls">
			<tr style="display:none">
				<td colspan="2">
					<input type="hidden" name="status" value="${data.query.status!"x"}" />
					<input type="hidden" name="own" value="${ownOnly}" />
					<input type="hidden" name="first" value="${data.query.first}" />
				</td>
			</tr>
			<@form_extra>This report is currently pending validation.</@form_extra>
			<@form_select label="Set status to" name="nStatus">
				<@form_option value="OPEN"><@bugStatus status="OPEN" /></@form_option>
				<@form_option value="RESOLVED"><@bugStatus status="RESOLVED" /></@form_option>
				<@form_option value="WONT_FIX"><@bugStatus status="WONT_FIX" /></@form_option>
				<@form_option value="NOT_A_BUG"><@bugStatus status="NOT_A_BUG" /></@form_option>
			</@form_select>
			<@form_select label="Visibility" name="visibility">
				<@form_option value="1">public</@form_option>
				<@form_option value="0">hidden</@form_option>
			</@form_select>
			<@form_select label="Grant game credits" name="credits">
				<@form_option value="0">no</@form_option>
				<@form_option value="1" selected=true>low priority bug - small amount</@form_option>
				<@form_option value="2">normal bug - medium amount</@form_option>
				<@form_option value="3">critical bug - large amount</@form_option>
			</@form_select>
			<@form_select label="Empire status snapshot" name="snapshot">
				<@form_option value="1">keep</@form_option>
				<@form_option value="0">delete</@form_option>
			</@form_select>
			<@form_submit label="Go" />
		</@form>
	<#else>
		<@lineform action="bug-${data.report.reportId}-status" hash="br-controls">
			<input type="hidden" name="status" value="${data.query.status!"x"}" />
			<input type="hidden" name="own" value="${ownOnly}" />
			<input type="hidden" name="first" value="${data.query.first}" />
			Change status to
			<@ff_select name="nStatus" id="nStatus">
				<@form_option value="OPEN" selected=( data.report.status = 'OPEN' )><@bugStatus status="OPEN" /></@form_option>
				<@form_option value="RESOLVED" selected=( data.report.status = 'RESOLVED' )><@bugStatus status="RESOLVED" /></@form_option>
				<@form_option value="WONT_FIX" selected=( data.report.status = 'WONT_FIX' )><@bugStatus status="WONT_FIX" /></@form_option>
				<@form_option value="NOT_A_BUG" selected=( data.report.status = 'NOT_A_BUG' )><@bugStatus status="NOT_A_BUG" /></@form_option>
			</@ff_select>
			<@ff_submit label="Go" />
		</@lineform>
		<#if data.report.status = 'OPEN'>
			<@lineform action="bug-${data.report.reportId}-visibility" hash="br-controls">
				<input type="hidden" name="status" value="${data.query.status!"x"}" />
				<input type="hidden" name="own" value="${ownOnly}" />
				<input type="hidden" name="first" value="${data.query.first}" />
				Change visibility to
				<#if data.report.visible>
					hidden
				<#else>
					public
				</#if>
				<@ff_submit label="Go" />
			</@lineform>
			<#switch data.mergeError!>
				<#case "NOT_FOUND"><@standalone_error>Bug report not found</@standalone_error><#break>
				<#case "MERGED"><@standalone_error>Bug reports already merged</@standalone_error><#break>
				<#case "STATUS"><@standalone_error>Both bug reports must be open</@standalone_error><#break>
			</#switch>
			<@lineform action="bug-${data.report.reportId}-merge" hash="br-controls">
				<input type="hidden" name="status" value="${data.query.status!"x"}" />
				<input type="hidden" name="own" value="${ownOnly}" />
				<input type="hidden" name="first" value="${data.query.first}" />
				Merge into bug report #<@ff_text name="mergeId" id="merge-into" value=data.mergeId!"" />				
				<@ff_submit label="Go" />
			</@lineform>
			<hr id="post-comment" />
			<@form action="bug-${data.report.reportId}-comment" hash="post-comment">
				<tr style="display:none">
					<td colspan="2">
						<input type="hidden" name="status" value="${data.query.status!"x"}" />
						<input type="hidden" name="own" value="${ownOnly}" />
						<input type="hidden" name="first" value="${data.query.first}" />
					</td>
				</tr>
				<#switch data.commentError!"">
					<#case "EMPTY"><@form_error>You should type a comment before posting a comment.</@form_error><#break>
					<#case "INVALID"><@form_error>Comments must be at least 30 characters long.</@form_error><#break>
				</#switch>
				<@form_text label="New comment" name="comment" multiline=true maxLength=6 value=data.comment!"" />
				<@form_select label="Visibility" name="visibility">
					<@form_option value="1">public</@form_option>
					<@form_option value="0" selected=(! data.publicComment!true )>hidden</@form_option>
				</@form_select>
				<@form_submit label="Post comment" />
			</@form>
		</#if>
	</#if>

</@page>
</#macro>
<@render />