<@page title="Change password">
	<@form action="change-password">
		<#if data.admin.passwordChange!false>
			<@form_extra>Your administration password is currently the same as your player account's password. You <strong>must</strong> change it before you can proceed.</@form_extra> 
		</#if>

		<#if data.authError!false>
			<@form_error>Incorrect password</@form_error>
		</#if>
		<@form_pwd name="current" label="Current password" />

		<#switch data.passwordError!>
			<#case 'EMPTY'>
				<@form_error>No password specified</@form_error>
				<#break>
			<#case 'TOO_WEAK'>
				<@form_error>Password too weak</@form_error>
				<#break>
			<#case 'MISMATCH'>
				<@form_error>Password and password confirmation did not match</@form_error>
				<#break>
			<#case 'PROHIBITED'>
				<@form_error>You are not allowed to use your player account's password.</@form_error>
				<#break>
		</#switch>
		<@form_pwd name="password" label="New password" />
		<@form_pwd name="passwordConfirm" label="New password (confirmation)" />
		
		<@form_submit label="Change password" />
	</@form>
</@page>