<@page title="Maintenance mode">

	<#if data.reason?has_content>

		<p>Maintenance mode is <strong>enabled</strong>.</p>
		<@dt_main>
			<@dt_entry title="Started">${data.started?string("yyyy-MM-dd HH:mm:ss")}</@dt_entry>
			<@dt_entry title="Scheduled to end">${data.until?string("yyyy-MM-dd HH:mm:ss")}</@dt_entry>
			<@dt_entry title="Reason">${data.reason?xhtml}</@dt_entry>
		</@dt_main>


		<@form action="maintenance-extend">
			<@form_text label="Duration (minutes)" name="duration" value="" />
			<@form_submit label="Extend maintenance mode"/>
		</@form>
		<@form action="maintenance-end">
			<@form_submit label="Disable maintenance mode"/>
		</@form>

	<#else>

		<p>Maintenance mode is currently disabled.</p>

		<@form action="maintenance-start">
			<#switch data.reasonError!"">
				<#case 'EMPTY'><@form_error>You must specify a reason.</@form_error><#break>
				<#case 'INVALID'><@form_error>Reason too short (must be at least 10 characters long).</@form_error><#break>
			</#switch>
			<@form_text label="Reason for maintenance activation" name="reason" value=data.newReason!"" />
			<#if ( data.newReason!"" ) != "" && ! data.reasonError?has_content>
				<@form_error>Invalid duration</@form_error>
			</#if>
			<@form_text label="Duration (minutes)" name="duration" value=data.newDuration!"" />
			<@form_submit label="Enable maintenance mode"/>
		</@form>

	</#if>

</@page>