<#macro render_navigation message inbox>
	<#if inbox>
		<#local link="inbox-message-">
	<#else>
		<#local link="outbox-message-">
	</#if>
	<table style="width:100%;margin: 2px 0">
		<tr>
			<td style="width: 30px;text-align: right">
				<#if message.previous?has_content>
					<a href="${link}${message.previous}">
				</#if>
				&lt;&lt;
				<#if message.previous?has_content>
					</a>
				</#if>
			</td>
			<td style="text-align: center">
				<#if inbox>
					<a href="inbox-from-${message.id}">Received messages</a>
				<#else>
					<a href="outbox-from-${message.id}">Sent messages</a>
				</#if>
			</td>
			<td style="width: 30px;text-align: left">
				<#if message.next?has_content>
					<a href="${link}${message.next}">
				</#if>
				&gt;&gt;
				<#if message.next?has_content>
					</a>
				</#if>
			</td>
		</tr>
	</table>
</#macro>
<#macro render>
<#if data.inbox>
	<#local title="Received messages">
	<#local timeTtl="Received">
<#else>
	<#local title="Sent messages">
	<#local timeTtl="Sent">
</#if>
<@page title=title>
	<@render_navigation message=data.message inbox=data.inbox />

	<@dt_main>
		<@dt_entry width=100 title="From">
			${data.message.sender!}
			<#if data.inbox>
				(${data.message.type?lower_case})
			</#if>
		</@dt_entry>
		<@dt_entry width=100 title="To">
			${data.message.receiver!}
			<#if !data.inbox>
				(${data.message.type?lower_case})
			</#if>
		</@dt_entry>
		<@dt_entry width=100 title=timeTtl>
			${data.message.time?string("yyyy-MM-dd HH:mm:ss")}
		</@dt_entry>
		<#if data.message.unread>
			<@dt_entry width=100 title="">New!</@dt_entry>
		</#if>
	</@dt_main>

	<@listview><@lv_line headers=true><th colspan="2" style="font-size:1px">&nbsp;</th></@lv_line></@listview>
	
	<h3 style="margin:0;text-align:center;padding:0 0 10px 0">${data.message.title}</h3>
	<div style="margin: 0 40px 20px 40px">
		${data.message.contents}
	</div>

	<@listview><@lv_line headers=true><th colspan="2" style="font-size:1px">&nbsp;</th></@lv_line></@listview>
	<@lineform action="message">
		<input type="hidden" name="inbox" value="<#if data.inbox>1<#else>0</#if>" />
		<input type="hidden" name="id" value="${data.message.id}" />
		<#if data.message.previous?has_content>
			<#local afterDelete = data.message.previous> 
		<#elseif data.message.next?has_content>
			<#local afterDelete = data.message.next>
		<#else>
			<#local afterDelete = "x">
		</#if>
		<input type="hidden" name="next" value="${afterDelete}" />
		<@ff_submit label="Delete message" name="delete" />
		<#if data.inbox && data.message.type != 'INTERNAL'>
			<@ff_submit label="Compose reply" name="reply" />
		</#if>
	</@lineform>

</@page>
</#macro>
<@render />