<#macro render_name_entry name>
	<@lv_line>
		<@lv_column centered=true><input type="checkbox" name="ids" value="${name.id}" id="ns-${name.id}" /></@lv_column>
		<#if data.type = "EMPIRE" && (name.extra!"x") == "">
			<@lv_column><label for="ns-${name.id}"><em title="name currently in use">${name.name?xhtml}</em></label></@lv_column>
		<#else>
			<@lv_column><label for="ns-${name.id}">${name.name?xhtml}</label></@lv_column>
		</#if>
		<#if data.type = "ALLIANCE">
			<@lv_column><label for="ns-${name.id}">${name.extra?xhtml}</label></@lv_column>
		<#elseif data.type = "MAP_CHANGED">
			<@lv_column centered=true><#if name.type = "MAP_PENDING">No<#else>Yes</#if></@lv_column>
		</#if>
	</@lv_line>
</#macro>
<#macro render_actions>
	<#if data.type = "MAP_PENDING">
		<@ff_select name="action" id="action">
			<@form_option value="VALIDATE">Validate</@form_option>
			<@form_option value="REJECT">Reject and send warning</@form_option>
			<@form_option value="REJECT_BAN">Reject, send warning and ban name</@form_option>
		</@ff_select>
	<#elseif data.type = "MAP_VALIDATED">
		<@ff_select name="action" id="action">
			<@form_option value="REJECT">Reject and send warning</@form_option>
			<@form_option value="REJECT_BAN">Reject, send warning and ban name</@form_option>
			<@form_option value="RESET">Allow early renaming</@form_option>
		</@ff_select>
	<#elseif data.type = "MAP_CHANGED">
		<@ff_select name="action" id="action">
			<@form_option value="VALIDATE">Validate</@form_option>
			<@form_option value="REJECT">Reject and send warning</@form_option>
			<@form_option value="REJECT_BAN">Reject, send warning and ban name</@form_option>
			<@form_option value="RESET">Allow early renaming</@form_option>
		</@ff_select>
	<#elseif data.type = "EMPIRE">
		<@ff_select name="action" id="action">
			<@form_option value="REJECT">Forcibly rename to "RudeGuyXXX"</@form_option>
			<@form_option value="REJECT_BAN">Forcibly rename and ban old name</@form_option>
		</@ff_select>
	<#else>
		<input type="hidden" name="action" value="REJECT" />
		Disband selected alliance(s)
	</#if>
</#macro>
<@page title=data.type.description>
	<#if data.names?size = 0>
		<h1>No names to display</h1>
		<p>There are no such names at the moment.</p>
	<#else>
		<form action="names-${data.type.id}.action" method="post">
			<@listview>
				<@lv_line headers=true>
					<@lv_column width=24>&nbsp;</@lv_column>
					<#if data.type = "ALLIANCE">
						<@lv_column width=100>Tag</@lv_column>
						<@lv_column width=300>Name</@lv_column>
					<#elseif data.type = "MAP_CHANGED">
						<@lv_column width=300>Name</@lv_column>
						<@lv_column width=150 centered=true>Validated</@lv_column>
					<#else>
						<@lv_column width=300>Name</@lv_column>
					</#if>
				</@lv_line>
				<#list data.names as name>
					<@render_name_entry name=name />
				</#list>
			</@listview>
			<p><@render_actions /> <input type="submit" value="Go" /></p>
		</form>
	</#if>
</@page>