<#macro render_task task>
	<@lv_line>
		<@lv_column>&nbsp;</@lv_column>
		<@lv_column>${task.name?xhtml}</@lv_column>
		<@lv_column>${task.status.description?xhtml}<#if task.status = 'AUTO'>
			<br/>${task.start?string("yyyy-MM-dd HH:mm:ss")}
		</#if></@lv_column>
		<@lv_column>
			<form action="set-ticker-task-${task.id}.action" method="post">
				<#if task.status != 'RUNNING'>
					<a href="start-ticker-task-${task.id}.action">Start</a> -
				</#if>
				<#if task.status != 'STOPPED'>
					<a href="stop-ticker-task-${task.id}.action">Stop</a>
				</#if>
				<br/>
				Schedule automatic start in
				<@ff_text name="delay" value="1" id="delay" maxLength=5 />
				<@ff_select name="multiplier" id="multiplier">
					<@form_option value="86400">day(s)</@form_option>
					<@form_option value="3600">hour(s)</@form_option>
					<@form_option value="60">minute(s)</@form_option>
					<@form_option value="1">second(s)</@form_option>
				</@ff_select>
				<@ff_submit label="Go" />
			</form> 
		</@lv_column>
	</@lv_line>
</#macro>
<@page title="Ticker status">
	<h1>Ticker tasks</h1>
	<@listview>
		<@lv_line headers=true>
			<@lv_column width=40>&nbsp;</@lv_column>
			<@lv_column width=180>Task name</@lv_column>
			<@lv_column width=200>Status</@lv_column>
			<@lv_column width="x">&nbsp;</@lv_column>
		</@lv_line>
		<#list data.tasks as task>
			<@render_task task=task />
		</#list>
	</@listview>
	<p>&nbsp;</p>

	<h1>Ticker main thread</h1>
	<#if data.paused>
		<p>The main ticker thread is currently paused. <a href="toggle-ticker.action">Start it</a></p>
	<#else>
		<p>The main ticker thread is currently running. <a href="toggle-ticker.action">Pause it</a></p>
	</#if>
</@page>