<@page title="User #${data.account.id?string(',##0')} - Sessions">
	<h1>Account</h1>
	<@dt_main>
		<@dt_entry title="E-mail address">${data.account.address?xhtml}</@dt_entry>
		<@dt_entry title="Language code">${data.account.language}</@dt_entry>
		<@dt_entry title="Current status">${data.account.status.description?xhtml}</@dt_entry>
		<#if data.account.currentEmpire?has_content>
			<@dt_entry title="Currently playing as">${data.account.currentEmpire?xhtml}</@dt_entry>
		</#if>
		<@dt_entry title=""><a href="user-${data.account.id}">Back to account page</a></@dt_entry>
	</@dt_main>
	
	<h1>Sessions</h1>
	<#if data.account.sessions?size = 0>
		<p>No sessions for this account.</p>
	<#else>
		<@listview>
		
			<@lv_line headers=true>
				<@lv_column width=60 centered=true>ID#</@lv_column>
				<@lv_column width=60 centered=true>C.T.</@lv_column>
				<@lv_column width=120 centered=true>IP address</@lv_column>
				<@lv_column width=60 centered=true>Start date</@lv_column>
				<@lv_column width=60 centered=true>- time</@lv_column>
				<@lv_column width=60 centered=true>End date</@lv_column>
				<@lv_column width=60 centered=true>- time</@lv_column>
				<@lv_column width="x">Termination reason</@lv_column>
			</@lv_line>
			
			<#list data.account.sessions as session>
				<@lv_line>
					<@lv_column centered=true>${session.id?string(",##0")}</@lv_column>
					<@lv_column centered=true>
						<#if session.exclusive>
							${session.clientName?xhtml}
						<#else>
							<em>${session.clientName?xhtml}</em>
						</#if>
					</@lv_column>
					<@lv_column centered=true>${session.fromAddress?xhtml}</@lv_column>
					<@lv_column centered=true>${session.started?string('yyyy-MM-dd')}</@lv_column>
					<@lv_column centered=true>${session.started?string('HH:mm:ss')}</@lv_column>
					
					<#if session.ended?has_content>
						<@lv_column centered=true>${session.ended?string('yyyy-MM-dd')}</@lv_column>
						<@lv_column centered=true>${session.ended?string('HH:mm:ss')}</@lv_column>
						<@lv_column>${session.endType.description?xhtml}</@lv_column>
					<#else>
						<td colspan="3" style="text-align:center"><em>Still connected</em></td>
					</#if>
				</@lv_line>
			</#list>
		
		</@listview>
	</#if>
	
</@page>