package com.deepclone.lw.web.admin;


import javax.servlet.http.HttpServletRequest;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import com.deepclone.lw.cmd.admin.constants.GetConstantsResponse;
import com.deepclone.lw.cmd.admin.constants.SetConstantResponse;
import com.deepclone.lw.session.SessionException;
import com.deepclone.lw.web.beans.intercept.SessionRequirement;
import com.deepclone.lw.web.beans.session.SessionMaintenanceException;
import com.deepclone.lw.web.beans.session.SessionServerException;
import com.deepclone.lw.web.beans.view.PageControllerBase;
import com.deepclone.lw.web.csess.AdminSession;



@Controller
@SessionRequirement( value = true , subType = "main" , redirectTo = "admin-session" )
public class ConstantsPages
		extends PageControllerBase
{

	@RequestMapping( "/constants" )
	public String getConstants( HttpServletRequest request , Model model )
			throws SessionException , SessionServerException , SessionMaintenanceException
	{
		AdminSession session = this.getSession( AdminSession.class , request );
		GetConstantsResponse response = session.getConstants( );
		if ( !response.isPrivilegeOk( ) ) {
			return this.redirect( "main" );
		}
		return this.render( model , "internal" , "en" , "constants" , response );
	}


	@RequestMapping( value = "/set-constant.action" , method = RequestMethod.POST )
	public String setConstant( HttpServletRequest request , Model model , @RequestParam( "name" ) String name ,
			@RequestParam( "value" ) String sValue )
			throws SessionException , SessionServerException , SessionMaintenanceException
	{
		double value;
		try {
			value = Double.parseDouble( sValue );
		} catch ( NumberFormatException e ) {
			return this.redirect( "constants" );
		}

		AdminSession session = this.getSession( AdminSession.class , request );
		SetConstantResponse response = session.setConstant( name , value );
		if ( !response.isPrivilegeOk( ) ) {
			return this.redirect( "main" );
		} else if ( !response.isError( ) ) {
			return this.redirect( "constants" );
		}

		return this.render( model , "internal" , "en" , "constants" , response );
	}
}
