package com.deepclone.lw.web.admin;


import javax.servlet.http.HttpServletRequest;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import com.deepclone.lw.session.SessionException;
import com.deepclone.lw.web.beans.intercept.SessionRequirement;
import com.deepclone.lw.web.beans.session.SessionMaintenanceException;
import com.deepclone.lw.web.beans.session.SessionServerException;
import com.deepclone.lw.web.beans.view.PageControllerBase;
import com.deepclone.lw.web.csess.AdminSession;



@Controller
@SessionRequirement( value = false , redirectTo = "admin-session" )
public class LoginPage
		extends PageControllerBase
{
	@RequestMapping( value = "/" )
	public String root( HttpServletRequest request , Model model )
	{
		return this.redirect( "login" );
	}

	@RequestMapping( value = "/login" )
	public String login( HttpServletRequest request , Model model )
	{
		return this.renderMap( model , "external" , "en" , "login" , "failed" , (Boolean) false );
	}


	@RequestMapping( value = "/login.action" , method = RequestMethod.POST )
	public String login( HttpServletRequest request , Model model , @RequestParam( "mail" ) String mail ,
			@RequestParam( "password" ) String password )
			throws SessionException , SessionServerException , SessionMaintenanceException
	{
		AdminSession aSession = this.initSession( AdminSession.class , request );
		boolean authenticated = aSession.authenticate( mail , password );
		if ( !authenticated ) {
			this.clearSession( request );
			return this.renderMap( model , "external" , "en" , "login" , "failed" , (Boolean) true );
		}
		return this.redirect( "admin-session" );
	}

}
