package com.deepclone.lw.web.admin;


import javax.servlet.http.HttpServletRequest;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import com.deepclone.lw.cmd.admin.prefs.PrefDefaultsResponse;
import com.deepclone.lw.session.SessionException;
import com.deepclone.lw.web.beans.intercept.SessionRequirement;
import com.deepclone.lw.web.beans.session.SessionMaintenanceException;
import com.deepclone.lw.web.beans.session.SessionServerException;
import com.deepclone.lw.web.beans.view.PageControllerBase;
import com.deepclone.lw.web.csess.AdminSession;



@Controller
@SessionRequirement( value = true , subType = "main" , redirectTo = "admin-session" )
public class PreferencesPages
		extends PageControllerBase
{

	@RequestMapping( "/prefs" )
	public String listPrefDefaults( HttpServletRequest request , Model model )
			throws SessionException , SessionServerException , SessionMaintenanceException
	{
		PrefDefaultsResponse response = this.getSession( AdminSession.class , request ).getPrefDefaults( );
		if ( !response.isPrivilegeOk( ) ) {
			return this.redirect( "main" );
		}
		return this.render( model , "internal" , "en" , "preferences" , response );
	}


	@RequestMapping( value = "/prefs.action" , method = RequestMethod.POST )
	public String setPrefDefault( HttpServletRequest request , Model model , @RequestParam( "pref" ) String pref ,
			@RequestParam( "value" ) String value )
			throws SessionException , SessionServerException , SessionMaintenanceException
	{
		this.getSession( AdminSession.class , request ).setPrefDefault( pref , value );
		return this.redirect( "prefs" );
	}
}
