package com.deepclone.lw.web.admin;


import javax.servlet.http.HttpServletRequest;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

import com.deepclone.lw.session.SessionException;
import com.deepclone.lw.web.beans.intercept.SessionRequirement;
import com.deepclone.lw.web.beans.session.ClientSessionReference;
import com.deepclone.lw.web.beans.session.SessionMaintenanceException;
import com.deepclone.lw.web.beans.session.SessionServerException;
import com.deepclone.lw.web.beans.view.PageControllerBase;
import com.deepclone.lw.web.csess.AdminSession;



@Controller
@SessionRequirement( value = true , redirectTo = "login" )
public class SessionPages
		extends PageControllerBase
{
	@RequestMapping( "/admin-session" )
	public String login( HttpServletRequest request , Model model )
	{
		ClientSessionReference cReference = (ClientSessionReference) request.getSession( ).getAttribute( "sReference" );
		String type = cReference.getReference( ).extra;
		if ( "pass".equals( type ) ) {
			return this.redirect( "change-password" );
		}

		return this.redirect( "main" );
	}


	@RequestMapping( "/main" )
	public String main( HttpServletRequest request , Model model )
			throws SessionException , SessionServerException , SessionMaintenanceException
	{
		AdminSession session = this.getSession( AdminSession.class , request );
		return this.render( model , "internal" , "en" , "main" , session.getOverview( ) );
	}


	@RequestMapping( value = "/logout.action" )
	public String validation( HttpServletRequest request , Model model )
			throws SessionServerException , SessionException
	{
		this.getSession( AdminSession.class , request ).terminate( );
		return this.redirect( "login" );
	}
}
