package com.deepclone.lw.web.beans.session;


import java.net.InetAddress;

import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;
import com.deepclone.lw.session.SessionException;



public interface SessionClient
{

	public < T extends Session > T getSession( ClientSessionReference reference , Class< T > type , InetAddress ip )
			throws SessionException , SessionServerException;


	public < T extends Session > T restoreSession( ClientSessionReference session , Class< T > type );


	public void authenticate( ClientSessionReference session , String identifier , String secret )
			throws SessionException , SessionServerException;


	public CommandResponse execute( ClientSessionReference reference , Command command )
			throws SessionServerException , SessionException;


	public void terminate( ClientSessionReference reference )
			throws SessionServerException , SessionException;

}
