package com.deepclone.lw.web.beans.view;


import java.io.Serializable;

import com.deepclone.lw.cmd.bt.data.BugStatus;



public abstract class BugTrackerBase
		extends PageControllerBase
{

	@SuppressWarnings( "serial" )
	public static class BugQuery
			implements Serializable
	{
		public final BugStatus status;
		public final boolean ownOnly;
		public final long first;


		BugQuery( BugStatus status , boolean ownOnly , long first )
		{
			this.status = status;
			this.ownOnly = ownOnly;
			this.first = first;
		}


		public BugStatus getStatus( )
		{
			return status;
		}


		public boolean isOwnOnly( )
		{
			return ownOnly;
		}


		public long getFirst( )
		{
			return first;
		}

	}


	protected final BugQuery getBugQuery( String sStatus , String sOwn , String sFirst )
	{
		BugQuery query;

		// Get status
		BugStatus status;
		if ( sStatus == null ) {
			status = null;
		} else {
			try {
				status = BugStatus.valueOf( sStatus );
			} catch ( IllegalArgumentException e ) {
				status = null;
			}
		}

		// Own reports only?
		boolean ownOnly = ( sOwn != null && "1".equals( sOwn ) );

		// First report displayed
		long first;
		if ( sFirst == null ) {
			first = 0;
		} else {
			try {
				first = Long.parseLong( sFirst );
			} catch ( NumberFormatException e ) {
				first = 0;
			}
		}

		query = new BugQuery( status , ownOnly , first );
		return query;
	}


	protected String makeGetParams( BugQuery query )
	{
		String rTo = "?status=";
		if ( query.status == null ) {
			rTo += "x";
		} else {
			rTo += query.status.toString( );
		}
		rTo += "&own=" + ( query.ownOnly ? "1" : "0" ) + "&first=" + query.first;
		return rTo;
	}

}
