<#macro render_header desc>
	<div style="text-align:center;margin: 2px 0">
		At <a href="planet-${desc.location.id?string('#')}">${desc.location.name?xhtml}</a>
		(<strong>${desc.x},${desc.y}</strong>;${desc.orbit})
	</div>
</#macro>
<#macro render_navigation id disp>
	<form action="battle-${id}-at.action" method="post">
		<table style="width:100%;margin: 2px 0">
			<tr>
				<td style="width: 30px;text-align: right">
					<#if disp.previous?has_content>
						<a href="battle-${id?string('#')}-at-${disp.previous.ticks?string('#')}">
					</#if>
					&lt;&lt;
					<#if disp.previous?has_content>
						</a>
					</#if>
				</td>
				<td style="text-align: center">
					<@ff_select id="view-battle-tick" name="tick" style="width:470px">
						<#list disp.all as viewable>
							<@form_option value="${viewable.ticks?string('#')}" selected=(viewable.ticks == disp.current.ticks)><@game_time record=viewable.gameTime /></@form_option>
						</#list>
					</@ff_select>
					<@ff_submit label="Go" style="width:40px" />
				</td>
				<td style="width: 30px;text-align: left">
					<#if disp.next?has_content>
						<a href="battle-${id?string('#')}-at-${disp.next.ticks?string('#')}">
					</#if>
					&gt;&gt;
					<#if disp.next?has_content>
						</a>
					</#if>
				</td>
				<td style="width: 30px;text-align: left">
					<a href="battle-${id?string('#')}-latest">&gt;&gt;&gt;</a>
				</td>
			</tr>
		</table>
	</form>
</#macro>
<#macro render_list_entry mode record type>
	<tr class="${mode}-fleet ${type} empire-entry">
		<td style="width:16px">&nbsp;</td>
		<td style="width:16px" class="ships-expander" title="Show/hide <#if type = "planet">buildings<#else>ships</#if>">&nbsp;</td>
		<td style="width:16px">&nbsp;</td>
		<td colspan="2">
			<#nested>
		</td>
		<td style="text-align:center">${record.cPower?string(',##0')}</td>
		<td style="text-align:center">${record.lPower?string(',##0')}</td>
	</tr>
	<#list record.ships as shipType>
		<tr class="${mode}-fleet ${type} ship-type">
			<td style="width:64px" colspan="4">&nbsp;</td>
			<td>${shipType.name}</td>
			<td style="text-align:center">${shipType.cAmount?string(',##0')}</td>
			<td style="text-align:center">${shipType.lAmount?string(',##0')}</td>
		</tr>
	</#list>
</#macro>
<#macro render_protagonist mode record>
	<#if record.ships?has_content>
		<@render_list_entry mode=mode record=record type="empire">
			<#if record.player.id = 0 || mode = "own">
				${record.player.name?xhtml}
			<#else>
				<a href="msg-empire-${record.player.id}">${record.player.name?xhtml}</a>
			</#if>
		</@render_list_entry>
	</#if>
</#macro>
<#macro render_planet mode record>
	<@render_list_entry mode=mode record=record type="planet"><em>( planet )</em></@render_list_entry>
</#macro>
<#macro render_protagonists mode source>
	<#if source.players?size = 0>
		<#return>
	</#if>
	<tr class="${mode}-fleet group">
		<td style="width:16px" class="forces-expander" title="Show/hide empires">&nbsp;</td>
		<td style="width:16px" class="ships-expander" title="Show/hide ships">&nbsp;</td>
		<td colspan="3"><#if mode == "allied">Allied<#else>Hostile</#if> forces</td>
		<td style="text-align:center">${source.cPower?string(',##0')}</td>
		<td style="text-align:center">${source.lPower?string(',##0')}</td>
	</tr>
	<#list source.ships as shipType>
		<tr class="${mode}-fleet group ship-type">
			<td style="width:64px" colspan="4">&nbsp;</td>
			<td>${shipType.name}</td>
			<td style="text-align:center">${shipType.cAmount?string(',##0')}</td>
			<td style="text-align:center">${shipType.lAmount?string(',##0')}</td>
		</tr>
	</#list>
	<#list source.players as pRecord>
		<@render_protagonist mode=mode record=pRecord />
	</#list>
</#macro>
<#macro render_fleets fData>
	<@listview>
		<tr><th colspan="6" style="text-align:center; font-size: 110%">Forces</th></tr>
		<@lv_line headers=true>
			<th style="width:16px">&nbsp;</th>
			<th style="width:16px">&nbsp;</th>
			<th style="width:16px">&nbsp;</th>
			<th style="width:16px">&nbsp;</th>
			<th>&nbsp;</th>
			<@lv_column width=100 centered=true>Current</@lv_column>
			<@lv_column width=100 centered=true>Lost</@lv_column>
		</@lv_line>
		<@render_protagonist mode="own" record=fData.own />
		<#if fData.planet.relation == "OWN">
			<@render_planet mode="own" record=fData.planet />
		</#if>
		<@render_protagonists mode="allied" source=fData.friendly />
		<#if fData.planet.relation == "ALLIED">
			<@render_planet mode="allied" record=fData.planet />
		</#if>
		<@render_protagonists mode="enemy" source=fData.hostile />
		<#if fData.planet.relation == "ENEMY">
			<@render_planet mode="enemy" record=fData.planet />
		</#if>
		<tr class="tip" style="display:none"><td colspan="7" style="text-align:center"><em>Click "*" and "+" to toggle ships/buildings and forces display.</em></td></tr>
	</@listview>
</#macro>
<#macro render_event_items items>
	<#list items as item>
		<@lv_line>
			<td>&nbsp;</td>
			<td><strong>${item.name}</strong></td>
			<td>${item.cAmount?string(",##0")}</td>
		</@lv_line>		
	</#list>
</#macro>
<#macro render_event event>
	<#switch event.type>
		<#case "RENAME">
			<@lv_line>
				<td colspan="3">Planet renamed to <strong>${event.name}</strong></td>
			</@lv_line>
			<#break>
		<#case "SWITCH">
			<@lv_line>
				<td colspan="3">
					<#if event.name = data.page.empire>
						We have switched to <#if event.hostile>attack<#else>defence</#if>.
					<#else>
						<strong>${event.name}</strong> has switched mode and is now <#if event.hostile>hostile<#else>friendly</#if>.
					</#if>
				</td>
			</@lv_line>
			<#break>
		<#case "BUILD">
			<@lv_line>
				<td colspan="3">
					<#if event.planet>
						New buildings have been constructed on the planet.
					<#elseif event.name = data.page.empire>
						Our new fleets have been deployed.
					<#else>
						<#if event.hostile>Hostile<#else>Friendly</#if> fleets belonging to <strong>${event.name}</strong> have been deployed.
					</#if>
				</td>
			</@lv_line>
			<@render_event_items items=event.ships />
			<#break>
		<#case "DEPART">
			<@lv_line>
				<td colspan="3">
					<#if event.name = data.page.empire>
						Our fleets have left orbit.
					<#else>
						<#if event.hostile>Hostile<#else>Friendly</#if> fleets belonging to <strong>${event.name}</strong> have left orbit.
					</#if>
				</td>
			</@lv_line>
			<@render_event_items items=event.ships />
			<#break>
		<#case "ARRIVE">
			<@lv_line>
				<td colspan="3">
					<#if event.name = data.page.empire>
						Our fleets have joined the battle.
					<#else>
						<#if event.hostile>Hostile<#else>Friendly</#if> fleets belonging to <strong>${event.name}</strong> have joined the battle.
					</#if>
				</td>
			</@lv_line>
			<@render_event_items items=event.ships />
			<#break>
		<#case "DESTROY">
			<@lv_line>
				<td colspan="3">
					<#if event.planet>
						Buildings have been destroyed on the planet.
					<#elseif event.name = data.page.empire>
						Our fleets have been disbanded.
					<#else>
						<#if event.hostile>Hostile<#else>Friendly</#if> fleets belonging to <strong>${event.name}</strong> have been disbanded.
					</#if>
				</td>
			</@lv_line>
			<@render_event_items items=event.ships />
			<#break>
		<#default>
			<@lv_line>
				<td colspan="3">
					<em>Missing event type "${event.type}" (this is a bug)</em>
				</td>
			</@lv_line>
			<#break>
	</#switch>
</#macro>
<#macro render_history hData>
	<#if hData?size = 0>
		<#return>
	</#if>
	<@listview>
		<tr><th colspan="3" style="text-align:center; font-size: 110%">History</th></tr>
		<@lv_line headers=true>
			<th style="width:120px;font-size: 1px">&nbsp;</th>
			<th style="width:170px;font-size: 1px">&nbsp;</th>
			<th style="font-size: 1px">&nbsp;</th>
		</@lv_line>
		<#list hData as hInterval>
			<#if hInterval.end?has_content>
				<#if hInterval.battleEnds>
					<tr><td colspan="3" style="text-align:center;padding: 5px 0px;font-weight: bold"><em>Battle ended at <@game_time record=hInterval.end.gameTime /></em></td></tr>
				<#else>
					<tr><td colspan="3" style="text-align:center;padding: 5px 0px;font-weight: bold"><em>No more fleets at this location</em></td></tr>
				</#if>
				<tr><td colspan="3">&nbsp;</td></tr>
			</#if>
			<#list hInterval.entries as atTick>
				<tr><td colspan="3" style="text-align:center;padding: 5px 0px"><em><@game_time record=atTick.time.gameTime />:</em></td></tr>
				<#list atTick.events as event>
					<@render_event event=event />
				</#list>
				<tr><td colspan="3">&nbsp;</td></tr>
			</#list>
			<#if hInterval.battleBegins>
				<tr><td colspan="3" style="text-align:center;padding: 5px 0px;font-weight: bold"><em>Battle started at <@game_time record=hInterval.begin.gameTime /></em></td></tr>
			</#if>
		</#list>
	</@listview>
</#macro> 
<#macro render>
<#local bDescription = data.battle.description>
<#local bDisplay = data.battle.display>
<@page title="Battle #${bDescription.id?string(',##0')} at ${bDescription.location.name}">

	<@render_header desc=bDescription />
	<@render_navigation id=bDescription.id disp=bDisplay />
	<p>&nbsp;</p>
	<@render_fleets fData=data.battle.ships />
	<@render_history hData=data.battle.history />

</@page>
</#macro>