<#include "bugsTabs.ftl" />
<#macro render_submitter s>
	<#if s.admin>
		<span style="color:#ffafaf">
	<#elseif s.userId?has_content && s.name = data.page.empire>
		<span style="color:#afffaf">
	</#if>
	${s.name?xhtml}
	<#if s.admin || ( s.userId?has_content && s.name = data.page.empire )>
		</span>
	</#if>
</#macro>
<#macro render_event e>
	<div style="text-align:center; padding:10px 10px">
		${e.timestamp?string("yyyy-MM-dd HH:mm:ss")} - <@render_submitter s=e.submitter />
		<#nested>
	</div>
</#macro>
<#macro render_report_event e>
	<@render_event e=e>
		posted bug report #<strong>${e.id?string(",##0")}</strong>
	</@render_event>
	<h3 style="margin:0;text-align:center;padding:0 0 10px 0">${e.title}</h3>
	<div style="margin: 0 40px 20px 40px">
		${e.contents}
	</div>
</#macro>
<#macro render_status_event e>
	<@render_event e=e>
		set the report's status to <strong><@bugStatus status=e.status /></strong>
	</@render_event>
</#macro>
<#macro render_visibility_event e>
	<@render_event e=e>
		set the report's visibility to <strong><#if e.visible>public<#else>private</#if></strong>
	</@render_event>
</#macro>
<#macro render_merge_event e>
	<@render_event e=e>
		merged current bug report with bug report #<strong>${e.mergedId?string(",##0")}</strong>
	</@render_event>
</#macro>
<#macro render_comment_event e>
	<@render_event e=e>
		posted a comment
		<#if !e.visible>
			<em>(moderation pending)</em>
		</#if>	
	</@render_event>
	<div style="margin: 0 40px 20px 40px">
		${e.contents}
	</div>
</#macro>
<#macro render>
<#if data.query.ownOnly>
	<#local ownOnly = "1">
<#else>
	<#local ownOnly = "0">
</#if>
<#local qString = "status=${data.query.status!'x'}&amp;own=${ownOnly}" >
<@page title="Bug #${data.report.reportId?string(',##0')} - ${data.report.title}" hidePlanets=true>
	<#-- Tabs -->
	<@bugTabs selected="" qString="${qString}&amp;first=${data.query.first}" />

	<#-- Bug info -->
	<@dt_main>
		<@dt_entry title="Status"><@bugStatus status=data.report.status /></@dt_entry>
		<@dt_entry title="Public"><#if data.report.visible>Yes<#else>No</#if></@dt_entry>
		<@dt_entry title="Initially reported">
			${data.report.posted?string("yyyy-MM-dd HH:mm:ss")}
			by <@render_submitter s=data.report.initialSubmitter />
		</@dt_entry>
		<@dt_entry title="Latest update">
			${data.report.lastUpdate?string("yyyy-MM-dd HH:mm:ss")}
			by <@render_submitter s=data.report.latestSubmitter />
		</@dt_entry>
	</@dt_main>

	<#-- List events -->
	<#local mayPost = false>
	<#list data.events as event>
		<hr/>
		<#local mayPost = ( mayPost || ( !event.submitter.admin && event.submitter.userId?has_content && event.submitter.name = data.page.empire ) )>
		<#switch event.type>
			<#case 'INIT'>
				<@render_report_event e=event />
				<#break>
			<#case 'STATUS'>
				<@render_status_event e=event />
				<#break>
			<#case 'COMMENT'>
				<@render_comment_event e=event />
				<#break>
			<#case 'VISIBILITY'>
				<@render_visibility_event e=event />
				<#break>
			<#case 'MERGE'>
				<@render_merge_event e=event />
				<#break>
		</#switch>
	</#list>
	
	<#-- Comment form -->
	<#if mayPost && ( data.report.status = 'OPEN' || data.report.status = 'PENDING' )>
		<hr id="post-comment"/>
		<@form action="bug-${data.report.reportId}-comment" hash="post-comment">
			<tr style="display:none">
				<td colspan="2">
					<input type="hidden" name="status" value="${data.query.status!"x"}" />
					<input type="hidden" name="own" value="${ownOnly}" />
					<input type="hidden" name="first" value="${data.query.first}" />
				</td>
			</tr>
			<#switch data.commentError!"">
				<#case "EMPTY"><@form_error>You should type a comment before posting a comment.</@form_error><#break>
				<#case "INVALID"><@form_error>Comments must be at least 30 characters long.</@form_error><#break>
			</#switch>
			<@form_text label="New comment" name="comment" multiline=true maxLength=6 value=data.comment!"" />
			<@form_submit label="Post comment" />
		</@form>
	</#if>
	
</@page>
</#macro>