<#include "messageTabs.ftl" />
<#macro render>
<#if data.replyTo?has_content>
	<#local title="Reply to message">
<#else>
	<#local title="Compose new message">
</#if>
<@page title=title>
	<@messageTabs selected="compose" />

	<div class="form-container">
		<form action="send-message.action" method="post">
			<#if data.replyTo?has_content>
				<input name="rtInbox" type="hidden" value="<#if data.inbox>1<#else>0</#if>" />
				<input name="rtId" type="hidden" value="${data.replyTo.id}" />
			</#if>

			<table>
				<#if data.timingError>
					<@form_error>Not so fast! Wait a few seconds before trying again.</@form_error>
				</#if>

				<#-- Message recipient -->
				<#if data.targetError>
					<@form_error>Message recipient not found.</@form_error>
				</#if>
				<@form_select label="Recipient type" name="toType">
					<@form_option value="EMPIRE" selected=( data.messageType = 'EMPIRE' )>Empire</@form_option>
					<@form_option value="ALLIANCE" selected=( data.messageType = 'ALLIANCE' )>Alliance</@form_option>
					<@form_option value="ADMINISTRATOR" selected=( data.messageType = 'ADMINISTRATOR' )>Administrator</@form_option>
				</@form_select>
				<@form_text label="Recipient name" name="toName" maxLength=48 value=data.target />
				<#if (data.target == "")>
					<tr><td>&nbsp;</td><td><a href="message-targets">Select from list...</a></td></tr>
				</#if>

				<#-- Subject -->
				<#if data.titleError>
					<@form_error>Subject is too short (min.: 2 characters)</@form_error>
				</#if>
				<@form_text label="Subject" name="title" maxLength=64 value=data.title />
				
				<#-- Body -->
				<#if data.contentsError>
					<@form_error>Contents are too short (min.: 2 characters)</@form_error>
				</#if>
				<@form_text label="Contents" name="contents" value=data.contents multiline=true maxLength=10 />
				
				<@form_extended_submit label="Send message">
					<@ff_submit label="Cancel" name="cancel" />
				</@form_extended_submit>
			</table>

		</form>
	</div>

	<#-- Original message -->
	<#if data.replyTo?has_content>
		<@listview><@lv_line headers=true><th colspan="2" style="font-size:1px">&nbsp;</th></@lv_line></@listview>
		<@dt_main>
			<@dt_entry width=100 title="">Original message:</@dt_entry>
			<@dt_entry width=100 title="From">
				${data.replyTo.sender!}
			</@dt_entry>
			<@dt_entry width=100 title="To">
				${data.replyTo.receiver!}
			</@dt_entry>
			<@dt_entry width=100 title="Received">
				<@abbr_gt />: <@game_time record=data.replyTo.gameTime /> / <@abbr_st />: ${data.replyTo.time?string("yyyy-MM-dd HH:mm:ss")}
			</@dt_entry>
		</@dt_main>
	
		<@listview><@lv_line headers=true><th colspan="2" style="font-size:1px">&nbsp;</th></@lv_line></@listview>
		
		<h3 style="margin:0;text-align:center;padding:0 0 10px 0">${data.replyTo.title}</h3>
		<div style="margin: 0 40px 20px 40px">
			${data.replyTo.contents}
		</div>
	</#if>

</@page>
</#macro>