<#macro RenderNaturalResources>			
	<#list data.own.resources as resource>
		<#if resource.resourceProvider?has_content>
			<#local showResources=true>
			<#break>
		</#if>
	</#list>
	
	<#if showResources?has_content>
		<@tab id="natres" title="Natural resources">
			<form action="planet-${data.id}-update-mset.action" method="POST">

				<@listview>
					<@lv_line headers=true>
						<@lv_column width="x">Resource</@lv_column>
						<@lv_column width=100 right=true>Quantity&nbsp;</@lv_column>
						<@lv_column width=100>&nbsp;&nbsp;Capacity</@lv_column>
						<@lv_column width=100 centered=true>Extraction<br/>difficulty</@lv_column>
						<@lv_column width=100 centered=true>Priority</@lv_column>
					</@lv_line>
					
					<#list data.own.resources as resource>
						<#if resource.resourceProvider?has_content>
							<#local resProv=resource.resourceProvider>
		
							<@lv_line>
								<@lv_column>
									${resource.title?xhtml}
									<div class="auto-hide">${resource.description?xhtml}</div>
								</@lv_column>
								<@lv_column right=true>${resProv.quantity?string(",##0")}&nbsp;</@lv_column>
								<@lv_column>/&nbsp;${resProv.capacity?string(",##0")}</@lv_column>
								<@lv_column centered=true>${resProv.difficulty}&nbsp;%</@lv_column>
								<@lv_column centered=true>
									<#if data.own.ownMiningSettings>
										<select name="pms-${resource.identifier?xhtml}" class="input">
											<option style="padding: 0 5px" value="0" <#if resProv.priority = 0>selected="selected"</#if>>lowest</option>
											<option style="padding: 0 5px" value="1" <#if resProv.priority = 1>selected="selected"</#if>>low</option>
											<option style="padding: 0 5px" value="2" <#if resProv.priority = 2>selected="selected"</#if>>normal</option>
											<option style="padding: 0 5px" value="3" <#if resProv.priority = 3>selected="selected"</#if>>high</option>
											<option style="padding: 0 5px" value="4" <#if resProv.priority = 4>selected="selected"</#if>>highest</option>
										</select>
									<#else>
										<#switch resProv.priority>
											<#case 0>lowest<#break>
											<#case 1>low<#break>
											<#case 2>normal<#break>
											<#case 3>high<#break>
											<#case 4>highest<#break>
										</#switch>
									</#if>
								</@lv_column>
							</@lv_line>
		
						</#if>
					</#list>
					
					<@lv_line headers=true>
						<@lv_column width="x" colspan=5>&nbsp;</@lv_column>
					</@lv_line>
					<@lv_line>
						<@lv_column right=true colspan=5>
							<#if data.own.ownMiningSettings>
								This planet follows planet-specific mining priorities.
								<input type="submit" name="toggle-settings" value="Use empire priorities" class="input" style="margin: 15px 0 0 0" />
								<input type="submit" name="update-pms" value="Update priorities" class="input" style="margin: 15px 0 0 0" />
							<#else>
								This planet follows empire-wide mining priorities.
								<input type="submit" name="toggle-settings" value="Use specific priorities" class="input" style="margin: 15px 0 0 0" />
							</#if>
						</@lv_column>
					</@lv_line>

				</@listview>

			</form>

		</@tab>
	</#if>
</#macro>