<#macro render>
<@page title="Planets">
	<#assign pl = data.planets>
	<#if pl?size == 0>
		<p>We no longer own any planet.</p>
		<p><a href="get-planet">Get a new planet?</a></p>
	<#else>

		<@tabs>

			<@tab id="general" title="General"> 
				<@listview>
					<@lv_line headers=true>
						<@lv_column width="x">Name</@lv_column>
						<@lv_column width=90 centered=true>Coordinates</@lv_column>
						<@lv_column width=90 centered=true>Happiness</@lv_column>
						<@lv_column width=90 right=true>Population</@lv_column>
					</@lv_line>
		
					<#list pl as planet>
						<@lv_line>
							<@lv_column><a href="planet-${planet.id}">${planet.name?xhtml}</a></@lv_column>
							<@lv_column centered=true>(${planet.x},${planet.y};${planet.orbit})</@lv_column>
							<@lv_column centered=true><@happiness value=planet.happiness /></@lv_column>
							<@lv_column right=true>${planet.population?string(",##0")}</@lv_column>
						</@lv_line>
					</#list>		
				</@listview>
			</@tab>

			<@tab id="eco" title="Economy (OLD)"> 
				<@listview>
					<@lv_line headers=true>
						<@lv_column width="x">Name</@lv_column>
						<@lv_column width=110 right=true>Income</@lv_column>
						<@lv_column width=110 right=true>Upkeep</@lv_column>
						<@lv_column width=110 right=true>Profit</@lv_column>
					</@lv_line>
		
					<#list pl as planet>
						<@lv_line>
							<@lv_column><a href="planet-${planet.id}">${planet.name?xhtml}</a></@lv_column>
							<@lv_column right=true>${planet.income?string(",##0")} <@abbr_bgc /></@lv_column>
							<@lv_column right=true>${planet.upkeep?string(",##0")} <@abbr_bgc /></@lv_column>
							<@lv_column right=true>
								<#if planet.upkeep gt planet.income>
									<span style="color: red">
								</#if>
								${( planet.income - planet.upkeep )?string(",##0")} <@abbr_bgc />
								<#if planet.upkeep gt planet.income>
									</span>
								</#if>
							</@lv_column>
						</@lv_line>
					</#list>		
				</@listview>
			</@tab>

			<#include "planets/economy.ftl" />
			<@RenderEconomy />

			<@tab id="prod" title="Production"> 
				<@listview>
					<@lv_line headers=true>
						<@lv_column width="x">Name</@lv_column>
						<@lv_column width=90 right=true>Military</@lv_column>
						<@lv_column width=90 right=true>Industrial</@lv_column>
						<@lv_column width=90 right=true>Growth inc.</@lv_column>
					</@lv_line>
		
					<#list pl as planet>
						<@lv_line>
							<@lv_column><a href="planet-${planet.id}#buildings">${planet.name?xhtml}</a></@lv_column>
							<@lv_column right=true>${planet.militaryProduction?string(",##0")}</@lv_column>
							<@lv_column right=true>${planet.industrialProduction?string(",##0")}</@lv_column>
							<@lv_column right=true>${planet.growthProduction?string(",##0")}</@lv_column>
						</@lv_line>
					</#list>		
				</@listview>
			</@tab>

			<@tab id="cons" title="Construction"> 
				<@listview>
					<@lv_line headers=true>
						<@lv_column width="x">Name</@lv_column>
						<@lv_column width=200 centered=true>Current queue item</@lv_column>
						<@lv_column width=90 right=true>Investment</@lv_column>
					</@lv_line>
		
					<#list pl as planet>
						<@lv_line>
							<@lv_column><a href="planet-${planet.id}#buildings">${planet.name?xhtml}</a></@lv_column>
							<@lv_column centered=true>
								<#if planet.civAmount = 0>
									<em>N/A</em>
								<#else>
									<strong>${planet.civAmount?string(",##0")}</strong>x
									${planet.civName?xhtml}
									<#if planet.civDestroy>
										(destruction)
									<#else>
										(construction)
									</#if>
								</#if>
							</@lv_column>
							<@lv_column right=true>${planet.civInvestment?string(",##0")} <@abbr_bgc /></@lv_column>
						</@lv_line>
					</#list>		
				</@listview>
			</@tab>

			<@tab id="ships" title="Shipyards"> 
				<@listview>
					<@lv_line headers=true>
						<@lv_column width="x">Name</@lv_column>
						<@lv_column width=200 centered=true>Current queue item</@lv_column>
						<@lv_column width=90 right=true>Investment</@lv_column>
					</@lv_line>
		
					<#list pl as planet>
						<@lv_line>
							<@lv_column><a href="planet-${planet.id}#ships">${planet.name?xhtml}</a></@lv_column>
							<@lv_column centered=true>
								<#if planet.milAmount = 0>
									<em>N/A</em>
								<#else>
									<strong>${planet.milAmount?string(",##0")}</strong>x
									${planet.milName?xhtml}
								</#if>
							</@lv_column>
							<@lv_column right=true>${planet.milInvestment?string(",##0")} <@abbr_bgc /></@lv_column>
						</@lv_line>
					</#list>		
				</@listview>
			</@tab>

			<@tab id="mil" title="Military"> 
				<@listview>
					<@lv_line headers=true>
						<@lv_column width="x">Name</@lv_column>
						<@lv_column width=90 right=true>Stationary</@lv_column>
						<@lv_column width=90 right=true>Own fleets</@lv_column>
						<@lv_column width=90 right=true>Friendly</@lv_column>
						<@lv_column width=90 right=true>Hostile</@lv_column>
					</@lv_line>
		
					<#list pl as planet>
						<@lv_line>
							<@lv_column>
								<#if planet.battle?has_content>
									<a href="battle-${planet.battle}-latest"><span style="color:red">
								</#if>
								${planet.name?xhtml}
								<#if planet.battle?has_content>
									</span></a>
								</#if>
							</@lv_column>
							<@lv_column right=true><span class="own-fleet">${planet.fpStatic?string(",##0")}</span></@lv_column>
							<@lv_column right=true><span class="own-fleet">${planet.fpOwn?string(",##0")}</span></@lv_column>
							<@lv_column right=true><span class="allied-fleet">${planet.fpFriendly?string(",##0")}</span></@lv_column>
							<@lv_column right=true><span class="enemy-fleet">${planet.fpHostile?string(",##0")}</span></@lv_column>
						</@lv_line>
					</#list>		
				</@listview>
			</@tab>

		</@tabs>
	</#if>
</@page>
</#macro>