<#macro render>
<@page title="Register">
	<@form name="register" action="register">
		<#switch data.mailError!"">
			<#case "EMPTY">
				<@form_error>Empty e-mail address.</@form_error>
				<#break>
			<#case "INVALID">
				<@form_error>Invalid e-mail address.</@form_error>
				<#break>
			<#case "IN_USE">
				<@form_error>This e-mail address is already associated with an account.</@form_error>
				<#break>
			<#case "SEND_FAIL">
				<@form_error>Unable to send confirmation code to this address.</@form_error>
				<#break>
			<#case "MISMATCH">
				<@form_error>E-mail address field and confirmation field do not match.</@form_error>
				<#break>
			<#default>
				<@form_extra>The e-mail address <em>MUST</em> exist.</@form_extra>
		</#switch>
		<@form_text label="E-mail address" maxLength=128 name="mail" value=data.mail! />
		<@form_text label="E-mail address (confirm)" maxLength=128 name="mailConfirm" value=data.mail! />
			
		<#switch data.passwordError!"">
			<#case "EMPTY">
				<@form_error>Empty password.</@form_error>
				<#break>
			<#case "TOO_WEAK">
				<@form_error>This password is too weak.</@form_error>
				<#break>
			<#case "MISMATCH">
				<@form_error>Password field and confirmation field do not match.</@form_error>
				<#break>
			<#default>
				<@form_extra>At least 6 characters, containing both text and numbers. Bonus points for special characters, spaces, and extremely long passwords.</@form_extra>
		</#switch>
		<@form_pwd label="Password" name="password" />
		<@form_pwd label="Password (confirm)" name="passwordConfirm" />

		<@form_select name="language" label="Language">
			<#if dataType == "ListLanguagesResponse">
				<#assign lList = data.languages>
			<#else>
				<#assign lList = data.supportedLanguages.languages>
			</#if>
			<#list lList as lang>
				<@form_option text=lang.name value=lang.id selected=(lang.id == language) />
			</#list>
		</@form_select>

		<@form_submit label="Register" />
	</@form>
</@page>
</#macro>