<#macro game_time record>
	<#if record.years == 1>
		1 an,
	<#elseif record.years gt 1 >
		${record.years?string(",##0")} ans,
	</#if>
	<#if record.weeks == 1>
		1 semaine,
	<#elseif record.weeks gt 1 >
		${record.weeks?string} semaines,
	</#if>
	<#if record.days == 1>
		1 jour
	<#elseif record.days gt 1 >
		${record.days?string} jours,
	<#else>
		premier jour,
	</#if>
	${record.hours?string("00")}:00
</#macro>
<#macro game_duration record>
	<#if record.years == 1>
		1 an
	<#elseif record.years gt 1 >
		${record.years?string(",##0")} ans
	</#if>
	<#if record.weeks == 1>
		1 semaine
	<#elseif record.weeks gt 1 >
		${record.weeks?string} semaines
	</#if>
	<#if record.days == 1>
		1 jour
	<#elseif record.days gt 1 >
		${record.days?string} jours
	</#if>
	<#if record.hours == 1>
		1 heure
	<#elseif record.hours gt 1 >
		${record.hours?string} heures
	</#if>
</#macro>
<#macro rl_duration rTime>
	<#local rlDays = (rTime / 1440)?floor>
	<#local rlHours = ((rTime - rlDays * 1440) / 60)?floor>
	<#local rlMinutes = (rTime - rlDays * 1440 - rlHours * 60)>
	<#if rlDays gt 0>
		<#if rlDays = 1>1 jour<#else>${rlDays} jours</#if>
	</#if>
	<#if rlHours gt 0>
		<#if rlHours = 1>1 heure<#else>${rlHours} heures</#if>
	</#if>
	<#if rlMinutes gt 0>
		<#if rlMinutes = 1>1 minute<#else>${rlMinutes} minutes</#if>
	</#if>
</#macro>
<#macro duration rTime gTime>
	<#if data.page.useRLTime>
		<@rl_duration rTime=rTime />
	<#else>
		<span title="<@rl_duration rTime=rTime />"><@game_duration record=gTime /></span>
	</#if>
</#macro>
<#macro abbr_bgc><abbr title="milliards de crédits galactiques">mcg</abbr></#macro>
<#macro abbr_st><abbr title="Temps Serveur">TS </abbr></#macro>
<#macro abbr_gt><abbr title="Temps dans l'univers du jeu">TJ </abbr></#macro>
<#macro over_time title feminin=false pluriel=false>
	<#if data.page.useRLTime>
		${title?xhtml} (pour 12h)
	<#else>
		 ${title?xhtml} mensuel<#if feminin>le</#if><#if pluriel>s</#if>
	</#if>
</#macro>