<@page title="Règles du jeu">
	<h3>Général</h3>
	<p>
		L'ensemble du jeu est basé sur des mises à jour toutes les minutes. Comme ces mises à jour sont calculées en fonction du moment
		où le serveur du jeu a démarré, elles peuvent intervenir à tout moment. 
	</p>
	<p>
		C'est pour cela qu'un <em>temps du jeu</em> est défini. Il correspond à la quantité de mises à jour qui ont été calculées.
		Une "heure" de temps du jeu correspond à une mise à jour et, en général, à une minute en temps du monde réel.
	</p>
	<p>
		Aucune vraie tentative pour atteindre un jeu équilibré n'a été fait. Il est donc très possible que certains aspects 
		des règles fonctionnent pas comme prévu.
	</p>
	<p>&nbsp;</p>

	<h3>Finances &amp; recherche</h3>
	<p>
		Les bénéfices sont majoritairement produits par la population d'un empire. Alors que les bénéfices et charges sont affichés
		pour une durée de 24h en temps du monde réel, les réserves financières d'un empire augmentent (ou diminuent) en continu.
		Les bâtiments optionnels nommés <em>Ligne de production générique</em> apportent un revenu supplémentaire. 
	</p>
	<p>
		La population génère aussi des points de recherche qui sont utilisés pour mettre à jour les progrès scientifiques d'un empire. 
		Quand une technologie atteint 100% de ses points de recherche requis, elle doit être <em>appliquée</em>, ce qui coûte de l'argent.
	</p>
	<p>
		Deux jeux de trois technologies sont disponibles : les <em>technologies civiles</em> donnent accès à de nouveaux bâtiments,
		alors que les <em>technologies militaires</em> fournissent de nouveau types de vaisseaux.
	</p>
	<p>
		Si les réserves financières d'un empire atteignent 0 à cause de charges trop élevées, ses flottes vont commencer à se
		dégrader. S'il ne possède pas de flottes, alors ce sont les bâtiments de ses planètes qui commencent à se dégrader. 
	</p>
	<p>
		Il est par contre possible qu'un empire atteigne 0 à cause de la construction de bâtiments ou vaisseaux. Dans ce cas, aucun
		dommage ne sera infligé, mais la construction sera ralentie.
	</p>
	<p>&nbsp;</p>

	<h3>Gestion de planète</h3>
	<p>
		Deux types de bâtiments sont disponibles sans aucune technologie : les <em>fabriques de pièces de vaisseaux</em> (qui permettent la
		construction de vaisseaux) et les <em>tourelles défensives</em> (qui fournissent une défense statique à vos planètes).
	</p>
	<p>
		La construction et la destruction de bâtiments ne sont pas immédiates. La vitesse à laquelle les bâtiments sont construits
		ou détruits dépend de la population de la planète considérée. Pendant la construction, le coût financier des bâtiments
		est prélevé dans les réserves de l'empire à chaque mise à jour.
	</p>
	<p>
		Détruire des bâtiments est bien plus rapide que les construire ; de plus, une petite partie du coût du bâtiment est
		restituée aux réserves financières de l'empire une fois que le bâtiment a été détruit.
	</p>
	<p>
		La satisfaction d'une planète est déterminée par trois facteurs : le nombre d'emplois fournis par les bâtiments de la planète
		par rapport à la population de la planète, la puissance des défenses statiques et la quantité de planètes
		possédées par l'empire.
	</p>
	<p>
		La satisfaction ne change pas immédiatement quand un événement l'affecte. L'évolution est progressive et sa vitesse
		dépend de son amplitude et de la population totale de la planète.
	</p>
	<p>
		Quand la satisfaction d'une planète est inférieure à 25%, ses habitants se mettent en grève, ce qui réduit les bénéfices,
		la production et les défenses de la planète.
	</p>
	<p>
		La croissance de la population est directement proportionnelle à la satisfaction de la planète.
	</p>
	<p>&nbsp;</p>

	<h3>Flottes et vaisseaux</h3>
	<p>
		Les vaisseaux sont construite sur les planètes selon les mêmes principes que les bâtiments. Par contre, leur vitesse
		de construction est déterminée par la production militaire de la planète.
	</p>
	<p>
		Les vaisseaux ont deux caractéristiques : leur <em>puissance</em>, qui détermine leur efficacité au combat, et leur
		<em>temps de vol orbite-à-orbite</em>, qui détermine leur vitesse et les différentes pénalités qui peuvent être
		infligées à une flottes (redirection, redéploiement, etc.).
	</p>
	<p>
		La puissance d'une flotte correspond à la somme des puissances des vaisseaux qui la composent. Son temps de vol orbite-à-orbite
		est déterminé par le vaisseau le plus lent de la flotte.
	</p>
	<p>
		Seules les flottes dont le statut est <em>disponible</em> peuvent être déplacées, divisées ou fusionnées. En
		complément, les flottes dont le statut est <em>déploiement initial</em> n'infligent pas de dommages pendant les
		combats (par contre, elles peuvent être endommagées). Toutes les flottes peuvent être renommées, dissoutes ou
		passées d'un mode à l'autre (entre attaque et défense), quel que soit leur statut.
	</p>
	<p>&nbsp;</p>

	<h3>Batailles</h3>
	<p>
		Une bataille commence à partir du moment une flotte offensive est présente sur une planète, et se termine quand toutes
		les flottes offensives sont parties / ont été détruites, ou quand toutes les flottes défensives et défenses planétaires
		sont parties / ont été détruites. Dans ce dernier cas, l'attaquant dont la flotte est la plus puissante prend contrôle
		de la planète à la mise à jour suivante. 
	</p>
	<p>
		Les batailles sont mises à jour toutes les minutes. En conséquence, il n'y a pas de "rapports de bataille" ; à la place,
		un historique de la bataille et des événements qui ont eu lieu pendant la bataille est fourni.
	</p>
	<p>
		L'intensité d'une bataille commence à un faible niveau, augmentant progressivement au cours du temps jusqu'à atteindre
		l'intensité maximale. Cette intensité détermine la quantité de dommages infligés.
	</p>
	<p>
		Les dommages dus aux combats qui sont infligés que ce soit aux bâtiments ou aux vaisseaux s'accumulent au cours du temps.
		Il n'est pas possible de réparer vaisseaux ou bâtiments.
	</p>
	<p>&nbsp;</p>

</@page>