<#macro enemy_tab eList alliances>

	<#if alliances>
		<#local tabId = "alliances">
		<#local addAction = "alliance">
		<#local tabTitle = "Alliances">
		<#local emptyText = "Aucune alliance ennemie.">
		<#local nameLen = 5>
		<#if data.alliance?has_content & data.alliance>
			<#local error = data.error>
			<#local defName = data.name>
		</#if>
	<#else>
		<#local tabId = "empires">
		<#local addAction = "empire">
		<#local tabTitle = "Empires">
		<#local emptyText = "Aucun empire ennemi.">
		<#local nameLen = 20>
		<#if data.alliance?has_content & !data.alliance>
			<#local error = data.error>
			<#local defName = data.name>
		</#if>
	</#if>
	
	<@tab id=tabId title=tabTitle>
	
		<#if eList?size == 0>
			<p>${emptyText}</p>
		<#else>
			<form action="remove-enemy-${tabId}.action#${tabId}" method="post">
				<@listview>
					<@lv_line headers=true>
						<@lv_column width=40 centered=true>&nbsp;</@lv_column>
						<@lv_column width="x">${tabTitle}</@lv_column>
					</@lv_line>
	
					<#list eList as enemy>
						<@lv_line>
							<@lv_column centered=true><input type="checkbox" name="id" value="${enemy.id}" /></@lv_column>
							<@lv_column>
								<#if alliances><a href="msg-alliance-${enemy.id}">[<#else><a href="msg-empire-${enemy.id}"></#if>${enemy.name?xhtml}<#if alliances>]</#if></a>
							</@lv_column>
						</@lv_line>
					</#list>
				</@listview>
				<div class="form-container">
					<table><tr><td>
						<@ff_submit label="Supprimer les ennemis sélectionnés" />
					</td></tr></table>
				</div>
			</form>
		</#if>
		
		<#if data.page.special! != 'v'>
			<#if error?has_content>
				<@standalone_error>
					<#switch error>
						<#case "INVALID"><#if alliances>Alliance<#else>Empire</#if> non trouvé.<#break>
						<#case "BANNED">
							<#if alliances>
								Petite trahison entre amis ?
							<#else>
								Il y a un terme médical pour ça - schizophrénie.
							</#if>
						<#break>
						<#case "UNAVAILABLE">
							<#if alliances>Cette alliance<#else>Cet empire</#if> est déjà dans votre liste d'ennemis.
						<#break>
					</#switch>
				</@standalone_error>
			</#if>
			<@lineform action="add-enemy-${addAction}" hash=tabId>
				Nouvel ennemi: <@ff_text id="name-${addAction}" name="name" value=defName! maxLength=nameLen size=(nameLen+1) />
				<@ff_submit label="Ajouter" />
			</@lineform>
		</#if>

	</@tab>

</#macro>
<#macro render>
<@page title="Liste d'ennemis">

	<@tabs>

		<@enemy_tab eList=data.empires alliances=false />
		<@enemy_tab eList=data.alliances alliances=true />

	</@tabs>

</@page>
</#macro>