<#include "messageTabs.ftl" />
<#macro render>
<#if data.replyTo?has_content>
	<#local title="Répondre au message">
<#else>
	<#local title="Écrire un nouveau message">
</#if>
<@page title=title>
	<@messageTabs selected="compose" />

	<div class="form-container">
		<form action="send-message.action" method="post">
			<#if data.replyTo?has_content>
				<input name="rtInbox" type="hidden" value="<#if data.inbox>1<#else>0</#if>" />
				<input name="rtId" type="hidden" value="${data.replyTo.id}" />
			</#if>

			<table>
				<#if data.timingError>
					<@form_error>Pas si vite ! Attendez quelques secondes avant d'essayer à nouveau.</@form_error>
				</#if>

				<#-- Message recipient -->
				<#if data.targetError>
					<@form_error>Destinataire du message non trouvé.</@form_error>
				</#if>
				<@form_select label="Type de destinataire " name="toType">
					<@form_option value="EMPIRE" selected=( data.messageType = 'EMPIRE' )>Empire</@form_option>
					<@form_option value="ALLIANCE" selected=( data.messageType = 'ALLIANCE' )>Alliance</@form_option>
					<@form_option value="ADMINISTRATOR" selected=( data.messageType = 'ADMINISTRATOR' )>Administrateur</@form_option>
				</@form_select>
				<@form_text label="Nom du destinataire " name="toName" maxLength=48 value=data.target />
				<#if (data.target == "")>
					<tr><td>&nbsp;</td><td><a href="message-targets">Sélectionner depuis la liste...</a></td></tr>
				</#if>

				<#-- Subject -->
				<#if data.titleError>
					<@form_error>Le sujet est trop court (min.: 2 caractères)</@form_error>
				</#if>
				<@form_text label="Sujet " name="title" maxLength=64 value=data.title />
				
				<#-- Body -->
				<#if data.contentsError>
					<@form_error>Le corps du message est trop court (min.: 2 caractères)</@form_error>
				</#if>
				<@form_text label="Corps du message " name="contents" value=data.contents multiline=true maxLength=10 />
				
				<@form_extended_submit label="Envoyer le message">
					<@ff_submit label="Annuler" name="cancel" />
				</@form_extended_submit>
			</table>

		</form>
	</div>

	<#-- Original message -->
	<#if data.replyTo?has_content>
		<@listview><@lv_line headers=true><th colspan="2" style="font-size:1px">&nbsp;</th></@lv_line></@listview>
		<@dt_main>
			<@dt_entry width=100 title="">Message d'origine :</@dt_entry>
			<@dt_entry width=100 title="De ">
				${data.replyTo.sender!}
			</@dt_entry>
			<@dt_entry width=100 title="À ">
				${data.replyTo.receiver!}
			</@dt_entry>
			<@dt_entry width=100 title="Reçu le ">
				<@abbr_gt />: <@game_time record=data.replyTo.gameTime /> / <@abbr_st />: ${data.replyTo.time?string("yyyy-MM-dd HH:mm:ss")}
			</@dt_entry>
		</@dt_main>
	
		<@listview><@lv_line headers=true><th colspan="2" style="font-size:1px">&nbsp;</th></@lv_line></@listview>
		
		<h3 style="margin:0;text-align:center;padding:0 0 10px 0">${data.replyTo.title}</h3>
		<div style="margin: 0 40px 20px 40px">
			${data.replyTo.contents}
		</div>
	</#if>

</@page>
</#macro>