<#macro render>
<@page title="Empire">

	<#assign ov = data.overview >

	<@tabs>

		<@tab id="overview" title="Résumé">
			<@left_column>
		
				<#assign nplanets = data.page.planets?size>
				<@dt_main title="Flottes &amp; Planètes">
					<@dt_entry title="Nombre de planètes ">${nplanets?string(",##0")}</@dt_entry>
					<@dt_entry title="Population totale ">${ov.population?string(",##0")}</@dt_entry>
					<@dt_entry title="Satisfaction moyenne "><@happiness value=data.overview.avgHappiness /></@dt_entry>
					<@dt_entry title="Puissance de flotte totale ">${ov.fleetPower?string(",##0")}</@dt_entry>
				</@dt_main>
		
				<@dt_main title="Batailles">
					<#if data.battles?size gt 0>
						<@dt_status>Nous sommes impliqués dans les batailles suivantes:</@dt_status>
						<#list data.battles as battle>
							<@dt_status><a href="battle-${battle.id}-latest">${battle.location.name?xhtml}</a>
								(${battle.x},${battle.y};${battle.orbit})</@dt_status>
						</#list>
					<#else>
						<@dt_status>Nous ne sommes impliqués dans aucune bataille.</@dt_status>
					</#if>
					<@dt_status>
						<a href="battles">Toutes les batailles</a>
					</@dt_status>
				</@dt_main>

			</@left_column>
		
			<@right_column>
				
				<@dt_main title="Finances">
					<@dt_entry title="Réserves financières ">${data.page.cash?string(",##0")} <@abbr_bgc/></@dt_entry>
					<@dt_entry title="Bénéfice planétaire ">${ov.planetIncome?string(",##0")} <@abbr_bgc/></@dt_entry>
					<@dt_entry title="Charges planètaires ">${ov.planetUpkeep?string(",##0")} <@abbr_bgc/></@dt_entry>
					<@dt_entry title="Charges des flottes ">${ov.fleetUpkeep?string(",##0")} <@abbr_bgc/></@dt_entry>
					<@dt_entry title="Investissements ">${ov.investment?string(",##0")} <@abbr_bgc/></@dt_entry>
				</@dt_main>
		
				<@dt_main title="Messages">
					<@dt_status>
						<#if ov.newMessages == 0>
							Aucun nouveau message.
						<#elseif ov.newMessages == 1>
							Vous avez <a href="messages">un nouveau message</a>.
						<#else>
							Vous avez <a href="messages">${ov.newMessages} nouveaux messages</a>.
						</#if>
					</@dt_status>
					<@dt_status>
						<a href="compose-message">Ecrire message</a>
					</@dt_status>
				</@dt_main>
		
			</@right_column>
		</@tab>
		
		<@tab id="economy" title="Économie">
			<#include "overview/resources.ftl" />
			<@overviewResources />
		</@tab>

	</@tabs>

</@page>
</#macro>