<#macro RenderNaturalResources>			
	<#list data.own.resources as resource>
		<#if resource.resourceProvider?has_content>
			<#local showResources=true>
			<#break>
		</#if>
	</#list>
	
	<#if showResources?has_content>
				<@tab id="natres" title="Ressources naturelles">
			<form action="planet-${data.id}-update-mset.action" method="POST">

				<@listview>
					<@lv_line headers=true>
						<@lv_column width="x">Ressource</@lv_column>
						<@lv_column width=100 right=true>Quantité&nbsp;</@lv_column>
						<@lv_column width=100>&nbsp;&nbsp;Capacité</@lv_column>
						<@lv_column width=100 centered=true>Difficulté<br/>d'extraction</@lv_column>
						<@lv_column width=100 centered=true>Priorité</@lv_column>
					</@lv_line>
					
					<#list data.own.resources as resource>
						<#if resource.resourceProvider?has_content>
							<#local resProv=resource.resourceProvider>
		
							<@lv_line>
								<@lv_column>
									${resource.title?xhtml}
									<div class="auto-hide">${resource.description?xhtml}</div>
								</@lv_column>
								<@lv_column right=true>${resProv.quantity?string(",##0")}&nbsp;</@lv_column>
								<@lv_column>/&nbsp;${resProv.capacity?string(",##0")}</@lv_column>
								<@lv_column centered=true>${resProv.difficulty}&nbsp;%</@lv_column>
								<@lv_column centered=true>
									<#if data.own.ownMiningSettings>
										<select name="pms-${resource.identifier?xhtml}" class="input">
											<option style="padding: 0 5px" value="0" <#if resProv.priority = 0>selected="selected"</#if>>très basse</option>
											<option style="padding: 0 5px" value="1" <#if resProv.priority = 1>selected="selected"</#if>>basse</option>
											<option style="padding: 0 5px" value="2" <#if resProv.priority = 2>selected="selected"</#if>>normale</option>
											<option style="padding: 0 5px" value="3" <#if resProv.priority = 3>selected="selected"</#if>>haute</option>
											<option style="padding: 0 5px" value="4" <#if resProv.priority = 4>selected="selected"</#if>>très haute</option>
										</select>
									<#else>
										<#switch resProv.priority>
											<#case 0>très basse<#break>
											<#case 1>basse<#break>
											<#case 2>normale<#break>
											<#case 3>haute<#break>
											<#case 4>très haute<#break>
										</#switch>
									</#if>
								</@lv_column>
							</@lv_line>
		
						</#if>
					</#list>
					
					<@lv_line headers=true>
						<@lv_column width="x" colspan=5>&nbsp;</@lv_column>
					</@lv_line>
					<@lv_line>
						<@lv_column right=true colspan=5>
							<#if data.own.ownMiningSettings>
								Cette planète utilise des priorités d'extraction qui lui sont spécifiques.
								<input type="submit" name="toggle-settings" value="Utiliser les priorités de l'empire" class="input" style="margin: 15px 0 0 0" />
								<input type="submit" name="update-pms" value="Mettre à jour les priorités" class="input" style="margin: 15px 0 0 0" />
							<#else>
								Cette planète utilise les priorités d'extraction de l'empire.
								<input type="submit" name="toggle-settings" value="Utiliser des priorités spécifiques" class="input" style="margin: 15px 0 0 0" />
							</#if>
						</@lv_column>
					</@lv_line>

				</@listview>

			</form>

		</@tab>
	</#if>
</#macro>