<#macro render>
<@page title="Planètes">
	<#assign pl = data.planets>
	<#if pl?size == 0>
		<p>Nous ne possédons plus aucune planète.</p>
		<p><a href="get-planet">Obtenir une nouvelle planète ?</a></p>
	<#else>

		<@tabs>

			<@tab id="general" title="Général"> 
				<@listview>
					<@lv_line headers=true>
						<@lv_column width="x">Nom</@lv_column>
						<@lv_column width=90 centered=true>Coordonnées</@lv_column>
						<@lv_column width=90 centered=true>Satisfaction</@lv_column>
						<@lv_column width=90 right=true>Population</@lv_column>
					</@lv_line>
		
					<#list pl as planet>
						<@lv_line>
							<@lv_column><a href="planet-${planet.id}">${planet.name?xhtml}</a></@lv_column>
							<@lv_column centered=true>(${planet.x},${planet.y};${planet.orbit})</@lv_column>
							<@lv_column centered=true><@happiness value=planet.happiness /></@lv_column>
							<@lv_column right=true>${planet.population?string(",##0")}</@lv_column>
						</@lv_line>
					</#list>		
				</@listview>
			</@tab>

			<@tab id="eco" title="Économie (VIEUX)"> 
				<@listview>
					<@lv_line headers=true>
						<@lv_column width="x">Nom</@lv_column>
						<@lv_column width=110 right=true>Bénéfice</@lv_column>
						<@lv_column width=110 right=true>Charges</@lv_column>
						<@lv_column width=110 right=true>Revenu</@lv_column>
					</@lv_line>
		
					<#list pl as planet>
						<@lv_line>
							<@lv_column><a href="planet-${planet.id}">${planet.name?xhtml}</a></@lv_column>
							<@lv_column right=true>${planet.income?string(",##0")} <@abbr_bgc /></@lv_column>
							<@lv_column right=true>${planet.upkeep?string(",##0")} <@abbr_bgc /></@lv_column>
							<@lv_column right=true>
								<#if planet.upkeep gt planet.income>
									<span style="color: red">
								</#if>
								${( planet.income - planet.upkeep )?string(",##0")} <@abbr_bgc />
								<#if planet.upkeep gt planet.income>
									</span>
								</#if>
							</@lv_column>
						</@lv_line>
					</#list>		
				</@listview>
			</@tab>

			<#include "planets/economy.ftl" />
			<@RenderEconomy />

			<@tab id="prod" title="Production"> 
				<@listview>
					<@lv_line headers=true>
						<@lv_column width="x">Nom</@lv_column>
						<@lv_column width=90 right=true>Militaire</@lv_column>
						<@lv_column width=90 right=true>Industriel</@lv_column>
						<@lv_column width=120 right=true>Aug. Croissance</@lv_column>
					</@lv_line>
		
					<#list pl as planet>
						<@lv_line>
							<@lv_column><a href="planet-${planet.id}#buildings">${planet.name?xhtml}</a></@lv_column>
							<@lv_column right=true>${planet.militaryProduction?string(",##0")}</@lv_column>
							<@lv_column right=true>${planet.industrialProduction?string(",##0")}</@lv_column>
							<@lv_column right=true>${planet.growthProduction?string(",##0")}</@lv_column>
						</@lv_line>
					</#list>		
				</@listview>
			</@tab>

			<@tab id="cons" title="Construction"> 
				<@listview>
					<@lv_line headers=true>
						<@lv_column width="x">Nom</@lv_column>
						<@lv_column width=200 centered=true>Item actuellement produit</@lv_column>
						<@lv_column width=90 right=true>Investissement</@lv_column>
					</@lv_line>
		
					<#list pl as planet>
						<@lv_line>
							<@lv_column><a href="planet-${planet.id}#buildings">${planet.name?xhtml}</a></@lv_column>
							<@lv_column centered=true>
								<#if planet.civAmount = 0>
									<em>N/A</em>
								<#else>
									<strong>${planet.civAmount?string(",##0")}</strong>x
									${planet.civName?xhtml}
									<#if planet.civDestroy>
										(destruction)
									<#else>
										(construction)
									</#if>
								</#if>
							</@lv_column>
							<@lv_column right=true>${planet.civInvestment?string(",##0")} <@abbr_bgc /></@lv_column>
						</@lv_line>
					</#list>		
				</@listview>
			</@tab>

			<@tab id="ships" title="Chantiers navals"> 
				<@listview>
					<@lv_line headers=true>
						<@lv_column width="x">Nom</@lv_column>
						<@lv_column width=200 centered=true>Item actuellement produit</@lv_column>
						<@lv_column width=90 right=true>Investissement</@lv_column>
					</@lv_line>
		
					<#list pl as planet>
						<@lv_line>
							<@lv_column><a href="planet-${planet.id}#ships">${planet.name?xhtml}</a></@lv_column>
							<@lv_column centered=true>
								<#if planet.milAmount = 0>
									<em>N/A</em>
								<#else>
									<strong>${planet.milAmount?string(",##0")}</strong>x
									${planet.milName?xhtml}
								</#if>
							</@lv_column>
							<@lv_column right=true>${planet.milInvestment?string(",##0")} <@abbr_bgc /></@lv_column>
						</@lv_line>
					</#list>		
				</@listview>
			</@tab>

			<@tab id="mil" title="Militaire"> 
				<@listview>
					<@lv_line headers=true>
						<@lv_column width="x">Nom</@lv_column>
						<@lv_column width=90 right=true>Stationnaire</@lv_column>
						<@lv_column width=110 right=true>Flottes propres</@lv_column>
						<@lv_column width=90 right=true>Alliées</@lv_column>
						<@lv_column width=90 right=true>Hostiles</@lv_column>
					</@lv_line>
		
					<#list pl as planet>
						<@lv_line>
							<@lv_column>
								<#if planet.battle?has_content>
									<a href="battle-${planet.battle}-latest"><span style="color:red">
								</#if>
								${planet.name?xhtml}
								<#if planet.battle?has_content>
									</span></a>
								</#if>
							</@lv_column>
							<@lv_column right=true><span class="own-fleet">${planet.fpStatic?string(",##0")}</span></@lv_column>
							<@lv_column right=true><span class="own-fleet">${planet.fpOwn?string(",##0")}</span></@lv_column>
							<@lv_column right=true><span class="allied-fleet">${planet.fpFriendly?string(",##0")}</span></@lv_column>
							<@lv_column right=true><span class="enemy-fleet">${planet.fpHostile?string(",##0")}</span></@lv_column>
						</@lv_line>
					</#list>		
				</@listview>
			</@tab>

		</@tabs>
	</#if>
</@page>
</#macro>