package com.deepclone.lw.web.main;


import javax.servlet.http.HttpServletRequest;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.SessionAttributes;

import com.deepclone.lw.cmd.player.gdata.GameResponseBase;
import com.deepclone.lw.session.SessionException;
import com.deepclone.lw.web.beans.session.SessionMaintenanceException;
import com.deepclone.lw.web.beans.session.SessionServerException;
import com.deepclone.lw.web.beans.view.PageControllerBase;
import com.deepclone.lw.web.csess.PlayerSession;



@Controller
@SessionAttributes( "language" )
public class CommonPages
		extends PageControllerBase
{

	@RequestMapping( "/scope" )
	public String scopePage( HttpServletRequest request , @ModelAttribute( "language" ) String language , Model model )
			throws SessionException , SessionServerException , SessionMaintenanceException
	{
		PlayerSession session = this.getSession( PlayerSession.class , request );
		if ( session == null || !"game".equals( session.getSessionSubType( ) ) ) {
			return this.renderStatic( model , "external" , language , "scope" );
		}

		GameResponseBase response = session.getEnemyList( );
		return this.renderStatic( model , "game" , language , response , "scope" );
	}


	@RequestMapping( "/rules" )
	public String rulesPage( HttpServletRequest request , @ModelAttribute( "language" ) String language , Model model )
			throws SessionException , SessionServerException , SessionMaintenanceException
	{
		PlayerSession session = this.getSession( PlayerSession.class , request );
		if ( session == null || !"game".equals( session.getSessionSubType( ) ) ) {
			return this.renderStatic( model , "external" , language , "rules" );
		}

		GameResponseBase response = session.getEnemyList( );
		return this.renderStatic( model , "game" , language , response , "rules" );
	}

}
