package com.deepclone.lw.web.main;


import javax.servlet.http.HttpServletRequest;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.SessionAttributes;

import com.deepclone.lw.cmd.ext.ConfirmPasswordRecoveryResponse;
import com.deepclone.lw.cmd.ext.RequestPasswordRecoveryResponse;
import com.deepclone.lw.cmd.ext.ConfirmPasswordRecoveryResponse.PasswordRecoveryStatus;
import com.deepclone.lw.cmd.ext.RequestPasswordRecoveryResponse.PasswordRecoveryRequestStatus;
import com.deepclone.lw.session.SessionException;
import com.deepclone.lw.web.beans.intercept.SessionRequirement;
import com.deepclone.lw.web.beans.session.SessionMaintenanceException;
import com.deepclone.lw.web.beans.session.SessionServerException;
import com.deepclone.lw.web.beans.view.PageControllerBase;
import com.deepclone.lw.web.csess.ExternalSession;



@Controller
@SessionRequirement( value = false , redirectTo = "player-session" )
@SessionAttributes( "language" )
public class PasswordRecoveryPages
		extends PageControllerBase
{

	@RequestMapping( "/password-recovery" )
	public String passwordRecoveryPage( @ModelAttribute( "language" ) String language , Model model )
	{
		return this.renderMap( model , "external" , language , "passwordRecovery" );
	}


	@RequestMapping( value = "/request-password-recovery.action" , method = RequestMethod.POST )
	public String requestPasswordRecovery( HttpServletRequest request , @ModelAttribute( "language" ) String language ,
			Model model , @RequestParam( "mail" ) String mail )
			throws SessionException , SessionServerException , SessionMaintenanceException
	{
		ExternalSession eSession = this.createTemporarySession( ExternalSession.class , request );
		RequestPasswordRecoveryResponse response = eSession.requestPasswordRecovery( mail );
		PasswordRecoveryRequestStatus status = response.getStatus( );
		if ( status == PasswordRecoveryRequestStatus.OK ) {
			return this.renderMap( model , "external" , language , "passwordRecovery" , "sent" , true , "mail" , mail );
		}
		return this.renderMap( model , "external" , language , "passwordRecovery" , "mail" , mail , "status" , status );
	}


	@RequestMapping( value = "/confirm-password-recovery.action" , method = RequestMethod.POST )
	public String confirmPasswordRecovery( HttpServletRequest request , @ModelAttribute( "language" ) String language ,
			Model model , @RequestParam( "mail" ) String mail , @RequestParam( "code" ) String token ,
			@RequestParam( "password" ) String password , @RequestParam( "passwordConfirm" ) String passwordConfirm )
			throws SessionException , SessionServerException , SessionMaintenanceException
	{
		ExternalSession eSession = this.createTemporarySession( ExternalSession.class , request );
		ConfirmPasswordRecoveryResponse response;
		response = eSession.confirmPasswordRecovery( mail , token , password , passwordConfirm );
		PasswordRecoveryStatus status = response.getStatus( );
		if ( status == PasswordRecoveryStatus.OK ) {
			return this.redirect( "password-recovery-ok" );
		}

		return this.renderMap( model , "external" , language , "passwordRecovery" , "cStatus" , status , "cMail" ,
				mail , "cCode" , token );
	}
}
