package com.deepclone.lw.web.main;


import javax.servlet.http.HttpServletRequest;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import com.deepclone.lw.web.beans.intercept.SessionRequirement;
import com.deepclone.lw.web.beans.session.ClientSessionReference;
import com.deepclone.lw.web.beans.view.PageControllerBase;



@Controller
@SessionRequirement( value = true , redirectTo = "no-session" )
public class PlayerSessionRedirector
		extends PageControllerBase
{

	@RequestMapping( "/player-session" )
	public String sessionRedirection( HttpServletRequest request )
	{
		ClientSessionReference cReference = (ClientSessionReference) request.getSession( ).getAttribute( "sReference" );
		String type = cReference.getReference( ).extra;

		if ( "validation".equals( type ) ) {
			return this.redirect( "validate-account" );
		}

		if ( "disabled".equals( type ) ) {
			return this.redirect( "reactivate" );
		}

		if ( "game".equals( type ) ) {
			return this.redirect( "overview" );
		}

		if ( "banned".equals( type ) ) {
			return this.redirect( "banned" );
		}

		throw new RuntimeException( "unknown session sub-type: " + type );
	}
}
