package com.deepclone.lw.web.main;


import javax.servlet.http.HttpServletRequest;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.SessionAttributes;

import com.deepclone.lw.session.SessionException;
import com.deepclone.lw.web.beans.intercept.SessionRequirement;
import com.deepclone.lw.web.beans.session.SessionMaintenanceException;
import com.deepclone.lw.web.beans.session.SessionServerException;
import com.deepclone.lw.web.beans.view.PageControllerBase;
import com.deepclone.lw.web.csess.PlayerSession;



@Controller
@SessionRequirement( value = true , redirectTo = "player-session" , subType = "disabled" )
@SessionAttributes( "language" )
public class ReactivationPages
		extends PageControllerBase
{

	@RequestMapping( "/reactivate" )
	public String reactivationPage( @ModelAttribute( "language" ) String language , Model model )
	{
		return this.renderStatic( model , "restricted" , language , "reactivate" );
	}


	@RequestMapping( "/reactivate.action" )
	public String reactivation( HttpServletRequest request , @ModelAttribute( "language" ) String language , Model model )
			throws SessionException , SessionServerException , SessionMaintenanceException
	{
		PlayerSession pSession = this.getSession( PlayerSession.class , request );
		return this.render( model , "restricted" , language , "reactivation" , pSession.reactivate( ) );
	}
}
