package com.deepclone.lw.web.main;


import javax.servlet.http.HttpServletRequest;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.SessionAttributes;

import com.deepclone.lw.cmd.player.account.AccountValidationResponse;
import com.deepclone.lw.session.SessionException;
import com.deepclone.lw.web.beans.intercept.SessionRequirement;
import com.deepclone.lw.web.beans.session.SessionMaintenanceException;
import com.deepclone.lw.web.beans.session.SessionServerException;
import com.deepclone.lw.web.beans.view.PageControllerBase;
import com.deepclone.lw.web.csess.PlayerSession;



@Controller
@SessionRequirement( value = true , redirectTo = "player-session" , subType = "validation" )
@SessionAttributes( "language" )
public class ValidationPages
		extends PageControllerBase
{

	@RequestMapping( "/validate-account" )
	public String validationPage( HttpServletRequest request , @ModelAttribute( "language" ) String language ,
			Model model )
			throws SessionException , SessionServerException , SessionMaintenanceException
	{
		PlayerSession session = this.getSession( PlayerSession.class , request );
		return this.render( model , "restricted" , language , "validation" , session.startValidation( ) );
	}


	@RequestMapping( value = "/validation.action" , method = RequestMethod.POST )
	public String validation( HttpServletRequest request , @ModelAttribute( "language" ) String language , Model model ,
			@RequestParam( "token" ) String token , @RequestParam( "empire" ) String empire ,
			@RequestParam( "old" ) String old , @RequestParam( "planet" ) String planet )
			throws SessionException , SessionServerException , SessionMaintenanceException
	{
		PlayerSession session = this.getSession( PlayerSession.class , request );
		String uEmpire = ( "".equals( empire ) ? old : empire );

		AccountValidationResponse response = session.validate( token , uEmpire , planet );
		if ( response.isValidated( ) ) {
			return this.redirect( "player-session" );
		}
		return this.render( model , "restricted" , language , "validation" , response );
	}
}
